require '_h2ph_pre.ph';

no warnings qw(redefine misc);

unless(defined(&_ASM_X86_BOOTPARAM_H)) {
    eval 'sub _ASM_X86_BOOTPARAM_H () {1;}' unless defined(&_ASM_X86_BOOTPARAM_H);
    eval 'sub SETUP_NONE () {0;}' unless defined(&SETUP_NONE);
    eval 'sub SETUP_E820_EXT () {1;}' unless defined(&SETUP_E820_EXT);
    eval 'sub SETUP_DTB () {2;}' unless defined(&SETUP_DTB);
    eval 'sub SETUP_PCI () {3;}' unless defined(&SETUP_PCI);
    eval 'sub SETUP_EFI () {4;}' unless defined(&SETUP_EFI);
    eval 'sub SETUP_APPLE_PROPERTIES () {5;}' unless defined(&SETUP_APPLE_PROPERTIES);
    eval 'sub SETUP_JAILHOUSE () {6;}' unless defined(&SETUP_JAILHOUSE);
    eval 'sub SETUP_CC_BLOB () {7;}' unless defined(&SETUP_CC_BLOB);
    eval 'sub SETUP_IMA () {8;}' unless defined(&SETUP_IMA);
    eval 'sub SETUP_RNG_SEED () {9;}' unless defined(&SETUP_RNG_SEED);
    eval 'sub SETUP_EFI_SECRET_KEY () {16;}' unless defined(&SETUP_EFI_SECRET_KEY);
    eval 'sub SETUP_ENUM_MAX () { &SETUP_EFI_SECRET_KEY;}' unless defined(&SETUP_ENUM_MAX);
    eval 'sub SETUP_INDIRECT () {(1<<31);}' unless defined(&SETUP_INDIRECT);
    eval 'sub SETUP_TYPE_MAX () {( &SETUP_ENUM_MAX |  &SETUP_INDIRECT);}' unless defined(&SETUP_TYPE_MAX);
    eval 'sub RAMDISK_IMAGE_START_MASK () {0x7ff;}' unless defined(&RAMDISK_IMAGE_START_MASK);
    eval 'sub RAMDISK_PROMPT_FLAG () {0x8000;}' unless defined(&RAMDISK_PROMPT_FLAG);
    eval 'sub RAMDISK_LOAD_FLAG () {0x4000;}' unless defined(&RAMDISK_LOAD_FLAG);
    eval 'sub LOADED_HIGH () {(1<<0);}' unless defined(&LOADED_HIGH);
    eval 'sub KASLR_FLAG () {(1<<1);}' unless defined(&KASLR_FLAG);
    eval 'sub QUIET_FLAG () {(1<<5);}' unless defined(&QUIET_FLAG);
    eval 'sub KEEP_SEGMENTS () {(1<<6);}' unless defined(&KEEP_SEGMENTS);
    eval 'sub CAN_USE_HEAP () {(1<<7);}' unless defined(&CAN_USE_HEAP);
    eval 'sub XLF_KERNEL_64 () {(1<<0);}' unless defined(&XLF_KERNEL_64);
    eval 'sub XLF_CAN_BE_LOADED_ABOVE_4G () {(1<<1);}' unless defined(&XLF_CAN_BE_LOADED_ABOVE_4G);
    eval 'sub XLF_EFI_HANDOVER_32 () {(1<<2);}' unless defined(&XLF_EFI_HANDOVER_32);
    eval 'sub XLF_EFI_HANDOVER_64 () {(1<<3);}' unless defined(&XLF_EFI_HANDOVER_64);
    eval 'sub XLF_EFI_KEXEC () {(1<<4);}' unless defined(&XLF_EFI_KEXEC);
    eval 'sub XLF_5LEVEL () {(1<<5);}' unless defined(&XLF_5LEVEL);
    eval 'sub XLF_5LEVEL_ENABLED () {(1<<6);}' unless defined(&XLF_5LEVEL_ENABLED);
    unless(defined(&__ASSEMBLY__)) {
	require 'linux/types.ph';
	require 'linux/screen_info.ph';
	require 'linux/apm_bios.ph';
	require 'linux/edd.ph';
	require 'asm/ist.ph';
	require 'video/edid.ph';
	eval 'sub E820_MAX_ENTRIES_ZEROPAGE () {128;}' unless defined(&E820_MAX_ENTRIES_ZEROPAGE);
	eval 'sub JAILHOUSE_SETUP_REQUIRED_VERSION () {1;}' unless defined(&JAILHOUSE_SETUP_REQUIRED_VERSION);
	eval("sub X86_SUBARCH_PC () { 0; }") unless defined(&X86_SUBARCH_PC);
	eval("sub X86_SUBARCH_LGUEST () { 1; }") unless defined(&X86_SUBARCH_LGUEST);
	eval("sub X86_SUBARCH_XEN () { 2; }") unless defined(&X86_SUBARCH_XEN);
	eval("sub X86_SUBARCH_INTEL_MID () { 3; }") unless defined(&X86_SUBARCH_INTEL_MID);
	eval("sub X86_SUBARCH_CE4100 () { 4; }") unless defined(&X86_SUBARCH_CE4100);
	eval("sub X86_NR_SUBARCHS () { 5; }") unless defined(&X86_NR_SUBARCHS);
    }
}
1;
