require '_h2ph_pre.ph';

no warnings qw(redefine misc);

unless(defined(&_LINUX_DEVLINK_H_)) {
    eval 'sub _LINUX_DEVLINK_H_ () {1;}' unless defined(&_LINUX_DEVLINK_H_);
    require 'linux/const.ph';
    eval 'sub DEVLINK_GENL_NAME () {"devlink";}' unless defined(&DEVLINK_GENL_NAME);
    eval 'sub DEVLINK_GENL_VERSION () {0x1;}' unless defined(&DEVLINK_GENL_VERSION);
    eval 'sub DEVLINK_GENL_MCGRP_CONFIG_NAME () {"config";}' unless defined(&DEVLINK_GENL_MCGRP_CONFIG_NAME);
    eval("sub DEVLINK_CMD_UNSPEC () { 0; }") unless defined(&DEVLINK_CMD_UNSPEC);
    eval("sub DEVLINK_CMD_GET () { 1; }") unless defined(&DEVLINK_CMD_GET);
    eval("sub DEVLINK_CMD_SET () { 2; }") unless defined(&DEVLINK_CMD_SET);
    eval("sub DEVLINK_CMD_NEW () { 3; }") unless defined(&DEVLINK_CMD_NEW);
    eval("sub DEVLINK_CMD_DEL () { 4; }") unless defined(&DEVLINK_CMD_DEL);
    eval("sub DEVLINK_CMD_PORT_GET () { 5; }") unless defined(&DEVLINK_CMD_PORT_GET);
    eval("sub DEVLINK_CMD_PORT_SET () { 6; }") unless defined(&DEVLINK_CMD_PORT_SET);
    eval("sub DEVLINK_CMD_PORT_NEW () { 7; }") unless defined(&DEVLINK_CMD_PORT_NEW);
    eval("sub DEVLINK_CMD_PORT_DEL () { 8; }") unless defined(&DEVLINK_CMD_PORT_DEL);
    eval("sub DEVLINK_CMD_PORT_SPLIT () { 9; }") unless defined(&DEVLINK_CMD_PORT_SPLIT);
    eval("sub DEVLINK_CMD_PORT_UNSPLIT () { 10; }") unless defined(&DEVLINK_CMD_PORT_UNSPLIT);
    eval("sub DEVLINK_CMD_SB_GET () { 11; }") unless defined(&DEVLINK_CMD_SB_GET);
    eval("sub DEVLINK_CMD_SB_SET () { 12; }") unless defined(&DEVLINK_CMD_SB_SET);
    eval("sub DEVLINK_CMD_SB_NEW () { 13; }") unless defined(&DEVLINK_CMD_SB_NEW);
    eval("sub DEVLINK_CMD_SB_DEL () { 14; }") unless defined(&DEVLINK_CMD_SB_DEL);
    eval("sub DEVLINK_CMD_SB_POOL_GET () { 15; }") unless defined(&DEVLINK_CMD_SB_POOL_GET);
    eval("sub DEVLINK_CMD_SB_POOL_SET () { 16; }") unless defined(&DEVLINK_CMD_SB_POOL_SET);
    eval("sub DEVLINK_CMD_SB_POOL_NEW () { 17; }") unless defined(&DEVLINK_CMD_SB_POOL_NEW);
    eval("sub DEVLINK_CMD_SB_POOL_DEL () { 18; }") unless defined(&DEVLINK_CMD_SB_POOL_DEL);
    eval("sub DEVLINK_CMD_SB_PORT_POOL_GET () { 19; }") unless defined(&DEVLINK_CMD_SB_PORT_POOL_GET);
    eval("sub DEVLINK_CMD_SB_PORT_POOL_SET () { 20; }") unless defined(&DEVLINK_CMD_SB_PORT_POOL_SET);
    eval("sub DEVLINK_CMD_SB_PORT_POOL_NEW () { 21; }") unless defined(&DEVLINK_CMD_SB_PORT_POOL_NEW);
    eval("sub DEVLINK_CMD_SB_PORT_POOL_DEL () { 22; }") unless defined(&DEVLINK_CMD_SB_PORT_POOL_DEL);
    eval("sub DEVLINK_CMD_SB_TC_POOL_BIND_GET () { 23; }") unless defined(&DEVLINK_CMD_SB_TC_POOL_BIND_GET);
    eval("sub DEVLINK_CMD_SB_TC_POOL_BIND_SET () { 24; }") unless defined(&DEVLINK_CMD_SB_TC_POOL_BIND_SET);
    eval("sub DEVLINK_CMD_SB_TC_POOL_BIND_NEW () { 25; }") unless defined(&DEVLINK_CMD_SB_TC_POOL_BIND_NEW);
    eval("sub DEVLINK_CMD_SB_TC_POOL_BIND_DEL () { 26; }") unless defined(&DEVLINK_CMD_SB_TC_POOL_BIND_DEL);
    eval("sub DEVLINK_CMD_SB_OCC_SNAPSHOT () { 27; }") unless defined(&DEVLINK_CMD_SB_OCC_SNAPSHOT);
    eval("sub DEVLINK_CMD_SB_OCC_MAX_CLEAR () { 28; }") unless defined(&DEVLINK_CMD_SB_OCC_MAX_CLEAR);
    eval("sub DEVLINK_CMD_ESWITCH_GET () { 29; }") unless defined(&DEVLINK_CMD_ESWITCH_GET);
    eval("sub DEVLINK_CMD_ESWITCH_MODE_GET () { DEVLINK_CMD_ESWITCH_GET; }") unless defined(&DEVLINK_CMD_ESWITCH_MODE_GET);
    eval("sub DEVLINK_CMD_ESWITCH_SET () { 1; }") unless defined(&DEVLINK_CMD_ESWITCH_SET);
    eval("sub DEVLINK_CMD_ESWITCH_MODE_SET () { DEVLINK_CMD_ESWITCH_SET; }") unless defined(&DEVLINK_CMD_ESWITCH_MODE_SET);
    eval("sub DEVLINK_CMD_DPIPE_TABLE_GET () { 1; }") unless defined(&DEVLINK_CMD_DPIPE_TABLE_GET);
    eval("sub DEVLINK_CMD_DPIPE_ENTRIES_GET () { 2; }") unless defined(&DEVLINK_CMD_DPIPE_ENTRIES_GET);
    eval("sub DEVLINK_CMD_DPIPE_HEADERS_GET () { 3; }") unless defined(&DEVLINK_CMD_DPIPE_HEADERS_GET);
    eval("sub DEVLINK_CMD_DPIPE_TABLE_COUNTERS_SET () { 4; }") unless defined(&DEVLINK_CMD_DPIPE_TABLE_COUNTERS_SET);
    eval("sub DEVLINK_CMD_RESOURCE_SET () { 5; }") unless defined(&DEVLINK_CMD_RESOURCE_SET);
    eval("sub DEVLINK_CMD_RESOURCE_DUMP () { 6; }") unless defined(&DEVLINK_CMD_RESOURCE_DUMP);
    eval("sub DEVLINK_CMD_RELOAD () { 7; }") unless defined(&DEVLINK_CMD_RELOAD);
    eval("sub DEVLINK_CMD_PARAM_GET () { 8; }") unless defined(&DEVLINK_CMD_PARAM_GET);
    eval("sub DEVLINK_CMD_PARAM_SET () { 9; }") unless defined(&DEVLINK_CMD_PARAM_SET);
    eval("sub DEVLINK_CMD_PARAM_NEW () { 10; }") unless defined(&DEVLINK_CMD_PARAM_NEW);
    eval("sub DEVLINK_CMD_PARAM_DEL () { 11; }") unless defined(&DEVLINK_CMD_PARAM_DEL);
    eval("sub DEVLINK_CMD_REGION_GET () { 12; }") unless defined(&DEVLINK_CMD_REGION_GET);
    eval("sub DEVLINK_CMD_REGION_SET () { 13; }") unless defined(&DEVLINK_CMD_REGION_SET);
    eval("sub DEVLINK_CMD_REGION_NEW () { 14; }") unless defined(&DEVLINK_CMD_REGION_NEW);
    eval("sub DEVLINK_CMD_REGION_DEL () { 15; }") unless defined(&DEVLINK_CMD_REGION_DEL);
    eval("sub DEVLINK_CMD_REGION_READ () { 16; }") unless defined(&DEVLINK_CMD_REGION_READ);
    eval("sub DEVLINK_CMD_PORT_PARAM_GET () { 17; }") unless defined(&DEVLINK_CMD_PORT_PARAM_GET);
    eval("sub DEVLINK_CMD_PORT_PARAM_SET () { 18; }") unless defined(&DEVLINK_CMD_PORT_PARAM_SET);
    eval("sub DEVLINK_CMD_PORT_PARAM_NEW () { 19; }") unless defined(&DEVLINK_CMD_PORT_PARAM_NEW);
    eval("sub DEVLINK_CMD_PORT_PARAM_DEL () { 20; }") unless defined(&DEVLINK_CMD_PORT_PARAM_DEL);
    eval("sub DEVLINK_CMD_INFO_GET () { 21; }") unless defined(&DEVLINK_CMD_INFO_GET);
    eval("sub DEVLINK_CMD_HEALTH_REPORTER_GET () { 22; }") unless defined(&DEVLINK_CMD_HEALTH_REPORTER_GET);
    eval("sub DEVLINK_CMD_HEALTH_REPORTER_SET () { 23; }") unless defined(&DEVLINK_CMD_HEALTH_REPORTER_SET);
    eval("sub DEVLINK_CMD_HEALTH_REPORTER_RECOVER () { 24; }") unless defined(&DEVLINK_CMD_HEALTH_REPORTER_RECOVER);
    eval("sub DEVLINK_CMD_HEALTH_REPORTER_DIAGNOSE () { 25; }") unless defined(&DEVLINK_CMD_HEALTH_REPORTER_DIAGNOSE);
    eval("sub DEVLINK_CMD_HEALTH_REPORTER_DUMP_GET () { 26; }") unless defined(&DEVLINK_CMD_HEALTH_REPORTER_DUMP_GET);
    eval("sub DEVLINK_CMD_HEALTH_REPORTER_DUMP_CLEAR () { 27; }") unless defined(&DEVLINK_CMD_HEALTH_REPORTER_DUMP_CLEAR);
    eval("sub DEVLINK_CMD_FLASH_UPDATE () { 28; }") unless defined(&DEVLINK_CMD_FLASH_UPDATE);
    eval("sub DEVLINK_CMD_FLASH_UPDATE_END () { 29; }") unless defined(&DEVLINK_CMD_FLASH_UPDATE_END);
    eval("sub DEVLINK_CMD_FLASH_UPDATE_STATUS () { 30; }") unless defined(&DEVLINK_CMD_FLASH_UPDATE_STATUS);
    eval("sub DEVLINK_CMD_TRAP_GET () { 31; }") unless defined(&DEVLINK_CMD_TRAP_GET);
    eval("sub DEVLINK_CMD_TRAP_SET () { 32; }") unless defined(&DEVLINK_CMD_TRAP_SET);
    eval("sub DEVLINK_CMD_TRAP_NEW () { 33; }") unless defined(&DEVLINK_CMD_TRAP_NEW);
    eval("sub DEVLINK_CMD_TRAP_DEL () { 34; }") unless defined(&DEVLINK_CMD_TRAP_DEL);
    eval("sub DEVLINK_CMD_TRAP_GROUP_GET () { 35; }") unless defined(&DEVLINK_CMD_TRAP_GROUP_GET);
    eval("sub DEVLINK_CMD_TRAP_GROUP_SET () { 36; }") unless defined(&DEVLINK_CMD_TRAP_GROUP_SET);
    eval("sub DEVLINK_CMD_TRAP_GROUP_NEW () { 37; }") unless defined(&DEVLINK_CMD_TRAP_GROUP_NEW);
    eval("sub DEVLINK_CMD_TRAP_GROUP_DEL () { 38; }") unless defined(&DEVLINK_CMD_TRAP_GROUP_DEL);
    eval("sub DEVLINK_CMD_TRAP_POLICER_GET () { 39; }") unless defined(&DEVLINK_CMD_TRAP_POLICER_GET);
    eval("sub DEVLINK_CMD_TRAP_POLICER_SET () { 40; }") unless defined(&DEVLINK_CMD_TRAP_POLICER_SET);
    eval("sub DEVLINK_CMD_TRAP_POLICER_NEW () { 41; }") unless defined(&DEVLINK_CMD_TRAP_POLICER_NEW);
    eval("sub DEVLINK_CMD_TRAP_POLICER_DEL () { 42; }") unless defined(&DEVLINK_CMD_TRAP_POLICER_DEL);
    eval("sub DEVLINK_CMD_HEALTH_REPORTER_TEST () { 43; }") unless defined(&DEVLINK_CMD_HEALTH_REPORTER_TEST);
    eval("sub DEVLINK_CMD_RATE_GET () { 44; }") unless defined(&DEVLINK_CMD_RATE_GET);
    eval("sub DEVLINK_CMD_RATE_SET () { 45; }") unless defined(&DEVLINK_CMD_RATE_SET);
    eval("sub DEVLINK_CMD_RATE_NEW () { 46; }") unless defined(&DEVLINK_CMD_RATE_NEW);
    eval("sub DEVLINK_CMD_RATE_DEL () { 47; }") unless defined(&DEVLINK_CMD_RATE_DEL);
    eval("sub DEVLINK_CMD_LINECARD_GET () { 48; }") unless defined(&DEVLINK_CMD_LINECARD_GET);
    eval("sub DEVLINK_CMD_LINECARD_SET () { 49; }") unless defined(&DEVLINK_CMD_LINECARD_SET);
    eval("sub DEVLINK_CMD_LINECARD_NEW () { 50; }") unless defined(&DEVLINK_CMD_LINECARD_NEW);
    eval("sub DEVLINK_CMD_LINECARD_DEL () { 51; }") unless defined(&DEVLINK_CMD_LINECARD_DEL);
    eval("sub DEVLINK_CMD_SELFTESTS_GET () { 52; }") unless defined(&DEVLINK_CMD_SELFTESTS_GET);
    eval("sub DEVLINK_CMD_SELFTESTS_RUN () { 53; }") unless defined(&DEVLINK_CMD_SELFTESTS_RUN);
    eval("sub __DEVLINK_CMD_MAX () { 54; }") unless defined(&__DEVLINK_CMD_MAX);
    eval("sub DEVLINK_CMD_MAX () { __DEVLINK_CMD_MAX-1; }") unless defined(&DEVLINK_CMD_MAX);
    eval("sub DEVLINK_PORT_TYPE_NOTSET () { 0; }") unless defined(&DEVLINK_PORT_TYPE_NOTSET);
    eval("sub DEVLINK_PORT_TYPE_AUTO () { 1; }") unless defined(&DEVLINK_PORT_TYPE_AUTO);
    eval("sub DEVLINK_PORT_TYPE_ETH () { 2; }") unless defined(&DEVLINK_PORT_TYPE_ETH);
    eval("sub DEVLINK_PORT_TYPE_IB () { 3; }") unless defined(&DEVLINK_PORT_TYPE_IB);
    eval("sub DEVLINK_SB_POOL_TYPE_INGRESS () { 0; }") unless defined(&DEVLINK_SB_POOL_TYPE_INGRESS);
    eval("sub DEVLINK_SB_POOL_TYPE_EGRESS () { 1; }") unless defined(&DEVLINK_SB_POOL_TYPE_EGRESS);
    eval("sub DEVLINK_SB_THRESHOLD_TYPE_STATIC () { 0; }") unless defined(&DEVLINK_SB_THRESHOLD_TYPE_STATIC);
    eval("sub DEVLINK_SB_THRESHOLD_TYPE_DYNAMIC () { 1; }") unless defined(&DEVLINK_SB_THRESHOLD_TYPE_DYNAMIC);
    eval 'sub DEVLINK_SB_THRESHOLD_TO_ALPHA_MAX () {20;}' unless defined(&DEVLINK_SB_THRESHOLD_TO_ALPHA_MAX);
    eval("sub DEVLINK_ESWITCH_MODE_LEGACY () { 0; }") unless defined(&DEVLINK_ESWITCH_MODE_LEGACY);
    eval("sub DEVLINK_ESWITCH_MODE_SWITCHDEV () { 1; }") unless defined(&DEVLINK_ESWITCH_MODE_SWITCHDEV);
    eval("sub DEVLINK_ESWITCH_INLINE_MODE_NONE () { 0; }") unless defined(&DEVLINK_ESWITCH_INLINE_MODE_NONE);
    eval("sub DEVLINK_ESWITCH_INLINE_MODE_LINK () { 1; }") unless defined(&DEVLINK_ESWITCH_INLINE_MODE_LINK);
    eval("sub DEVLINK_ESWITCH_INLINE_MODE_NETWORK () { 2; }") unless defined(&DEVLINK_ESWITCH_INLINE_MODE_NETWORK);
    eval("sub DEVLINK_ESWITCH_INLINE_MODE_TRANSPORT () { 3; }") unless defined(&DEVLINK_ESWITCH_INLINE_MODE_TRANSPORT);
    eval("sub DEVLINK_ESWITCH_ENCAP_MODE_NONE () { 0; }") unless defined(&DEVLINK_ESWITCH_ENCAP_MODE_NONE);
    eval("sub DEVLINK_ESWITCH_ENCAP_MODE_BASIC () { 1; }") unless defined(&DEVLINK_ESWITCH_ENCAP_MODE_BASIC);
    eval("sub DEVLINK_PORT_FLAVOUR_PHYSICAL () { 0; }") unless defined(&DEVLINK_PORT_FLAVOUR_PHYSICAL);
    eval("sub DEVLINK_PORT_FLAVOUR_CPU () { 1; }") unless defined(&DEVLINK_PORT_FLAVOUR_CPU);
    eval("sub DEVLINK_PORT_FLAVOUR_DSA () { 2; }") unless defined(&DEVLINK_PORT_FLAVOUR_DSA);
    eval("sub DEVLINK_PORT_FLAVOUR_PCI_PF () { 3; }") unless defined(&DEVLINK_PORT_FLAVOUR_PCI_PF);
    eval("sub DEVLINK_PORT_FLAVOUR_PCI_VF () { 4; }") unless defined(&DEVLINK_PORT_FLAVOUR_PCI_VF);
    eval("sub DEVLINK_PORT_FLAVOUR_VIRTUAL () { 5; }") unless defined(&DEVLINK_PORT_FLAVOUR_VIRTUAL);
    eval("sub DEVLINK_PORT_FLAVOUR_UNUSED () { 6; }") unless defined(&DEVLINK_PORT_FLAVOUR_UNUSED);
    eval("sub DEVLINK_PORT_FLAVOUR_PCI_SF () { 7; }") unless defined(&DEVLINK_PORT_FLAVOUR_PCI_SF);
    eval("sub DEVLINK_RATE_TYPE_LEAF () { 0; }") unless defined(&DEVLINK_RATE_TYPE_LEAF);
    eval("sub DEVLINK_RATE_TYPE_NODE () { 1; }") unless defined(&DEVLINK_RATE_TYPE_NODE);
    eval("sub DEVLINK_PARAM_CMODE_RUNTIME () { 0; }") unless defined(&DEVLINK_PARAM_CMODE_RUNTIME);
    eval("sub DEVLINK_PARAM_CMODE_DRIVERINIT () { 1; }") unless defined(&DEVLINK_PARAM_CMODE_DRIVERINIT);
    eval("sub DEVLINK_PARAM_CMODE_PERMANENT () { 2; }") unless defined(&DEVLINK_PARAM_CMODE_PERMANENT);
    eval("sub __DEVLINK_PARAM_CMODE_MAX () { 3; }") unless defined(&__DEVLINK_PARAM_CMODE_MAX);
    eval("sub DEVLINK_PARAM_CMODE_MAX () { __DEVLINK_PARAM_CMODE_MAX-1; }") unless defined(&DEVLINK_PARAM_CMODE_MAX);
    eval("sub DEVLINK_PARAM_FW_LOAD_POLICY_VALUE_DRIVER () { 0; }") unless defined(&DEVLINK_PARAM_FW_LOAD_POLICY_VALUE_DRIVER);
    eval("sub DEVLINK_PARAM_FW_LOAD_POLICY_VALUE_FLASH () { 1; }") unless defined(&DEVLINK_PARAM_FW_LOAD_POLICY_VALUE_FLASH);
    eval("sub DEVLINK_PARAM_FW_LOAD_POLICY_VALUE_DISK () { 2; }") unless defined(&DEVLINK_PARAM_FW_LOAD_POLICY_VALUE_DISK);
    eval("sub DEVLINK_PARAM_FW_LOAD_POLICY_VALUE_UNKNOWN () { 3; }") unless defined(&DEVLINK_PARAM_FW_LOAD_POLICY_VALUE_UNKNOWN);
    eval("sub DEVLINK_PARAM_RESET_DEV_ON_DRV_PROBE_VALUE_UNKNOWN () { 0; }") unless defined(&DEVLINK_PARAM_RESET_DEV_ON_DRV_PROBE_VALUE_UNKNOWN);
    eval("sub DEVLINK_PARAM_RESET_DEV_ON_DRV_PROBE_VALUE_ALWAYS () { 1; }") unless defined(&DEVLINK_PARAM_RESET_DEV_ON_DRV_PROBE_VALUE_ALWAYS);
    eval("sub DEVLINK_PARAM_RESET_DEV_ON_DRV_PROBE_VALUE_NEVER () { 2; }") unless defined(&DEVLINK_PARAM_RESET_DEV_ON_DRV_PROBE_VALUE_NEVER);
    eval("sub DEVLINK_PARAM_RESET_DEV_ON_DRV_PROBE_VALUE_DISK () { 3; }") unless defined(&DEVLINK_PARAM_RESET_DEV_ON_DRV_PROBE_VALUE_DISK);
    eval("sub DEVLINK_ATTR_STATS_RX_PACKETS () { 0; }") unless defined(&DEVLINK_ATTR_STATS_RX_PACKETS);
    eval("sub DEVLINK_ATTR_STATS_RX_BYTES () { 1; }") unless defined(&DEVLINK_ATTR_STATS_RX_BYTES);
    eval("sub DEVLINK_ATTR_STATS_RX_DROPPED () { 2; }") unless defined(&DEVLINK_ATTR_STATS_RX_DROPPED);
    eval("sub __DEVLINK_ATTR_STATS_MAX () { 3; }") unless defined(&__DEVLINK_ATTR_STATS_MAX);
    eval("sub DEVLINK_ATTR_STATS_MAX () { __DEVLINK_ATTR_STATS_MAX-1; }") unless defined(&DEVLINK_ATTR_STATS_MAX);
    eval("sub DEVLINK_FLASH_OVERWRITE_SETTINGS_BIT () { 0; }") unless defined(&DEVLINK_FLASH_OVERWRITE_SETTINGS_BIT);
    eval("sub DEVLINK_FLASH_OVERWRITE_IDENTIFIERS_BIT () { 1; }") unless defined(&DEVLINK_FLASH_OVERWRITE_IDENTIFIERS_BIT);
    eval("sub __DEVLINK_FLASH_OVERWRITE_MAX_BIT () { 2; }") unless defined(&__DEVLINK_FLASH_OVERWRITE_MAX_BIT);
    eval("sub DEVLINK_FLASH_OVERWRITE_MAX_BIT () { __DEVLINK_FLASH_OVERWRITE_MAX_BIT-1; }") unless defined(&DEVLINK_FLASH_OVERWRITE_MAX_BIT);
    eval 'sub DEVLINK_FLASH_OVERWRITE_SETTINGS () { &_BITUL( &DEVLINK_FLASH_OVERWRITE_SETTINGS_BIT);}' unless defined(&DEVLINK_FLASH_OVERWRITE_SETTINGS);
    eval 'sub DEVLINK_FLASH_OVERWRITE_IDENTIFIERS () { &_BITUL( &DEVLINK_FLASH_OVERWRITE_IDENTIFIERS_BIT);}' unless defined(&DEVLINK_FLASH_OVERWRITE_IDENTIFIERS);
    eval 'sub DEVLINK_SUPPORTED_FLASH_OVERWRITE_SECTIONS () {( &_BITUL( &__DEVLINK_FLASH_OVERWRITE_MAX_BIT) - 1);}' unless defined(&DEVLINK_SUPPORTED_FLASH_OVERWRITE_SECTIONS);
    eval("sub DEVLINK_ATTR_SELFTEST_ID_UNSPEC () { 0; }") unless defined(&DEVLINK_ATTR_SELFTEST_ID_UNSPEC);
    eval("sub DEVLINK_ATTR_SELFTEST_ID_FLASH () { 1; }") unless defined(&DEVLINK_ATTR_SELFTEST_ID_FLASH);
    eval("sub __DEVLINK_ATTR_SELFTEST_ID_MAX () { 2; }") unless defined(&__DEVLINK_ATTR_SELFTEST_ID_MAX);
    eval("sub DEVLINK_ATTR_SELFTEST_ID_MAX () { __DEVLINK_ATTR_SELFTEST_ID_MAX-1; }") unless defined(&DEVLINK_ATTR_SELFTEST_ID_MAX);
    eval("sub DEVLINK_SELFTEST_STATUS_SKIP () { 0; }") unless defined(&DEVLINK_SELFTEST_STATUS_SKIP);
    eval("sub DEVLINK_SELFTEST_STATUS_PASS () { 1; }") unless defined(&DEVLINK_SELFTEST_STATUS_PASS);
    eval("sub DEVLINK_SELFTEST_STATUS_FAIL () { 2; }") unless defined(&DEVLINK_SELFTEST_STATUS_FAIL);
    eval("sub DEVLINK_ATTR_SELFTEST_RESULT_UNSPEC () { 0; }") unless defined(&DEVLINK_ATTR_SELFTEST_RESULT_UNSPEC);
    eval("sub DEVLINK_ATTR_SELFTEST_RESULT () { 1; }") unless defined(&DEVLINK_ATTR_SELFTEST_RESULT);
    eval("sub DEVLINK_ATTR_SELFTEST_RESULT_ID () { 2; }") unless defined(&DEVLINK_ATTR_SELFTEST_RESULT_ID);
    eval("sub DEVLINK_ATTR_SELFTEST_RESULT_STATUS () { 3; }") unless defined(&DEVLINK_ATTR_SELFTEST_RESULT_STATUS);
    eval("sub __DEVLINK_ATTR_SELFTEST_RESULT_MAX () { 4; }") unless defined(&__DEVLINK_ATTR_SELFTEST_RESULT_MAX);
    eval("sub DEVLINK_ATTR_SELFTEST_RESULT_MAX () { __DEVLINK_ATTR_SELFTEST_RESULT_MAX-1; }") unless defined(&DEVLINK_ATTR_SELFTEST_RESULT_MAX);
    eval("sub DEVLINK_TRAP_ACTION_DROP () { 0; }") unless defined(&DEVLINK_TRAP_ACTION_DROP);
    eval("sub DEVLINK_TRAP_ACTION_TRAP () { 1; }") unless defined(&DEVLINK_TRAP_ACTION_TRAP);
    eval("sub DEVLINK_TRAP_ACTION_MIRROR () { 2; }") unless defined(&DEVLINK_TRAP_ACTION_MIRROR);
    eval("sub DEVLINK_TRAP_TYPE_DROP () { 0; }") unless defined(&DEVLINK_TRAP_TYPE_DROP);
    eval("sub DEVLINK_TRAP_TYPE_EXCEPTION () { 1; }") unless defined(&DEVLINK_TRAP_TYPE_EXCEPTION);
    eval("sub DEVLINK_TRAP_TYPE_CONTROL () { 2; }") unless defined(&DEVLINK_TRAP_TYPE_CONTROL);
    eval("sub DEVLINK_ATTR_TRAP_METADATA_TYPE_IN_PORT () { 0; }") unless defined(&DEVLINK_ATTR_TRAP_METADATA_TYPE_IN_PORT);
    eval("sub DEVLINK_ATTR_TRAP_METADATA_TYPE_FA_COOKIE () { 1; }") unless defined(&DEVLINK_ATTR_TRAP_METADATA_TYPE_FA_COOKIE);
    eval("sub DEVLINK_RELOAD_ACTION_UNSPEC () { 0; }") unless defined(&DEVLINK_RELOAD_ACTION_UNSPEC);
    eval("sub DEVLINK_RELOAD_ACTION_DRIVER_REINIT () { 1; }") unless defined(&DEVLINK_RELOAD_ACTION_DRIVER_REINIT);
    eval("sub DEVLINK_RELOAD_ACTION_FW_ACTIVATE () { 2; }") unless defined(&DEVLINK_RELOAD_ACTION_FW_ACTIVATE);
    eval("sub __DEVLINK_RELOAD_ACTION_MAX () { 3; }") unless defined(&__DEVLINK_RELOAD_ACTION_MAX);
    eval("sub DEVLINK_RELOAD_ACTION_MAX () { __DEVLINK_RELOAD_ACTION_MAX-1; }") unless defined(&DEVLINK_RELOAD_ACTION_MAX);
    eval("sub DEVLINK_RELOAD_LIMIT_UNSPEC () { 0; }") unless defined(&DEVLINK_RELOAD_LIMIT_UNSPEC);
    eval("sub DEVLINK_RELOAD_LIMIT_NO_RESET () { 1; }") unless defined(&DEVLINK_RELOAD_LIMIT_NO_RESET);
    eval("sub __DEVLINK_RELOAD_LIMIT_MAX () { 2; }") unless defined(&__DEVLINK_RELOAD_LIMIT_MAX);
    eval("sub DEVLINK_RELOAD_LIMIT_MAX () { __DEVLINK_RELOAD_LIMIT_MAX-1; }") unless defined(&DEVLINK_RELOAD_LIMIT_MAX);
    eval 'sub DEVLINK_RELOAD_LIMITS_VALID_MASK () {( &_BITUL( &__DEVLINK_RELOAD_LIMIT_MAX) - 1);}' unless defined(&DEVLINK_RELOAD_LIMITS_VALID_MASK);
    eval("sub DEVLINK_LINECARD_STATE_UNSPEC () { 0; }") unless defined(&DEVLINK_LINECARD_STATE_UNSPEC);
    eval("sub DEVLINK_LINECARD_STATE_UNPROVISIONED () { 1; }") unless defined(&DEVLINK_LINECARD_STATE_UNPROVISIONED);
    eval("sub DEVLINK_LINECARD_STATE_UNPROVISIONING () { 2; }") unless defined(&DEVLINK_LINECARD_STATE_UNPROVISIONING);
    eval("sub DEVLINK_LINECARD_STATE_PROVISIONING () { 3; }") unless defined(&DEVLINK_LINECARD_STATE_PROVISIONING);
    eval("sub DEVLINK_LINECARD_STATE_PROVISIONING_FAILED () { 4; }") unless defined(&DEVLINK_LINECARD_STATE_PROVISIONING_FAILED);
    eval("sub DEVLINK_LINECARD_STATE_PROVISIONED () { 5; }") unless defined(&DEVLINK_LINECARD_STATE_PROVISIONED);
    eval("sub DEVLINK_LINECARD_STATE_ACTIVE () { 6; }") unless defined(&DEVLINK_LINECARD_STATE_ACTIVE);
    eval("sub __DEVLINK_LINECARD_STATE_MAX () { 7; }") unless defined(&__DEVLINK_LINECARD_STATE_MAX);
    eval("sub DEVLINK_LINECARD_STATE_MAX () { __DEVLINK_LINECARD_STATE_MAX-1; }") unless defined(&DEVLINK_LINECARD_STATE_MAX);
    eval("sub DEVLINK_ATTR_UNSPEC () { 0; }") unless defined(&DEVLINK_ATTR_UNSPEC);
    eval("sub DEVLINK_ATTR_BUS_NAME () { 1; }") unless defined(&DEVLINK_ATTR_BUS_NAME);
    eval("sub DEVLINK_ATTR_DEV_NAME () { 2; }") unless defined(&DEVLINK_ATTR_DEV_NAME);
    eval("sub DEVLINK_ATTR_PORT_INDEX () { 3; }") unless defined(&DEVLINK_ATTR_PORT_INDEX);
    eval("sub DEVLINK_ATTR_PORT_TYPE () { 4; }") unless defined(&DEVLINK_ATTR_PORT_TYPE);
    eval("sub DEVLINK_ATTR_PORT_DESIRED_TYPE () { 5; }") unless defined(&DEVLINK_ATTR_PORT_DESIRED_TYPE);
    eval("sub DEVLINK_ATTR_PORT_NETDEV_IFINDEX () { 6; }") unless defined(&DEVLINK_ATTR_PORT_NETDEV_IFINDEX);
    eval("sub DEVLINK_ATTR_PORT_NETDEV_NAME () { 7; }") unless defined(&DEVLINK_ATTR_PORT_NETDEV_NAME);
    eval("sub DEVLINK_ATTR_PORT_IBDEV_NAME () { 8; }") unless defined(&DEVLINK_ATTR_PORT_IBDEV_NAME);
    eval("sub DEVLINK_ATTR_PORT_SPLIT_COUNT () { 9; }") unless defined(&DEVLINK_ATTR_PORT_SPLIT_COUNT);
    eval("sub DEVLINK_ATTR_PORT_SPLIT_GROUP () { 10; }") unless defined(&DEVLINK_ATTR_PORT_SPLIT_GROUP);
    eval("sub DEVLINK_ATTR_SB_INDEX () { 11; }") unless defined(&DEVLINK_ATTR_SB_INDEX);
    eval("sub DEVLINK_ATTR_SB_SIZE () { 12; }") unless defined(&DEVLINK_ATTR_SB_SIZE);
    eval("sub DEVLINK_ATTR_SB_INGRESS_POOL_COUNT () { 13; }") unless defined(&DEVLINK_ATTR_SB_INGRESS_POOL_COUNT);
    eval("sub DEVLINK_ATTR_SB_EGRESS_POOL_COUNT () { 14; }") unless defined(&DEVLINK_ATTR_SB_EGRESS_POOL_COUNT);
    eval("sub DEVLINK_ATTR_SB_INGRESS_TC_COUNT () { 15; }") unless defined(&DEVLINK_ATTR_SB_INGRESS_TC_COUNT);
    eval("sub DEVLINK_ATTR_SB_EGRESS_TC_COUNT () { 16; }") unless defined(&DEVLINK_ATTR_SB_EGRESS_TC_COUNT);
    eval("sub DEVLINK_ATTR_SB_POOL_INDEX () { 17; }") unless defined(&DEVLINK_ATTR_SB_POOL_INDEX);
    eval("sub DEVLINK_ATTR_SB_POOL_TYPE () { 18; }") unless defined(&DEVLINK_ATTR_SB_POOL_TYPE);
    eval("sub DEVLINK_ATTR_SB_POOL_SIZE () { 19; }") unless defined(&DEVLINK_ATTR_SB_POOL_SIZE);
    eval("sub DEVLINK_ATTR_SB_POOL_THRESHOLD_TYPE () { 20; }") unless defined(&DEVLINK_ATTR_SB_POOL_THRESHOLD_TYPE);
    eval("sub DEVLINK_ATTR_SB_THRESHOLD () { 21; }") unless defined(&DEVLINK_ATTR_SB_THRESHOLD);
    eval("sub DEVLINK_ATTR_SB_TC_INDEX () { 22; }") unless defined(&DEVLINK_ATTR_SB_TC_INDEX);
    eval("sub DEVLINK_ATTR_SB_OCC_CUR () { 23; }") unless defined(&DEVLINK_ATTR_SB_OCC_CUR);
    eval("sub DEVLINK_ATTR_SB_OCC_MAX () { 24; }") unless defined(&DEVLINK_ATTR_SB_OCC_MAX);
    eval("sub DEVLINK_ATTR_ESWITCH_MODE () { 25; }") unless defined(&DEVLINK_ATTR_ESWITCH_MODE);
    eval("sub DEVLINK_ATTR_ESWITCH_INLINE_MODE () { 26; }") unless defined(&DEVLINK_ATTR_ESWITCH_INLINE_MODE);
    eval("sub DEVLINK_ATTR_DPIPE_TABLES () { 27; }") unless defined(&DEVLINK_ATTR_DPIPE_TABLES);
    eval("sub DEVLINK_ATTR_DPIPE_TABLE () { 28; }") unless defined(&DEVLINK_ATTR_DPIPE_TABLE);
    eval("sub DEVLINK_ATTR_DPIPE_TABLE_NAME () { 29; }") unless defined(&DEVLINK_ATTR_DPIPE_TABLE_NAME);
    eval("sub DEVLINK_ATTR_DPIPE_TABLE_SIZE () { 30; }") unless defined(&DEVLINK_ATTR_DPIPE_TABLE_SIZE);
    eval("sub DEVLINK_ATTR_DPIPE_TABLE_MATCHES () { 31; }") unless defined(&DEVLINK_ATTR_DPIPE_TABLE_MATCHES);
    eval("sub DEVLINK_ATTR_DPIPE_TABLE_ACTIONS () { 32; }") unless defined(&DEVLINK_ATTR_DPIPE_TABLE_ACTIONS);
    eval("sub DEVLINK_ATTR_DPIPE_TABLE_COUNTERS_ENABLED () { 33; }") unless defined(&DEVLINK_ATTR_DPIPE_TABLE_COUNTERS_ENABLED);
    eval("sub DEVLINK_ATTR_DPIPE_ENTRIES () { 34; }") unless defined(&DEVLINK_ATTR_DPIPE_ENTRIES);
    eval("sub DEVLINK_ATTR_DPIPE_ENTRY () { 35; }") unless defined(&DEVLINK_ATTR_DPIPE_ENTRY);
    eval("sub DEVLINK_ATTR_DPIPE_ENTRY_INDEX () { 36; }") unless defined(&DEVLINK_ATTR_DPIPE_ENTRY_INDEX);
    eval("sub DEVLINK_ATTR_DPIPE_ENTRY_MATCH_VALUES () { 37; }") unless defined(&DEVLINK_ATTR_DPIPE_ENTRY_MATCH_VALUES);
    eval("sub DEVLINK_ATTR_DPIPE_ENTRY_ACTION_VALUES () { 38; }") unless defined(&DEVLINK_ATTR_DPIPE_ENTRY_ACTION_VALUES);
    eval("sub DEVLINK_ATTR_DPIPE_ENTRY_COUNTER () { 39; }") unless defined(&DEVLINK_ATTR_DPIPE_ENTRY_COUNTER);
    eval("sub DEVLINK_ATTR_DPIPE_MATCH () { 40; }") unless defined(&DEVLINK_ATTR_DPIPE_MATCH);
    eval("sub DEVLINK_ATTR_DPIPE_MATCH_VALUE () { 41; }") unless defined(&DEVLINK_ATTR_DPIPE_MATCH_VALUE);
    eval("sub DEVLINK_ATTR_DPIPE_MATCH_TYPE () { 42; }") unless defined(&DEVLINK_ATTR_DPIPE_MATCH_TYPE);
    eval("sub DEVLINK_ATTR_DPIPE_ACTION () { 43; }") unless defined(&DEVLINK_ATTR_DPIPE_ACTION);
    eval("sub DEVLINK_ATTR_DPIPE_ACTION_VALUE () { 44; }") unless defined(&DEVLINK_ATTR_DPIPE_ACTION_VALUE);
    eval("sub DEVLINK_ATTR_DPIPE_ACTION_TYPE () { 45; }") unless defined(&DEVLINK_ATTR_DPIPE_ACTION_TYPE);
    eval("sub DEVLINK_ATTR_DPIPE_VALUE () { 46; }") unless defined(&DEVLINK_ATTR_DPIPE_VALUE);
    eval("sub DEVLINK_ATTR_DPIPE_VALUE_MASK () { 47; }") unless defined(&DEVLINK_ATTR_DPIPE_VALUE_MASK);
    eval("sub DEVLINK_ATTR_DPIPE_VALUE_MAPPING () { 48; }") unless defined(&DEVLINK_ATTR_DPIPE_VALUE_MAPPING);
    eval("sub DEVLINK_ATTR_DPIPE_HEADERS () { 49; }") unless defined(&DEVLINK_ATTR_DPIPE_HEADERS);
    eval("sub DEVLINK_ATTR_DPIPE_HEADER () { 50; }") unless defined(&DEVLINK_ATTR_DPIPE_HEADER);
    eval("sub DEVLINK_ATTR_DPIPE_HEADER_NAME () { 51; }") unless defined(&DEVLINK_ATTR_DPIPE_HEADER_NAME);
    eval("sub DEVLINK_ATTR_DPIPE_HEADER_ID () { 52; }") unless defined(&DEVLINK_ATTR_DPIPE_HEADER_ID);
    eval("sub DEVLINK_ATTR_DPIPE_HEADER_FIELDS () { 53; }") unless defined(&DEVLINK_ATTR_DPIPE_HEADER_FIELDS);
    eval("sub DEVLINK_ATTR_DPIPE_HEADER_GLOBAL () { 54; }") unless defined(&DEVLINK_ATTR_DPIPE_HEADER_GLOBAL);
    eval("sub DEVLINK_ATTR_DPIPE_HEADER_INDEX () { 55; }") unless defined(&DEVLINK_ATTR_DPIPE_HEADER_INDEX);
    eval("sub DEVLINK_ATTR_DPIPE_FIELD () { 56; }") unless defined(&DEVLINK_ATTR_DPIPE_FIELD);
    eval("sub DEVLINK_ATTR_DPIPE_FIELD_NAME () { 57; }") unless defined(&DEVLINK_ATTR_DPIPE_FIELD_NAME);
    eval("sub DEVLINK_ATTR_DPIPE_FIELD_ID () { 58; }") unless defined(&DEVLINK_ATTR_DPIPE_FIELD_ID);
    eval("sub DEVLINK_ATTR_DPIPE_FIELD_BITWIDTH () { 59; }") unless defined(&DEVLINK_ATTR_DPIPE_FIELD_BITWIDTH);
    eval("sub DEVLINK_ATTR_DPIPE_FIELD_MAPPING_TYPE () { 60; }") unless defined(&DEVLINK_ATTR_DPIPE_FIELD_MAPPING_TYPE);
    eval("sub DEVLINK_ATTR_PAD () { 61; }") unless defined(&DEVLINK_ATTR_PAD);
    eval("sub DEVLINK_ATTR_ESWITCH_ENCAP_MODE () { 62; }") unless defined(&DEVLINK_ATTR_ESWITCH_ENCAP_MODE);
    eval("sub DEVLINK_ATTR_RESOURCE_LIST () { 63; }") unless defined(&DEVLINK_ATTR_RESOURCE_LIST);
    eval("sub DEVLINK_ATTR_RESOURCE () { 64; }") unless defined(&DEVLINK_ATTR_RESOURCE);
    eval("sub DEVLINK_ATTR_RESOURCE_NAME () { 65; }") unless defined(&DEVLINK_ATTR_RESOURCE_NAME);
    eval("sub DEVLINK_ATTR_RESOURCE_ID () { 66; }") unless defined(&DEVLINK_ATTR_RESOURCE_ID);
    eval("sub DEVLINK_ATTR_RESOURCE_SIZE () { 67; }") unless defined(&DEVLINK_ATTR_RESOURCE_SIZE);
    eval("sub DEVLINK_ATTR_RESOURCE_SIZE_NEW () { 68; }") unless defined(&DEVLINK_ATTR_RESOURCE_SIZE_NEW);
    eval("sub DEVLINK_ATTR_RESOURCE_SIZE_VALID () { 69; }") unless defined(&DEVLINK_ATTR_RESOURCE_SIZE_VALID);
    eval("sub DEVLINK_ATTR_RESOURCE_SIZE_MIN () { 70; }") unless defined(&DEVLINK_ATTR_RESOURCE_SIZE_MIN);
    eval("sub DEVLINK_ATTR_RESOURCE_SIZE_MAX () { 71; }") unless defined(&DEVLINK_ATTR_RESOURCE_SIZE_MAX);
    eval("sub DEVLINK_ATTR_RESOURCE_SIZE_GRAN () { 72; }") unless defined(&DEVLINK_ATTR_RESOURCE_SIZE_GRAN);
    eval("sub DEVLINK_ATTR_RESOURCE_UNIT () { 73; }") unless defined(&DEVLINK_ATTR_RESOURCE_UNIT);
    eval("sub DEVLINK_ATTR_RESOURCE_OCC () { 74; }") unless defined(&DEVLINK_ATTR_RESOURCE_OCC);
    eval("sub DEVLINK_ATTR_DPIPE_TABLE_RESOURCE_ID () { 75; }") unless defined(&DEVLINK_ATTR_DPIPE_TABLE_RESOURCE_ID);
    eval("sub DEVLINK_ATTR_DPIPE_TABLE_RESOURCE_UNITS () { 76; }") unless defined(&DEVLINK_ATTR_DPIPE_TABLE_RESOURCE_UNITS);
    eval("sub DEVLINK_ATTR_PORT_FLAVOUR () { 77; }") unless defined(&DEVLINK_ATTR_PORT_FLAVOUR);
    eval("sub DEVLINK_ATTR_PORT_NUMBER () { 78; }") unless defined(&DEVLINK_ATTR_PORT_NUMBER);
    eval("sub DEVLINK_ATTR_PORT_SPLIT_SUBPORT_NUMBER () { 79; }") unless defined(&DEVLINK_ATTR_PORT_SPLIT_SUBPORT_NUMBER);
    eval("sub DEVLINK_ATTR_PARAM () { 80; }") unless defined(&DEVLINK_ATTR_PARAM);
    eval("sub DEVLINK_ATTR_PARAM_NAME () { 81; }") unless defined(&DEVLINK_ATTR_PARAM_NAME);
    eval("sub DEVLINK_ATTR_PARAM_GENERIC () { 82; }") unless defined(&DEVLINK_ATTR_PARAM_GENERIC);
    eval("sub DEVLINK_ATTR_PARAM_TYPE () { 83; }") unless defined(&DEVLINK_ATTR_PARAM_TYPE);
    eval("sub DEVLINK_ATTR_PARAM_VALUES_LIST () { 84; }") unless defined(&DEVLINK_ATTR_PARAM_VALUES_LIST);
    eval("sub DEVLINK_ATTR_PARAM_VALUE () { 85; }") unless defined(&DEVLINK_ATTR_PARAM_VALUE);
    eval("sub DEVLINK_ATTR_PARAM_VALUE_DATA () { 86; }") unless defined(&DEVLINK_ATTR_PARAM_VALUE_DATA);
    eval("sub DEVLINK_ATTR_PARAM_VALUE_CMODE () { 87; }") unless defined(&DEVLINK_ATTR_PARAM_VALUE_CMODE);
    eval("sub DEVLINK_ATTR_REGION_NAME () { 88; }") unless defined(&DEVLINK_ATTR_REGION_NAME);
    eval("sub DEVLINK_ATTR_REGION_SIZE () { 89; }") unless defined(&DEVLINK_ATTR_REGION_SIZE);
    eval("sub DEVLINK_ATTR_REGION_SNAPSHOTS () { 90; }") unless defined(&DEVLINK_ATTR_REGION_SNAPSHOTS);
    eval("sub DEVLINK_ATTR_REGION_SNAPSHOT () { 91; }") unless defined(&DEVLINK_ATTR_REGION_SNAPSHOT);
    eval("sub DEVLINK_ATTR_REGION_SNAPSHOT_ID () { 92; }") unless defined(&DEVLINK_ATTR_REGION_SNAPSHOT_ID);
    eval("sub DEVLINK_ATTR_REGION_CHUNKS () { 93; }") unless defined(&DEVLINK_ATTR_REGION_CHUNKS);
    eval("sub DEVLINK_ATTR_REGION_CHUNK () { 94; }") unless defined(&DEVLINK_ATTR_REGION_CHUNK);
    eval("sub DEVLINK_ATTR_REGION_CHUNK_DATA () { 95; }") unless defined(&DEVLINK_ATTR_REGION_CHUNK_DATA);
    eval("sub DEVLINK_ATTR_REGION_CHUNK_ADDR () { 96; }") unless defined(&DEVLINK_ATTR_REGION_CHUNK_ADDR);
    eval("sub DEVLINK_ATTR_REGION_CHUNK_LEN () { 97; }") unless defined(&DEVLINK_ATTR_REGION_CHUNK_LEN);
    eval("sub DEVLINK_ATTR_INFO_DRIVER_NAME () { 98; }") unless defined(&DEVLINK_ATTR_INFO_DRIVER_NAME);
    eval("sub DEVLINK_ATTR_INFO_SERIAL_NUMBER () { 99; }") unless defined(&DEVLINK_ATTR_INFO_SERIAL_NUMBER);
    eval("sub DEVLINK_ATTR_INFO_VERSION_FIXED () { 100; }") unless defined(&DEVLINK_ATTR_INFO_VERSION_FIXED);
    eval("sub DEVLINK_ATTR_INFO_VERSION_RUNNING () { 101; }") unless defined(&DEVLINK_ATTR_INFO_VERSION_RUNNING);
    eval("sub DEVLINK_ATTR_INFO_VERSION_STORED () { 102; }") unless defined(&DEVLINK_ATTR_INFO_VERSION_STORED);
    eval("sub DEVLINK_ATTR_INFO_VERSION_NAME () { 103; }") unless defined(&DEVLINK_ATTR_INFO_VERSION_NAME);
    eval("sub DEVLINK_ATTR_INFO_VERSION_VALUE () { 104; }") unless defined(&DEVLINK_ATTR_INFO_VERSION_VALUE);
    eval("sub DEVLINK_ATTR_SB_POOL_CELL_SIZE () { 105; }") unless defined(&DEVLINK_ATTR_SB_POOL_CELL_SIZE);
    eval("sub DEVLINK_ATTR_FMSG () { 106; }") unless defined(&DEVLINK_ATTR_FMSG);
    eval("sub DEVLINK_ATTR_FMSG_OBJ_NEST_START () { 107; }") unless defined(&DEVLINK_ATTR_FMSG_OBJ_NEST_START);
    eval("sub DEVLINK_ATTR_FMSG_PAIR_NEST_START () { 108; }") unless defined(&DEVLINK_ATTR_FMSG_PAIR_NEST_START);
    eval("sub DEVLINK_ATTR_FMSG_ARR_NEST_START () { 109; }") unless defined(&DEVLINK_ATTR_FMSG_ARR_NEST_START);
    eval("sub DEVLINK_ATTR_FMSG_NEST_END () { 110; }") unless defined(&DEVLINK_ATTR_FMSG_NEST_END);
    eval("sub DEVLINK_ATTR_FMSG_OBJ_NAME () { 111; }") unless defined(&DEVLINK_ATTR_FMSG_OBJ_NAME);
    eval("sub DEVLINK_ATTR_FMSG_OBJ_VALUE_TYPE () { 112; }") unless defined(&DEVLINK_ATTR_FMSG_OBJ_VALUE_TYPE);
    eval("sub DEVLINK_ATTR_FMSG_OBJ_VALUE_DATA () { 113; }") unless defined(&DEVLINK_ATTR_FMSG_OBJ_VALUE_DATA);
    eval("sub DEVLINK_ATTR_HEALTH_REPORTER () { 114; }") unless defined(&DEVLINK_ATTR_HEALTH_REPORTER);
    eval("sub DEVLINK_ATTR_HEALTH_REPORTER_NAME () { 115; }") unless defined(&DEVLINK_ATTR_HEALTH_REPORTER_NAME);
    eval("sub DEVLINK_ATTR_HEALTH_REPORTER_STATE () { 116; }") unless defined(&DEVLINK_ATTR_HEALTH_REPORTER_STATE);
    eval("sub DEVLINK_ATTR_HEALTH_REPORTER_ERR_COUNT () { 117; }") unless defined(&DEVLINK_ATTR_HEALTH_REPORTER_ERR_COUNT);
    eval("sub DEVLINK_ATTR_HEALTH_REPORTER_RECOVER_COUNT () { 118; }") unless defined(&DEVLINK_ATTR_HEALTH_REPORTER_RECOVER_COUNT);
    eval("sub DEVLINK_ATTR_HEALTH_REPORTER_DUMP_TS () { 119; }") unless defined(&DEVLINK_ATTR_HEALTH_REPORTER_DUMP_TS);
    eval("sub DEVLINK_ATTR_HEALTH_REPORTER_GRACEFUL_PERIOD () { 120; }") unless defined(&DEVLINK_ATTR_HEALTH_REPORTER_GRACEFUL_PERIOD);
    eval("sub DEVLINK_ATTR_HEALTH_REPORTER_AUTO_RECOVER () { 121; }") unless defined(&DEVLINK_ATTR_HEALTH_REPORTER_AUTO_RECOVER);
    eval("sub DEVLINK_ATTR_FLASH_UPDATE_FILE_NAME () { 122; }") unless defined(&DEVLINK_ATTR_FLASH_UPDATE_FILE_NAME);
    eval("sub DEVLINK_ATTR_FLASH_UPDATE_COMPONENT () { 123; }") unless defined(&DEVLINK_ATTR_FLASH_UPDATE_COMPONENT);
    eval("sub DEVLINK_ATTR_FLASH_UPDATE_STATUS_MSG () { 124; }") unless defined(&DEVLINK_ATTR_FLASH_UPDATE_STATUS_MSG);
    eval("sub DEVLINK_ATTR_FLASH_UPDATE_STATUS_DONE () { 125; }") unless defined(&DEVLINK_ATTR_FLASH_UPDATE_STATUS_DONE);
    eval("sub DEVLINK_ATTR_FLASH_UPDATE_STATUS_TOTAL () { 126; }") unless defined(&DEVLINK_ATTR_FLASH_UPDATE_STATUS_TOTAL);
    eval("sub DEVLINK_ATTR_PORT_PCI_PF_NUMBER () { 127; }") unless defined(&DEVLINK_ATTR_PORT_PCI_PF_NUMBER);
    eval("sub DEVLINK_ATTR_PORT_PCI_VF_NUMBER () { 128; }") unless defined(&DEVLINK_ATTR_PORT_PCI_VF_NUMBER);
    eval("sub DEVLINK_ATTR_STATS () { 129; }") unless defined(&DEVLINK_ATTR_STATS);
    eval("sub DEVLINK_ATTR_TRAP_NAME () { 130; }") unless defined(&DEVLINK_ATTR_TRAP_NAME);
    eval("sub DEVLINK_ATTR_TRAP_ACTION () { 131; }") unless defined(&DEVLINK_ATTR_TRAP_ACTION);
    eval("sub DEVLINK_ATTR_TRAP_TYPE () { 132; }") unless defined(&DEVLINK_ATTR_TRAP_TYPE);
    eval("sub DEVLINK_ATTR_TRAP_GENERIC () { 133; }") unless defined(&DEVLINK_ATTR_TRAP_GENERIC);
    eval("sub DEVLINK_ATTR_TRAP_METADATA () { 134; }") unless defined(&DEVLINK_ATTR_TRAP_METADATA);
    eval("sub DEVLINK_ATTR_TRAP_GROUP_NAME () { 135; }") unless defined(&DEVLINK_ATTR_TRAP_GROUP_NAME);
    eval("sub DEVLINK_ATTR_RELOAD_FAILED () { 136; }") unless defined(&DEVLINK_ATTR_RELOAD_FAILED);
    eval("sub DEVLINK_ATTR_HEALTH_REPORTER_DUMP_TS_NS () { 137; }") unless defined(&DEVLINK_ATTR_HEALTH_REPORTER_DUMP_TS_NS);
    eval("sub DEVLINK_ATTR_NETNS_FD () { 138; }") unless defined(&DEVLINK_ATTR_NETNS_FD);
    eval("sub DEVLINK_ATTR_NETNS_PID () { 139; }") unless defined(&DEVLINK_ATTR_NETNS_PID);
    eval("sub DEVLINK_ATTR_NETNS_ID () { 140; }") unless defined(&DEVLINK_ATTR_NETNS_ID);
    eval("sub DEVLINK_ATTR_HEALTH_REPORTER_AUTO_DUMP () { 141; }") unless defined(&DEVLINK_ATTR_HEALTH_REPORTER_AUTO_DUMP);
    eval("sub DEVLINK_ATTR_TRAP_POLICER_ID () { 142; }") unless defined(&DEVLINK_ATTR_TRAP_POLICER_ID);
    eval("sub DEVLINK_ATTR_TRAP_POLICER_RATE () { 143; }") unless defined(&DEVLINK_ATTR_TRAP_POLICER_RATE);
    eval("sub DEVLINK_ATTR_TRAP_POLICER_BURST () { 144; }") unless defined(&DEVLINK_ATTR_TRAP_POLICER_BURST);
    eval("sub DEVLINK_ATTR_PORT_FUNCTION () { 145; }") unless defined(&DEVLINK_ATTR_PORT_FUNCTION);
    eval("sub DEVLINK_ATTR_INFO_BOARD_SERIAL_NUMBER () { 146; }") unless defined(&DEVLINK_ATTR_INFO_BOARD_SERIAL_NUMBER);
    eval("sub DEVLINK_ATTR_PORT_LANES () { 147; }") unless defined(&DEVLINK_ATTR_PORT_LANES);
    eval("sub DEVLINK_ATTR_PORT_SPLITTABLE () { 148; }") unless defined(&DEVLINK_ATTR_PORT_SPLITTABLE);
    eval("sub DEVLINK_ATTR_PORT_EXTERNAL () { 149; }") unless defined(&DEVLINK_ATTR_PORT_EXTERNAL);
    eval("sub DEVLINK_ATTR_PORT_CONTROLLER_NUMBER () { 150; }") unless defined(&DEVLINK_ATTR_PORT_CONTROLLER_NUMBER);
    eval("sub DEVLINK_ATTR_FLASH_UPDATE_STATUS_TIMEOUT () { 151; }") unless defined(&DEVLINK_ATTR_FLASH_UPDATE_STATUS_TIMEOUT);
    eval("sub DEVLINK_ATTR_FLASH_UPDATE_OVERWRITE_MASK () { 152; }") unless defined(&DEVLINK_ATTR_FLASH_UPDATE_OVERWRITE_MASK);
    eval("sub DEVLINK_ATTR_RELOAD_ACTION () { 153; }") unless defined(&DEVLINK_ATTR_RELOAD_ACTION);
    eval("sub DEVLINK_ATTR_RELOAD_ACTIONS_PERFORMED () { 154; }") unless defined(&DEVLINK_ATTR_RELOAD_ACTIONS_PERFORMED);
    eval("sub DEVLINK_ATTR_RELOAD_LIMITS () { 155; }") unless defined(&DEVLINK_ATTR_RELOAD_LIMITS);
    eval("sub DEVLINK_ATTR_DEV_STATS () { 156; }") unless defined(&DEVLINK_ATTR_DEV_STATS);
    eval("sub DEVLINK_ATTR_RELOAD_STATS () { 157; }") unless defined(&DEVLINK_ATTR_RELOAD_STATS);
    eval("sub DEVLINK_ATTR_RELOAD_STATS_ENTRY () { 158; }") unless defined(&DEVLINK_ATTR_RELOAD_STATS_ENTRY);
    eval("sub DEVLINK_ATTR_RELOAD_STATS_LIMIT () { 159; }") unless defined(&DEVLINK_ATTR_RELOAD_STATS_LIMIT);
    eval("sub DEVLINK_ATTR_RELOAD_STATS_VALUE () { 160; }") unless defined(&DEVLINK_ATTR_RELOAD_STATS_VALUE);
    eval("sub DEVLINK_ATTR_REMOTE_RELOAD_STATS () { 161; }") unless defined(&DEVLINK_ATTR_REMOTE_RELOAD_STATS);
    eval("sub DEVLINK_ATTR_RELOAD_ACTION_INFO () { 162; }") unless defined(&DEVLINK_ATTR_RELOAD_ACTION_INFO);
    eval("sub DEVLINK_ATTR_RELOAD_ACTION_STATS () { 163; }") unless defined(&DEVLINK_ATTR_RELOAD_ACTION_STATS);
    eval("sub DEVLINK_ATTR_PORT_PCI_SF_NUMBER () { 164; }") unless defined(&DEVLINK_ATTR_PORT_PCI_SF_NUMBER);
    eval("sub DEVLINK_ATTR_RATE_TYPE () { 165; }") unless defined(&DEVLINK_ATTR_RATE_TYPE);
    eval("sub DEVLINK_ATTR_RATE_TX_SHARE () { 166; }") unless defined(&DEVLINK_ATTR_RATE_TX_SHARE);
    eval("sub DEVLINK_ATTR_RATE_TX_MAX () { 167; }") unless defined(&DEVLINK_ATTR_RATE_TX_MAX);
    eval("sub DEVLINK_ATTR_RATE_NODE_NAME () { 168; }") unless defined(&DEVLINK_ATTR_RATE_NODE_NAME);
    eval("sub DEVLINK_ATTR_RATE_PARENT_NODE_NAME () { 169; }") unless defined(&DEVLINK_ATTR_RATE_PARENT_NODE_NAME);
    eval("sub DEVLINK_ATTR_REGION_MAX_SNAPSHOTS () { 170; }") unless defined(&DEVLINK_ATTR_REGION_MAX_SNAPSHOTS);
    eval("sub DEVLINK_ATTR_LINECARD_INDEX () { 171; }") unless defined(&DEVLINK_ATTR_LINECARD_INDEX);
    eval("sub DEVLINK_ATTR_LINECARD_STATE () { 172; }") unless defined(&DEVLINK_ATTR_LINECARD_STATE);
    eval("sub DEVLINK_ATTR_LINECARD_TYPE () { 173; }") unless defined(&DEVLINK_ATTR_LINECARD_TYPE);
    eval("sub DEVLINK_ATTR_LINECARD_SUPPORTED_TYPES () { 174; }") unless defined(&DEVLINK_ATTR_LINECARD_SUPPORTED_TYPES);
    eval("sub DEVLINK_ATTR_NESTED_DEVLINK () { 175; }") unless defined(&DEVLINK_ATTR_NESTED_DEVLINK);
    eval("sub DEVLINK_ATTR_SELFTESTS () { 176; }") unless defined(&DEVLINK_ATTR_SELFTESTS);
    eval("sub DEVLINK_ATTR_RATE_TX_PRIORITY () { 177; }") unless defined(&DEVLINK_ATTR_RATE_TX_PRIORITY);
    eval("sub DEVLINK_ATTR_RATE_TX_WEIGHT () { 178; }") unless defined(&DEVLINK_ATTR_RATE_TX_WEIGHT);
    eval("sub DEVLINK_ATTR_REGION_DIRECT () { 179; }") unless defined(&DEVLINK_ATTR_REGION_DIRECT);
    eval("sub __DEVLINK_ATTR_MAX () { 180; }") unless defined(&__DEVLINK_ATTR_MAX);
    eval("sub DEVLINK_ATTR_MAX () { __DEVLINK_ATTR_MAX-1; }") unless defined(&DEVLINK_ATTR_MAX);
    eval("sub DEVLINK_DPIPE_FIELD_MAPPING_TYPE_NONE () { 0; }") unless defined(&DEVLINK_DPIPE_FIELD_MAPPING_TYPE_NONE);
    eval("sub DEVLINK_DPIPE_FIELD_MAPPING_TYPE_IFINDEX () { 1; }") unless defined(&DEVLINK_DPIPE_FIELD_MAPPING_TYPE_IFINDEX);
    eval("sub DEVLINK_DPIPE_MATCH_TYPE_FIELD_EXACT () { 0; }") unless defined(&DEVLINK_DPIPE_MATCH_TYPE_FIELD_EXACT);
    eval("sub DEVLINK_DPIPE_ACTION_TYPE_FIELD_MODIFY () { 0; }") unless defined(&DEVLINK_DPIPE_ACTION_TYPE_FIELD_MODIFY);
    eval("sub DEVLINK_DPIPE_FIELD_ETHERNET_DST_MAC () { 0; }") unless defined(&DEVLINK_DPIPE_FIELD_ETHERNET_DST_MAC);
    eval("sub DEVLINK_DPIPE_FIELD_IPV4_DST_IP () { 0; }") unless defined(&DEVLINK_DPIPE_FIELD_IPV4_DST_IP);
    eval("sub DEVLINK_DPIPE_FIELD_IPV6_DST_IP () { 0; }") unless defined(&DEVLINK_DPIPE_FIELD_IPV6_DST_IP);
    eval("sub DEVLINK_DPIPE_HEADER_ETHERNET () { 0; }") unless defined(&DEVLINK_DPIPE_HEADER_ETHERNET);
    eval("sub DEVLINK_DPIPE_HEADER_IPV4 () { 1; }") unless defined(&DEVLINK_DPIPE_HEADER_IPV4);
    eval("sub DEVLINK_DPIPE_HEADER_IPV6 () { 2; }") unless defined(&DEVLINK_DPIPE_HEADER_IPV6);
    eval("sub DEVLINK_RESOURCE_UNIT_ENTRY () { 0; }") unless defined(&DEVLINK_RESOURCE_UNIT_ENTRY);
    eval("sub DEVLINK_PORT_FN_ATTR_CAP_ROCE_BIT () { 0; }") unless defined(&DEVLINK_PORT_FN_ATTR_CAP_ROCE_BIT);
    eval("sub DEVLINK_PORT_FN_ATTR_CAP_MIGRATABLE_BIT () { 1; }") unless defined(&DEVLINK_PORT_FN_ATTR_CAP_MIGRATABLE_BIT);
    eval("sub DEVLINK_PORT_FN_ATTR_CAP_IPSEC_CRYPTO_BIT () { 2; }") unless defined(&DEVLINK_PORT_FN_ATTR_CAP_IPSEC_CRYPTO_BIT);
    eval("sub DEVLINK_PORT_FN_ATTR_CAP_IPSEC_PACKET_BIT () { 3; }") unless defined(&DEVLINK_PORT_FN_ATTR_CAP_IPSEC_PACKET_BIT);
    eval("sub __DEVLINK_PORT_FN_ATTR_CAPS_MAX () { 4; }") unless defined(&__DEVLINK_PORT_FN_ATTR_CAPS_MAX);
    eval 'sub DEVLINK_PORT_FN_CAP_ROCE () { &_BITUL( &DEVLINK_PORT_FN_ATTR_CAP_ROCE_BIT);}' unless defined(&DEVLINK_PORT_FN_CAP_ROCE);
    eval 'sub DEVLINK_PORT_FN_CAP_MIGRATABLE () { &_BITUL( &DEVLINK_PORT_FN_ATTR_CAP_MIGRATABLE_BIT);}' unless defined(&DEVLINK_PORT_FN_CAP_MIGRATABLE);
    eval 'sub DEVLINK_PORT_FN_CAP_IPSEC_CRYPTO () { &_BITUL( &DEVLINK_PORT_FN_ATTR_CAP_IPSEC_CRYPTO_BIT);}' unless defined(&DEVLINK_PORT_FN_CAP_IPSEC_CRYPTO);
    eval 'sub DEVLINK_PORT_FN_CAP_IPSEC_PACKET () { &_BITUL( &DEVLINK_PORT_FN_ATTR_CAP_IPSEC_PACKET_BIT);}' unless defined(&DEVLINK_PORT_FN_CAP_IPSEC_PACKET);
    eval("sub DEVLINK_PORT_FUNCTION_ATTR_UNSPEC () { 0; }") unless defined(&DEVLINK_PORT_FUNCTION_ATTR_UNSPEC);
    eval("sub DEVLINK_PORT_FUNCTION_ATTR_HW_ADDR () { 1; }") unless defined(&DEVLINK_PORT_FUNCTION_ATTR_HW_ADDR);
    eval("sub DEVLINK_PORT_FN_ATTR_STATE () { 2; }") unless defined(&DEVLINK_PORT_FN_ATTR_STATE);
    eval("sub DEVLINK_PORT_FN_ATTR_OPSTATE () { 3; }") unless defined(&DEVLINK_PORT_FN_ATTR_OPSTATE);
    eval("sub DEVLINK_PORT_FN_ATTR_CAPS () { 4; }") unless defined(&DEVLINK_PORT_FN_ATTR_CAPS);
    eval("sub DEVLINK_PORT_FN_ATTR_DEVLINK () { 5; }") unless defined(&DEVLINK_PORT_FN_ATTR_DEVLINK);
    eval("sub __DEVLINK_PORT_FUNCTION_ATTR_MAX () { 6; }") unless defined(&__DEVLINK_PORT_FUNCTION_ATTR_MAX);
    eval("sub DEVLINK_PORT_FUNCTION_ATTR_MAX () { __DEVLINK_PORT_FUNCTION_ATTR_MAX-1; }") unless defined(&DEVLINK_PORT_FUNCTION_ATTR_MAX);
    eval("sub DEVLINK_PORT_FN_STATE_INACTIVE () { 0; }") unless defined(&DEVLINK_PORT_FN_STATE_INACTIVE);
    eval("sub DEVLINK_PORT_FN_STATE_ACTIVE () { 1; }") unless defined(&DEVLINK_PORT_FN_STATE_ACTIVE);
    eval("sub DEVLINK_PORT_FN_OPSTATE_DETACHED () { 0; }") unless defined(&DEVLINK_PORT_FN_OPSTATE_DETACHED);
    eval("sub DEVLINK_PORT_FN_OPSTATE_ATTACHED () { 1; }") unless defined(&DEVLINK_PORT_FN_OPSTATE_ATTACHED);
}
1;
