require '_h2ph_pre.ph';

no warnings qw(redefine misc);

unless(defined(&LINUX_IO_URING_H)) {
    eval 'sub LINUX_IO_URING_H () {1;}' unless defined(&LINUX_IO_URING_H);
    require 'linux/fs.ph';
    require 'linux/types.ph';
    unless(defined(&UAPI_LINUX_IO_URING_H_SKIP_LINUX_TIME_TYPES_H)) {
	require 'linux/time_types.ph';
    }
    if(defined(&__cplusplus)) {
    }
    eval 'sub IORING_FILE_INDEX_ALLOC () {(~0);}' unless defined(&IORING_FILE_INDEX_ALLOC);
    eval("sub IOSQE_FIXED_FILE_BIT () { 0; }") unless defined(&IOSQE_FIXED_FILE_BIT);
    eval("sub IOSQE_IO_DRAIN_BIT () { 1; }") unless defined(&IOSQE_IO_DRAIN_BIT);
    eval("sub IOSQE_IO_LINK_BIT () { 2; }") unless defined(&IOSQE_IO_LINK_BIT);
    eval("sub IOSQE_IO_HARDLINK_BIT () { 3; }") unless defined(&IOSQE_IO_HARDLINK_BIT);
    eval("sub IOSQE_ASYNC_BIT () { 4; }") unless defined(&IOSQE_ASYNC_BIT);
    eval("sub IOSQE_BUFFER_SELECT_BIT () { 5; }") unless defined(&IOSQE_BUFFER_SELECT_BIT);
    eval("sub IOSQE_CQE_SKIP_SUCCESS_BIT () { 6; }") unless defined(&IOSQE_CQE_SKIP_SUCCESS_BIT);
    eval 'sub IOSQE_FIXED_FILE () {(1 <<  &IOSQE_FIXED_FILE_BIT);}' unless defined(&IOSQE_FIXED_FILE);
    eval 'sub IOSQE_IO_DRAIN () {(1 <<  &IOSQE_IO_DRAIN_BIT);}' unless defined(&IOSQE_IO_DRAIN);
    eval 'sub IOSQE_IO_LINK () {(1 <<  &IOSQE_IO_LINK_BIT);}' unless defined(&IOSQE_IO_LINK);
    eval 'sub IOSQE_IO_HARDLINK () {(1 <<  &IOSQE_IO_HARDLINK_BIT);}' unless defined(&IOSQE_IO_HARDLINK);
    eval 'sub IOSQE_ASYNC () {(1 <<  &IOSQE_ASYNC_BIT);}' unless defined(&IOSQE_ASYNC);
    eval 'sub IOSQE_BUFFER_SELECT () {(1 <<  &IOSQE_BUFFER_SELECT_BIT);}' unless defined(&IOSQE_BUFFER_SELECT);
    eval 'sub IOSQE_CQE_SKIP_SUCCESS () {(1 <<  &IOSQE_CQE_SKIP_SUCCESS_BIT);}' unless defined(&IOSQE_CQE_SKIP_SUCCESS);
    eval 'sub IORING_SETUP_IOPOLL () {(1 << 0);}' unless defined(&IORING_SETUP_IOPOLL);
    eval 'sub IORING_SETUP_SQPOLL () {(1 << 1);}' unless defined(&IORING_SETUP_SQPOLL);
    eval 'sub IORING_SETUP_SQ_AFF () {(1 << 2);}' unless defined(&IORING_SETUP_SQ_AFF);
    eval 'sub IORING_SETUP_CQSIZE () {(1 << 3);}' unless defined(&IORING_SETUP_CQSIZE);
    eval 'sub IORING_SETUP_CLAMP () {(1 << 4);}' unless defined(&IORING_SETUP_CLAMP);
    eval 'sub IORING_SETUP_ATTACH_WQ () {(1 << 5);}' unless defined(&IORING_SETUP_ATTACH_WQ);
    eval 'sub IORING_SETUP_R_DISABLED () {(1 << 6);}' unless defined(&IORING_SETUP_R_DISABLED);
    eval 'sub IORING_SETUP_SUBMIT_ALL () {(1 << 7);}' unless defined(&IORING_SETUP_SUBMIT_ALL);
    eval 'sub IORING_SETUP_COOP_TASKRUN () {(1 << 8);}' unless defined(&IORING_SETUP_COOP_TASKRUN);
    eval 'sub IORING_SETUP_TASKRUN_FLAG () {(1 << 9);}' unless defined(&IORING_SETUP_TASKRUN_FLAG);
    eval 'sub IORING_SETUP_SQE128 () {(1 << 10);}' unless defined(&IORING_SETUP_SQE128);
    eval 'sub IORING_SETUP_CQE32 () {(1 << 11);}' unless defined(&IORING_SETUP_CQE32);
    eval 'sub IORING_SETUP_SINGLE_ISSUER () {(1 << 12);}' unless defined(&IORING_SETUP_SINGLE_ISSUER);
    eval 'sub IORING_SETUP_DEFER_TASKRUN () {(1 << 13);}' unless defined(&IORING_SETUP_DEFER_TASKRUN);
    eval 'sub IORING_SETUP_NO_MMAP () {(1 << 14);}' unless defined(&IORING_SETUP_NO_MMAP);
    eval 'sub IORING_SETUP_REGISTERED_FD_ONLY () {(1 << 15);}' unless defined(&IORING_SETUP_REGISTERED_FD_ONLY);
    eval 'sub IORING_SETUP_NO_SQARRAY () {(1 << 16);}' unless defined(&IORING_SETUP_NO_SQARRAY);
    eval("sub IORING_OP_NOP () { 0; }") unless defined(&IORING_OP_NOP);
    eval("sub IORING_OP_READV () { 1; }") unless defined(&IORING_OP_READV);
    eval("sub IORING_OP_WRITEV () { 2; }") unless defined(&IORING_OP_WRITEV);
    eval("sub IORING_OP_FSYNC () { 3; }") unless defined(&IORING_OP_FSYNC);
    eval("sub IORING_OP_READ_FIXED () { 4; }") unless defined(&IORING_OP_READ_FIXED);
    eval("sub IORING_OP_WRITE_FIXED () { 5; }") unless defined(&IORING_OP_WRITE_FIXED);
    eval("sub IORING_OP_POLL_ADD () { 6; }") unless defined(&IORING_OP_POLL_ADD);
    eval("sub IORING_OP_POLL_REMOVE () { 7; }") unless defined(&IORING_OP_POLL_REMOVE);
    eval("sub IORING_OP_SYNC_FILE_RANGE () { 8; }") unless defined(&IORING_OP_SYNC_FILE_RANGE);
    eval("sub IORING_OP_SENDMSG () { 9; }") unless defined(&IORING_OP_SENDMSG);
    eval("sub IORING_OP_RECVMSG () { 10; }") unless defined(&IORING_OP_RECVMSG);
    eval("sub IORING_OP_TIMEOUT () { 11; }") unless defined(&IORING_OP_TIMEOUT);
    eval("sub IORING_OP_TIMEOUT_REMOVE () { 12; }") unless defined(&IORING_OP_TIMEOUT_REMOVE);
    eval("sub IORING_OP_ACCEPT () { 13; }") unless defined(&IORING_OP_ACCEPT);
    eval("sub IORING_OP_ASYNC_CANCEL () { 14; }") unless defined(&IORING_OP_ASYNC_CANCEL);
    eval("sub IORING_OP_LINK_TIMEOUT () { 15; }") unless defined(&IORING_OP_LINK_TIMEOUT);
    eval("sub IORING_OP_CONNECT () { 16; }") unless defined(&IORING_OP_CONNECT);
    eval("sub IORING_OP_FALLOCATE () { 17; }") unless defined(&IORING_OP_FALLOCATE);
    eval("sub IORING_OP_OPENAT () { 18; }") unless defined(&IORING_OP_OPENAT);
    eval("sub IORING_OP_CLOSE () { 19; }") unless defined(&IORING_OP_CLOSE);
    eval("sub IORING_OP_FILES_UPDATE () { 20; }") unless defined(&IORING_OP_FILES_UPDATE);
    eval("sub IORING_OP_STATX () { 21; }") unless defined(&IORING_OP_STATX);
    eval("sub IORING_OP_READ () { 22; }") unless defined(&IORING_OP_READ);
    eval("sub IORING_OP_WRITE () { 23; }") unless defined(&IORING_OP_WRITE);
    eval("sub IORING_OP_FADVISE () { 24; }") unless defined(&IORING_OP_FADVISE);
    eval("sub IORING_OP_MADVISE () { 25; }") unless defined(&IORING_OP_MADVISE);
    eval("sub IORING_OP_SEND () { 26; }") unless defined(&IORING_OP_SEND);
    eval("sub IORING_OP_RECV () { 27; }") unless defined(&IORING_OP_RECV);
    eval("sub IORING_OP_OPENAT2 () { 28; }") unless defined(&IORING_OP_OPENAT2);
    eval("sub IORING_OP_EPOLL_CTL () { 29; }") unless defined(&IORING_OP_EPOLL_CTL);
    eval("sub IORING_OP_SPLICE () { 30; }") unless defined(&IORING_OP_SPLICE);
    eval("sub IORING_OP_PROVIDE_BUFFERS () { 31; }") unless defined(&IORING_OP_PROVIDE_BUFFERS);
    eval("sub IORING_OP_REMOVE_BUFFERS () { 32; }") unless defined(&IORING_OP_REMOVE_BUFFERS);
    eval("sub IORING_OP_TEE () { 33; }") unless defined(&IORING_OP_TEE);
    eval("sub IORING_OP_SHUTDOWN () { 34; }") unless defined(&IORING_OP_SHUTDOWN);
    eval("sub IORING_OP_RENAMEAT () { 35; }") unless defined(&IORING_OP_RENAMEAT);
    eval("sub IORING_OP_UNLINKAT () { 36; }") unless defined(&IORING_OP_UNLINKAT);
    eval("sub IORING_OP_MKDIRAT () { 37; }") unless defined(&IORING_OP_MKDIRAT);
    eval("sub IORING_OP_SYMLINKAT () { 38; }") unless defined(&IORING_OP_SYMLINKAT);
    eval("sub IORING_OP_LINKAT () { 39; }") unless defined(&IORING_OP_LINKAT);
    eval("sub IORING_OP_MSG_RING () { 40; }") unless defined(&IORING_OP_MSG_RING);
    eval("sub IORING_OP_FSETXATTR () { 41; }") unless defined(&IORING_OP_FSETXATTR);
    eval("sub IORING_OP_SETXATTR () { 42; }") unless defined(&IORING_OP_SETXATTR);
    eval("sub IORING_OP_FGETXATTR () { 43; }") unless defined(&IORING_OP_FGETXATTR);
    eval("sub IORING_OP_GETXATTR () { 44; }") unless defined(&IORING_OP_GETXATTR);
    eval("sub IORING_OP_SOCKET () { 45; }") unless defined(&IORING_OP_SOCKET);
    eval("sub IORING_OP_URING_CMD () { 46; }") unless defined(&IORING_OP_URING_CMD);
    eval("sub IORING_OP_SEND_ZC () { 47; }") unless defined(&IORING_OP_SEND_ZC);
    eval("sub IORING_OP_SENDMSG_ZC () { 48; }") unless defined(&IORING_OP_SENDMSG_ZC);
    eval("sub IORING_OP_READ_MULTISHOT () { 49; }") unless defined(&IORING_OP_READ_MULTISHOT);
    eval("sub IORING_OP_LAST () { 50; }") unless defined(&IORING_OP_LAST);
    eval 'sub IORING_URING_CMD_FIXED () {(1 << 0);}' unless defined(&IORING_URING_CMD_FIXED);
    eval 'sub IORING_URING_CMD_MASK () { &IORING_URING_CMD_FIXED;}' unless defined(&IORING_URING_CMD_MASK);
    eval 'sub IORING_FSYNC_DATASYNC () {(1 << 0);}' unless defined(&IORING_FSYNC_DATASYNC);
    eval 'sub IORING_TIMEOUT_ABS () {(1 << 0);}' unless defined(&IORING_TIMEOUT_ABS);
    eval 'sub IORING_TIMEOUT_UPDATE () {(1 << 1);}' unless defined(&IORING_TIMEOUT_UPDATE);
    eval 'sub IORING_TIMEOUT_BOOTTIME () {(1 << 2);}' unless defined(&IORING_TIMEOUT_BOOTTIME);
    eval 'sub IORING_TIMEOUT_REALTIME () {(1 << 3);}' unless defined(&IORING_TIMEOUT_REALTIME);
    eval 'sub IORING_LINK_TIMEOUT_UPDATE () {(1 << 4);}' unless defined(&IORING_LINK_TIMEOUT_UPDATE);
    eval 'sub IORING_TIMEOUT_ETIME_SUCCESS () {(1 << 5);}' unless defined(&IORING_TIMEOUT_ETIME_SUCCESS);
    eval 'sub IORING_TIMEOUT_MULTISHOT () {(1 << 6);}' unless defined(&IORING_TIMEOUT_MULTISHOT);
    eval 'sub IORING_TIMEOUT_CLOCK_MASK () {( &IORING_TIMEOUT_BOOTTIME |  &IORING_TIMEOUT_REALTIME);}' unless defined(&IORING_TIMEOUT_CLOCK_MASK);
    eval 'sub IORING_TIMEOUT_UPDATE_MASK () {( &IORING_TIMEOUT_UPDATE |  &IORING_LINK_TIMEOUT_UPDATE);}' unless defined(&IORING_TIMEOUT_UPDATE_MASK);
    eval 'sub SPLICE_F_FD_IN_FIXED () {(1 << 31);}' unless defined(&SPLICE_F_FD_IN_FIXED);
    eval 'sub IORING_POLL_ADD_MULTI () {(1 << 0);}' unless defined(&IORING_POLL_ADD_MULTI);
    eval 'sub IORING_POLL_UPDATE_EVENTS () {(1 << 1);}' unless defined(&IORING_POLL_UPDATE_EVENTS);
    eval 'sub IORING_POLL_UPDATE_USER_DATA () {(1 << 2);}' unless defined(&IORING_POLL_UPDATE_USER_DATA);
    eval 'sub IORING_POLL_ADD_LEVEL () {(1 << 3);}' unless defined(&IORING_POLL_ADD_LEVEL);
    eval 'sub IORING_ASYNC_CANCEL_ALL () {(1 << 0);}' unless defined(&IORING_ASYNC_CANCEL_ALL);
    eval 'sub IORING_ASYNC_CANCEL_FD () {(1 << 1);}' unless defined(&IORING_ASYNC_CANCEL_FD);
    eval 'sub IORING_ASYNC_CANCEL_ANY () {(1 << 2);}' unless defined(&IORING_ASYNC_CANCEL_ANY);
    eval 'sub IORING_ASYNC_CANCEL_FD_FIXED () {(1 << 3);}' unless defined(&IORING_ASYNC_CANCEL_FD_FIXED);
    eval 'sub IORING_ASYNC_CANCEL_USERDATA () {(1 << 4);}' unless defined(&IORING_ASYNC_CANCEL_USERDATA);
    eval 'sub IORING_ASYNC_CANCEL_OP () {(1 << 5);}' unless defined(&IORING_ASYNC_CANCEL_OP);
    eval 'sub IORING_RECVSEND_POLL_FIRST () {(1 << 0);}' unless defined(&IORING_RECVSEND_POLL_FIRST);
    eval 'sub IORING_RECV_MULTISHOT () {(1 << 1);}' unless defined(&IORING_RECV_MULTISHOT);
    eval 'sub IORING_RECVSEND_FIXED_BUF () {(1 << 2);}' unless defined(&IORING_RECVSEND_FIXED_BUF);
    eval 'sub IORING_SEND_ZC_REPORT_USAGE () {(1 << 3);}' unless defined(&IORING_SEND_ZC_REPORT_USAGE);
    eval 'sub IORING_NOTIF_USAGE_ZC_COPIED () {(1 << 31);}' unless defined(&IORING_NOTIF_USAGE_ZC_COPIED);
    eval 'sub IORING_ACCEPT_MULTISHOT () {(1 << 0);}' unless defined(&IORING_ACCEPT_MULTISHOT);
    eval("sub IORING_MSG_DATA () { 0; }") unless defined(&IORING_MSG_DATA);
    eval("sub IORING_MSG_SEND_FD () { 1; }") unless defined(&IORING_MSG_SEND_FD);
    eval 'sub IORING_MSG_RING_CQE_SKIP () {(1 << 0);}' unless defined(&IORING_MSG_RING_CQE_SKIP);
    eval 'sub IORING_MSG_RING_FLAGS_PASS () {(1 << 1);}' unless defined(&IORING_MSG_RING_FLAGS_PASS);
    eval 'sub IORING_CQE_F_BUFFER () {(1 << 0);}' unless defined(&IORING_CQE_F_BUFFER);
    eval 'sub IORING_CQE_F_MORE () {(1 << 1);}' unless defined(&IORING_CQE_F_MORE);
    eval 'sub IORING_CQE_F_SOCK_NONEMPTY () {(1 << 2);}' unless defined(&IORING_CQE_F_SOCK_NONEMPTY);
    eval 'sub IORING_CQE_F_NOTIF () {(1 << 3);}' unless defined(&IORING_CQE_F_NOTIF);
    eval("sub IORING_CQE_BUFFER_SHIFT () { 16; }") unless defined(&IORING_CQE_BUFFER_SHIFT);
    eval 'sub IORING_OFF_SQ_RING () {0;}' unless defined(&IORING_OFF_SQ_RING);
    eval 'sub IORING_OFF_CQ_RING () {0x8000000;}' unless defined(&IORING_OFF_CQ_RING);
    eval 'sub IORING_OFF_SQES () {0x10000000;}' unless defined(&IORING_OFF_SQES);
    eval 'sub IORING_OFF_PBUF_RING () {0x80000000;}' unless defined(&IORING_OFF_PBUF_RING);
    eval 'sub IORING_OFF_PBUF_SHIFT () {16;}' unless defined(&IORING_OFF_PBUF_SHIFT);
    eval 'sub IORING_OFF_MMAP_MASK () {0xf8000000;}' unless defined(&IORING_OFF_MMAP_MASK);
    eval 'sub IORING_SQ_NEED_WAKEUP () {(1 << 0);}' unless defined(&IORING_SQ_NEED_WAKEUP);
    eval 'sub IORING_SQ_CQ_OVERFLOW () {(1 << 1);}' unless defined(&IORING_SQ_CQ_OVERFLOW);
    eval 'sub IORING_SQ_TASKRUN () {(1 << 2);}' unless defined(&IORING_SQ_TASKRUN);
    eval 'sub IORING_CQ_EVENTFD_DISABLED () {(1 << 0);}' unless defined(&IORING_CQ_EVENTFD_DISABLED);
    eval 'sub IORING_ENTER_GETEVENTS () {(1 << 0);}' unless defined(&IORING_ENTER_GETEVENTS);
    eval 'sub IORING_ENTER_SQ_WAKEUP () {(1 << 1);}' unless defined(&IORING_ENTER_SQ_WAKEUP);
    eval 'sub IORING_ENTER_SQ_WAIT () {(1 << 2);}' unless defined(&IORING_ENTER_SQ_WAIT);
    eval 'sub IORING_ENTER_EXT_ARG () {(1 << 3);}' unless defined(&IORING_ENTER_EXT_ARG);
    eval 'sub IORING_ENTER_REGISTERED_RING () {(1 << 4);}' unless defined(&IORING_ENTER_REGISTERED_RING);
    eval 'sub IORING_FEAT_SINGLE_MMAP () {(1 << 0);}' unless defined(&IORING_FEAT_SINGLE_MMAP);
    eval 'sub IORING_FEAT_NODROP () {(1 << 1);}' unless defined(&IORING_FEAT_NODROP);
    eval 'sub IORING_FEAT_SUBMIT_STABLE () {(1 << 2);}' unless defined(&IORING_FEAT_SUBMIT_STABLE);
    eval 'sub IORING_FEAT_RW_CUR_POS () {(1 << 3);}' unless defined(&IORING_FEAT_RW_CUR_POS);
    eval 'sub IORING_FEAT_CUR_PERSONALITY () {(1 << 4);}' unless defined(&IORING_FEAT_CUR_PERSONALITY);
    eval 'sub IORING_FEAT_FAST_POLL () {(1 << 5);}' unless defined(&IORING_FEAT_FAST_POLL);
    eval 'sub IORING_FEAT_POLL_32BITS () {(1 << 6);}' unless defined(&IORING_FEAT_POLL_32BITS);
    eval 'sub IORING_FEAT_SQPOLL_NONFIXED () {(1 << 7);}' unless defined(&IORING_FEAT_SQPOLL_NONFIXED);
    eval 'sub IORING_FEAT_EXT_ARG () {(1 << 8);}' unless defined(&IORING_FEAT_EXT_ARG);
    eval 'sub IORING_FEAT_NATIVE_WORKERS () {(1 << 9);}' unless defined(&IORING_FEAT_NATIVE_WORKERS);
    eval 'sub IORING_FEAT_RSRC_TAGS () {(1 << 10);}' unless defined(&IORING_FEAT_RSRC_TAGS);
    eval 'sub IORING_FEAT_CQE_SKIP () {(1 << 11);}' unless defined(&IORING_FEAT_CQE_SKIP);
    eval 'sub IORING_FEAT_LINKED_FILE () {(1 << 12);}' unless defined(&IORING_FEAT_LINKED_FILE);
    eval 'sub IORING_FEAT_REG_REG_RING () {(1 << 13);}' unless defined(&IORING_FEAT_REG_REG_RING);
    eval("sub IORING_REGISTER_BUFFERS () { 0; }") unless defined(&IORING_REGISTER_BUFFERS);
    eval("sub IORING_UNREGISTER_BUFFERS () { 1; }") unless defined(&IORING_UNREGISTER_BUFFERS);
    eval("sub IORING_REGISTER_FILES () { 2; }") unless defined(&IORING_REGISTER_FILES);
    eval("sub IORING_UNREGISTER_FILES () { 3; }") unless defined(&IORING_UNREGISTER_FILES);
    eval("sub IORING_REGISTER_EVENTFD () { 4; }") unless defined(&IORING_REGISTER_EVENTFD);
    eval("sub IORING_UNREGISTER_EVENTFD () { 5; }") unless defined(&IORING_UNREGISTER_EVENTFD);
    eval("sub IORING_REGISTER_FILES_UPDATE () { 6; }") unless defined(&IORING_REGISTER_FILES_UPDATE);
    eval("sub IORING_REGISTER_EVENTFD_ASYNC () { 7; }") unless defined(&IORING_REGISTER_EVENTFD_ASYNC);
    eval("sub IORING_REGISTER_PROBE () { 8; }") unless defined(&IORING_REGISTER_PROBE);
    eval("sub IORING_REGISTER_PERSONALITY () { 9; }") unless defined(&IORING_REGISTER_PERSONALITY);
    eval("sub IORING_UNREGISTER_PERSONALITY () { 10; }") unless defined(&IORING_UNREGISTER_PERSONALITY);
    eval("sub IORING_REGISTER_RESTRICTIONS () { 11; }") unless defined(&IORING_REGISTER_RESTRICTIONS);
    eval("sub IORING_REGISTER_ENABLE_RINGS () { 12; }") unless defined(&IORING_REGISTER_ENABLE_RINGS);
    eval("sub IORING_REGISTER_FILES2 () { 13; }") unless defined(&IORING_REGISTER_FILES2);
    eval("sub IORING_REGISTER_FILES_UPDATE2 () { 14; }") unless defined(&IORING_REGISTER_FILES_UPDATE2);
    eval("sub IORING_REGISTER_BUFFERS2 () { 15; }") unless defined(&IORING_REGISTER_BUFFERS2);
    eval("sub IORING_REGISTER_BUFFERS_UPDATE () { 16; }") unless defined(&IORING_REGISTER_BUFFERS_UPDATE);
    eval("sub IORING_REGISTER_IOWQ_AFF () { 17; }") unless defined(&IORING_REGISTER_IOWQ_AFF);
    eval("sub IORING_UNREGISTER_IOWQ_AFF () { 18; }") unless defined(&IORING_UNREGISTER_IOWQ_AFF);
    eval("sub IORING_REGISTER_IOWQ_MAX_WORKERS () { 19; }") unless defined(&IORING_REGISTER_IOWQ_MAX_WORKERS);
    eval("sub IORING_REGISTER_RING_FDS () { 20; }") unless defined(&IORING_REGISTER_RING_FDS);
    eval("sub IORING_UNREGISTER_RING_FDS () { 21; }") unless defined(&IORING_UNREGISTER_RING_FDS);
    eval("sub IORING_REGISTER_PBUF_RING () { 22; }") unless defined(&IORING_REGISTER_PBUF_RING);
    eval("sub IORING_UNREGISTER_PBUF_RING () { 23; }") unless defined(&IORING_UNREGISTER_PBUF_RING);
    eval("sub IORING_REGISTER_SYNC_CANCEL () { 24; }") unless defined(&IORING_REGISTER_SYNC_CANCEL);
    eval("sub IORING_REGISTER_FILE_ALLOC_RANGE () { 25; }") unless defined(&IORING_REGISTER_FILE_ALLOC_RANGE);
    eval("sub IORING_REGISTER_LAST () { 26; }") unless defined(&IORING_REGISTER_LAST);
    eval("sub IORING_REGISTER_USE_REGISTERED_RING () { 1U<<31; }") unless defined(&IORING_REGISTER_USE_REGISTERED_RING);
    eval("sub IO_WQ_BOUND () { 0; }") unless defined(&IO_WQ_BOUND);
    eval("sub IO_WQ_UNBOUND () { 1; }") unless defined(&IO_WQ_UNBOUND);
    eval 'sub IORING_RSRC_REGISTER_SPARSE () {(1 << 0);}' unless defined(&IORING_RSRC_REGISTER_SPARSE);
    eval 'sub IORING_REGISTER_FILES_SKIP () {(-2);}' unless defined(&IORING_REGISTER_FILES_SKIP);
    eval 'sub IO_URING_OP_SUPPORTED () {(1 << 0);}' unless defined(&IO_URING_OP_SUPPORTED);
    eval("sub IOU_PBUF_RING_MMAP () { 1; }") unless defined(&IOU_PBUF_RING_MMAP);
    eval("sub IORING_RESTRICTION_REGISTER_OP () { 0; }") unless defined(&IORING_RESTRICTION_REGISTER_OP);
    eval("sub IORING_RESTRICTION_SQE_OP () { 1; }") unless defined(&IORING_RESTRICTION_SQE_OP);
    eval("sub IORING_RESTRICTION_SQE_FLAGS_ALLOWED () { 2; }") unless defined(&IORING_RESTRICTION_SQE_FLAGS_ALLOWED);
    eval("sub IORING_RESTRICTION_SQE_FLAGS_REQUIRED () { 3; }") unless defined(&IORING_RESTRICTION_SQE_FLAGS_REQUIRED);
    eval("sub IORING_RESTRICTION_LAST () { 4; }") unless defined(&IORING_RESTRICTION_LAST);
    if(defined(&__cplusplus)) {
    }
}
1;
