require '_h2ph_pre.ph';

no warnings qw(redefine misc);

unless(defined(&_LINUX_VIRTIO_CONFIG_H)) {
    eval 'sub _LINUX_VIRTIO_CONFIG_H () {1;}' unless defined(&_LINUX_VIRTIO_CONFIG_H);
    require 'linux/types.ph';
    eval 'sub VIRTIO_CONFIG_S_ACKNOWLEDGE () {1;}' unless defined(&VIRTIO_CONFIG_S_ACKNOWLEDGE);
    eval 'sub VIRTIO_CONFIG_S_DRIVER () {2;}' unless defined(&VIRTIO_CONFIG_S_DRIVER);
    eval 'sub VIRTIO_CONFIG_S_DRIVER_OK () {4;}' unless defined(&VIRTIO_CONFIG_S_DRIVER_OK);
    eval 'sub VIRTIO_CONFIG_S_FEATURES_OK () {8;}' unless defined(&VIRTIO_CONFIG_S_FEATURES_OK);
    eval 'sub VIRTIO_CONFIG_S_NEEDS_RESET () {0x40;}' unless defined(&VIRTIO_CONFIG_S_NEEDS_RESET);
    eval 'sub VIRTIO_CONFIG_S_FAILED () {0x80;}' unless defined(&VIRTIO_CONFIG_S_FAILED);
    eval 'sub VIRTIO_TRANSPORT_F_START () {28;}' unless defined(&VIRTIO_TRANSPORT_F_START);
    eval 'sub VIRTIO_TRANSPORT_F_END () {41;}' unless defined(&VIRTIO_TRANSPORT_F_END);
    unless(defined(&VIRTIO_CONFIG_NO_LEGACY)) {
	eval 'sub VIRTIO_F_NOTIFY_ON_EMPTY () {24;}' unless defined(&VIRTIO_F_NOTIFY_ON_EMPTY);
	eval 'sub VIRTIO_F_ANY_LAYOUT () {27;}' unless defined(&VIRTIO_F_ANY_LAYOUT);
    }
    eval 'sub VIRTIO_F_VERSION_1 () {32;}' unless defined(&VIRTIO_F_VERSION_1);
    eval 'sub VIRTIO_F_ACCESS_PLATFORM () {33;}' unless defined(&VIRTIO_F_ACCESS_PLATFORM);
    eval 'sub VIRTIO_F_IOMMU_PLATFORM () { &VIRTIO_F_ACCESS_PLATFORM;}' unless defined(&VIRTIO_F_IOMMU_PLATFORM);
    eval 'sub VIRTIO_F_RING_PACKED () {34;}' unless defined(&VIRTIO_F_RING_PACKED);
    eval 'sub VIRTIO_F_IN_ORDER () {35;}' unless defined(&VIRTIO_F_IN_ORDER);
    eval 'sub VIRTIO_F_ORDER_PLATFORM () {36;}' unless defined(&VIRTIO_F_ORDER_PLATFORM);
    eval 'sub VIRTIO_F_SR_IOV () {37;}' unless defined(&VIRTIO_F_SR_IOV);
    eval 'sub VIRTIO_F_NOTIFICATION_DATA () {38;}' unless defined(&VIRTIO_F_NOTIFICATION_DATA);
    eval 'sub VIRTIO_F_RING_RESET () {40;}' unless defined(&VIRTIO_F_RING_RESET);
}
1;
