require '_h2ph_pre.ph';

no warnings qw(redefine misc);

unless(defined(&_CAN_H)) {
    eval 'sub _CAN_H () {1;}' unless defined(&_CAN_H);
    require 'linux/types.ph';
    require 'linux/socket.ph';
    require 'linux/stddef.ph';
    eval 'sub CAN_EFF_FLAG () {0x80000000;}' unless defined(&CAN_EFF_FLAG);
    eval 'sub CAN_RTR_FLAG () {0x40000000;}' unless defined(&CAN_RTR_FLAG);
    eval 'sub CAN_ERR_FLAG () {0x20000000;}' unless defined(&CAN_ERR_FLAG);
    eval 'sub CAN_SFF_MASK () {0x7ff;}' unless defined(&CAN_SFF_MASK);
    eval 'sub CAN_EFF_MASK () {0x1fffffff;}' unless defined(&CAN_EFF_MASK);
    eval 'sub CAN_ERR_MASK () {0x1fffffff;}' unless defined(&CAN_ERR_MASK);
    eval 'sub CANXL_PRIO_MASK () { &CAN_SFF_MASK;}' unless defined(&CANXL_PRIO_MASK);
    eval 'sub CAN_SFF_ID_BITS () {11;}' unless defined(&CAN_SFF_ID_BITS);
    eval 'sub CAN_EFF_ID_BITS () {29;}' unless defined(&CAN_EFF_ID_BITS);
    eval 'sub CANXL_PRIO_BITS () { &CAN_SFF_ID_BITS;}' unless defined(&CANXL_PRIO_BITS);
    eval 'sub CAN_MAX_DLC () {8;}' unless defined(&CAN_MAX_DLC);
    eval 'sub CAN_MAX_RAW_DLC () {15;}' unless defined(&CAN_MAX_RAW_DLC);
    eval 'sub CAN_MAX_DLEN () {8;}' unless defined(&CAN_MAX_DLEN);
    eval 'sub CANFD_MAX_DLC () {15;}' unless defined(&CANFD_MAX_DLC);
    eval 'sub CANFD_MAX_DLEN () {64;}' unless defined(&CANFD_MAX_DLEN);
    eval 'sub CANXL_MIN_DLC () {0;}' unless defined(&CANXL_MIN_DLC);
    eval 'sub CANXL_MAX_DLC () {2047;}' unless defined(&CANXL_MAX_DLC);
    eval 'sub CANXL_MAX_DLC_MASK () {0x7ff;}' unless defined(&CANXL_MAX_DLC_MASK);
    eval 'sub CANXL_MIN_DLEN () {1;}' unless defined(&CANXL_MIN_DLEN);
    eval 'sub CANXL_MAX_DLEN () {2048;}' unless defined(&CANXL_MAX_DLEN);
    eval 'sub CANFD_BRS () {0x1;}' unless defined(&CANFD_BRS);
    eval 'sub CANFD_ESI () {0x2;}' unless defined(&CANFD_ESI);
    eval 'sub CANFD_FDF () {0x4;}' unless defined(&CANFD_FDF);
    eval 'sub CANXL_XLF () {0x80;}' unless defined(&CANXL_XLF);
    eval 'sub CANXL_SEC () {0x1;}' unless defined(&CANXL_SEC);
    eval 'sub CAN_MTU () {($sizeof{\'struct can_frame\'});}' unless defined(&CAN_MTU);
    eval 'sub CANFD_MTU () {($sizeof{\'struct canfd_frame\'});}' unless defined(&CANFD_MTU);
    eval 'sub CANXL_MTU () {($sizeof{\'struct canxl_frame\'});}' unless defined(&CANXL_MTU);
    eval 'sub CANXL_HDR_SIZE () {( &offsetof(\'struct canxl_frame\',  &data));}' unless defined(&CANXL_HDR_SIZE);
    eval 'sub CANXL_MIN_MTU () {( &CANXL_HDR_SIZE + 64);}' unless defined(&CANXL_MIN_MTU);
    eval 'sub CANXL_MAX_MTU () { &CANXL_MTU;}' unless defined(&CANXL_MAX_MTU);
    eval 'sub CAN_RAW () {1;}' unless defined(&CAN_RAW);
    eval 'sub CAN_BCM () {2;}' unless defined(&CAN_BCM);
    eval 'sub CAN_TP16 () {3;}' unless defined(&CAN_TP16);
    eval 'sub CAN_TP20 () {4;}' unless defined(&CAN_TP20);
    eval 'sub CAN_MCNET () {5;}' unless defined(&CAN_MCNET);
    eval 'sub CAN_ISOTP () {6;}' unless defined(&CAN_ISOTP);
    eval 'sub CAN_J1939 () {7;}' unless defined(&CAN_J1939);
    eval 'sub CAN_NPROTO () {8;}' unless defined(&CAN_NPROTO);
    eval 'sub SOL_CAN_BASE () {100;}' unless defined(&SOL_CAN_BASE);
    eval 'sub CAN_INV_FILTER () {0x20000000;}' unless defined(&CAN_INV_FILTER);
    eval 'sub CAN_RAW_FILTER_MAX () {512;}' unless defined(&CAN_RAW_FILTER_MAX);
}
1;
