require '_h2ph_pre.ph';

no warnings qw(redefine misc);

unless(defined(&_LINUX_IF_BRIDGE_H)) {
    eval 'sub _LINUX_IF_BRIDGE_H () {1;}' unless defined(&_LINUX_IF_BRIDGE_H);
    require 'linux/types.ph';
    require 'linux/if_ether.ph';
    require 'linux/in6.ph';
    eval 'sub SYSFS_BRIDGE_ATTR () {"bridge";}' unless defined(&SYSFS_BRIDGE_ATTR);
    eval 'sub SYSFS_BRIDGE_FDB () {"brforward";}' unless defined(&SYSFS_BRIDGE_FDB);
    eval 'sub SYSFS_BRIDGE_PORT_SUBDIR () {"brif";}' unless defined(&SYSFS_BRIDGE_PORT_SUBDIR);
    eval 'sub SYSFS_BRIDGE_PORT_ATTR () {"brport";}' unless defined(&SYSFS_BRIDGE_PORT_ATTR);
    eval 'sub SYSFS_BRIDGE_PORT_LINK () {"bridge";}' unless defined(&SYSFS_BRIDGE_PORT_LINK);
    eval 'sub BRCTL_VERSION () {1;}' unless defined(&BRCTL_VERSION);
    eval 'sub BRCTL_GET_VERSION () {0;}' unless defined(&BRCTL_GET_VERSION);
    eval 'sub BRCTL_GET_BRIDGES () {1;}' unless defined(&BRCTL_GET_BRIDGES);
    eval 'sub BRCTL_ADD_BRIDGE () {2;}' unless defined(&BRCTL_ADD_BRIDGE);
    eval 'sub BRCTL_DEL_BRIDGE () {3;}' unless defined(&BRCTL_DEL_BRIDGE);
    eval 'sub BRCTL_ADD_IF () {4;}' unless defined(&BRCTL_ADD_IF);
    eval 'sub BRCTL_DEL_IF () {5;}' unless defined(&BRCTL_DEL_IF);
    eval 'sub BRCTL_GET_BRIDGE_INFO () {6;}' unless defined(&BRCTL_GET_BRIDGE_INFO);
    eval 'sub BRCTL_GET_PORT_LIST () {7;}' unless defined(&BRCTL_GET_PORT_LIST);
    eval 'sub BRCTL_SET_BRIDGE_FORWARD_DELAY () {8;}' unless defined(&BRCTL_SET_BRIDGE_FORWARD_DELAY);
    eval 'sub BRCTL_SET_BRIDGE_HELLO_TIME () {9;}' unless defined(&BRCTL_SET_BRIDGE_HELLO_TIME);
    eval 'sub BRCTL_SET_BRIDGE_MAX_AGE () {10;}' unless defined(&BRCTL_SET_BRIDGE_MAX_AGE);
    eval 'sub BRCTL_SET_AGEING_TIME () {11;}' unless defined(&BRCTL_SET_AGEING_TIME);
    eval 'sub BRCTL_SET_GC_INTERVAL () {12;}' unless defined(&BRCTL_SET_GC_INTERVAL);
    eval 'sub BRCTL_GET_PORT_INFO () {13;}' unless defined(&BRCTL_GET_PORT_INFO);
    eval 'sub BRCTL_SET_BRIDGE_STP_STATE () {14;}' unless defined(&BRCTL_SET_BRIDGE_STP_STATE);
    eval 'sub BRCTL_SET_BRIDGE_PRIORITY () {15;}' unless defined(&BRCTL_SET_BRIDGE_PRIORITY);
    eval 'sub BRCTL_SET_PORT_PRIORITY () {16;}' unless defined(&BRCTL_SET_PORT_PRIORITY);
    eval 'sub BRCTL_SET_PATH_COST () {17;}' unless defined(&BRCTL_SET_PATH_COST);
    eval 'sub BRCTL_GET_FDB_ENTRIES () {18;}' unless defined(&BRCTL_GET_FDB_ENTRIES);
    eval 'sub BR_STATE_DISABLED () {0;}' unless defined(&BR_STATE_DISABLED);
    eval 'sub BR_STATE_LISTENING () {1;}' unless defined(&BR_STATE_LISTENING);
    eval 'sub BR_STATE_LEARNING () {2;}' unless defined(&BR_STATE_LEARNING);
    eval 'sub BR_STATE_FORWARDING () {3;}' unless defined(&BR_STATE_FORWARDING);
    eval 'sub BR_STATE_BLOCKING () {4;}' unless defined(&BR_STATE_BLOCKING);
    eval 'sub BRIDGE_FLAGS_MASTER () {1;}' unless defined(&BRIDGE_FLAGS_MASTER);
    eval 'sub BRIDGE_FLAGS_SELF () {2;}' unless defined(&BRIDGE_FLAGS_SELF);
    eval 'sub BRIDGE_MODE_VEB () {0;}' unless defined(&BRIDGE_MODE_VEB);
    eval 'sub BRIDGE_MODE_VEPA () {1;}' unless defined(&BRIDGE_MODE_VEPA);
    eval 'sub BRIDGE_MODE_UNDEF () {0xffff;}' unless defined(&BRIDGE_MODE_UNDEF);
    eval("sub IFLA_BRIDGE_FLAGS () { 0; }") unless defined(&IFLA_BRIDGE_FLAGS);
    eval("sub IFLA_BRIDGE_MODE () { 1; }") unless defined(&IFLA_BRIDGE_MODE);
    eval("sub IFLA_BRIDGE_VLAN_INFO () { 2; }") unless defined(&IFLA_BRIDGE_VLAN_INFO);
    eval("sub IFLA_BRIDGE_VLAN_TUNNEL_INFO () { 3; }") unless defined(&IFLA_BRIDGE_VLAN_TUNNEL_INFO);
    eval("sub IFLA_BRIDGE_MRP () { 4; }") unless defined(&IFLA_BRIDGE_MRP);
    eval("sub IFLA_BRIDGE_CFM () { 5; }") unless defined(&IFLA_BRIDGE_CFM);
    eval("sub IFLA_BRIDGE_MST () { 6; }") unless defined(&IFLA_BRIDGE_MST);
    eval("sub __IFLA_BRIDGE_MAX () { 7; }") unless defined(&__IFLA_BRIDGE_MAX);
    eval 'sub IFLA_BRIDGE_MAX () {( &__IFLA_BRIDGE_MAX - 1);}' unless defined(&IFLA_BRIDGE_MAX);
    eval 'sub BRIDGE_VLAN_INFO_MASTER () {(1<<0);}' unless defined(&BRIDGE_VLAN_INFO_MASTER);
    eval 'sub BRIDGE_VLAN_INFO_PVID () {(1<<1);}' unless defined(&BRIDGE_VLAN_INFO_PVID);
    eval 'sub BRIDGE_VLAN_INFO_UNTAGGED () {(1<<2);}' unless defined(&BRIDGE_VLAN_INFO_UNTAGGED);
    eval 'sub BRIDGE_VLAN_INFO_RANGE_BEGIN () {(1<<3);}' unless defined(&BRIDGE_VLAN_INFO_RANGE_BEGIN);
    eval 'sub BRIDGE_VLAN_INFO_RANGE_END () {(1<<4);}' unless defined(&BRIDGE_VLAN_INFO_RANGE_END);
    eval 'sub BRIDGE_VLAN_INFO_BRENTRY () {(1<<5);}' unless defined(&BRIDGE_VLAN_INFO_BRENTRY);
    eval 'sub BRIDGE_VLAN_INFO_ONLY_OPTS () {(1<<6);}' unless defined(&BRIDGE_VLAN_INFO_ONLY_OPTS);
    eval("sub IFLA_BRIDGE_VLAN_TUNNEL_UNSPEC () { 0; }") unless defined(&IFLA_BRIDGE_VLAN_TUNNEL_UNSPEC);
    eval("sub IFLA_BRIDGE_VLAN_TUNNEL_ID () { 1; }") unless defined(&IFLA_BRIDGE_VLAN_TUNNEL_ID);
    eval("sub IFLA_BRIDGE_VLAN_TUNNEL_VID () { 2; }") unless defined(&IFLA_BRIDGE_VLAN_TUNNEL_VID);
    eval("sub IFLA_BRIDGE_VLAN_TUNNEL_FLAGS () { 3; }") unless defined(&IFLA_BRIDGE_VLAN_TUNNEL_FLAGS);
    eval("sub __IFLA_BRIDGE_VLAN_TUNNEL_MAX () { 4; }") unless defined(&__IFLA_BRIDGE_VLAN_TUNNEL_MAX);
    eval 'sub IFLA_BRIDGE_VLAN_TUNNEL_MAX () {( &__IFLA_BRIDGE_VLAN_TUNNEL_MAX - 1);}' unless defined(&IFLA_BRIDGE_VLAN_TUNNEL_MAX);
    eval("sub IFLA_BRIDGE_MRP_UNSPEC () { 0; }") unless defined(&IFLA_BRIDGE_MRP_UNSPEC);
    eval("sub IFLA_BRIDGE_MRP_INSTANCE () { 1; }") unless defined(&IFLA_BRIDGE_MRP_INSTANCE);
    eval("sub IFLA_BRIDGE_MRP_PORT_STATE () { 2; }") unless defined(&IFLA_BRIDGE_MRP_PORT_STATE);
    eval("sub IFLA_BRIDGE_MRP_PORT_ROLE () { 3; }") unless defined(&IFLA_BRIDGE_MRP_PORT_ROLE);
    eval("sub IFLA_BRIDGE_MRP_RING_STATE () { 4; }") unless defined(&IFLA_BRIDGE_MRP_RING_STATE);
    eval("sub IFLA_BRIDGE_MRP_RING_ROLE () { 5; }") unless defined(&IFLA_BRIDGE_MRP_RING_ROLE);
    eval("sub IFLA_BRIDGE_MRP_START_TEST () { 6; }") unless defined(&IFLA_BRIDGE_MRP_START_TEST);
    eval("sub IFLA_BRIDGE_MRP_INFO () { 7; }") unless defined(&IFLA_BRIDGE_MRP_INFO);
    eval("sub IFLA_BRIDGE_MRP_IN_ROLE () { 8; }") unless defined(&IFLA_BRIDGE_MRP_IN_ROLE);
    eval("sub IFLA_BRIDGE_MRP_IN_STATE () { 9; }") unless defined(&IFLA_BRIDGE_MRP_IN_STATE);
    eval("sub IFLA_BRIDGE_MRP_START_IN_TEST () { 10; }") unless defined(&IFLA_BRIDGE_MRP_START_IN_TEST);
    eval("sub __IFLA_BRIDGE_MRP_MAX () { 11; }") unless defined(&__IFLA_BRIDGE_MRP_MAX);
    eval 'sub IFLA_BRIDGE_MRP_MAX () {( &__IFLA_BRIDGE_MRP_MAX - 1);}' unless defined(&IFLA_BRIDGE_MRP_MAX);
    eval("sub IFLA_BRIDGE_MRP_INSTANCE_UNSPEC () { 0; }") unless defined(&IFLA_BRIDGE_MRP_INSTANCE_UNSPEC);
    eval("sub IFLA_BRIDGE_MRP_INSTANCE_RING_ID () { 1; }") unless defined(&IFLA_BRIDGE_MRP_INSTANCE_RING_ID);
    eval("sub IFLA_BRIDGE_MRP_INSTANCE_P_IFINDEX () { 2; }") unless defined(&IFLA_BRIDGE_MRP_INSTANCE_P_IFINDEX);
    eval("sub IFLA_BRIDGE_MRP_INSTANCE_S_IFINDEX () { 3; }") unless defined(&IFLA_BRIDGE_MRP_INSTANCE_S_IFINDEX);
    eval("sub IFLA_BRIDGE_MRP_INSTANCE_PRIO () { 4; }") unless defined(&IFLA_BRIDGE_MRP_INSTANCE_PRIO);
    eval("sub __IFLA_BRIDGE_MRP_INSTANCE_MAX () { 5; }") unless defined(&__IFLA_BRIDGE_MRP_INSTANCE_MAX);
    eval 'sub IFLA_BRIDGE_MRP_INSTANCE_MAX () {( &__IFLA_BRIDGE_MRP_INSTANCE_MAX - 1);}' unless defined(&IFLA_BRIDGE_MRP_INSTANCE_MAX);
    eval("sub IFLA_BRIDGE_MRP_PORT_STATE_UNSPEC () { 0; }") unless defined(&IFLA_BRIDGE_MRP_PORT_STATE_UNSPEC);
    eval("sub IFLA_BRIDGE_MRP_PORT_STATE_STATE () { 1; }") unless defined(&IFLA_BRIDGE_MRP_PORT_STATE_STATE);
    eval("sub __IFLA_BRIDGE_MRP_PORT_STATE_MAX () { 2; }") unless defined(&__IFLA_BRIDGE_MRP_PORT_STATE_MAX);
    eval 'sub IFLA_BRIDGE_MRP_PORT_STATE_MAX () {( &__IFLA_BRIDGE_MRP_PORT_STATE_MAX - 1);}' unless defined(&IFLA_BRIDGE_MRP_PORT_STATE_MAX);
    eval("sub IFLA_BRIDGE_MRP_PORT_ROLE_UNSPEC () { 0; }") unless defined(&IFLA_BRIDGE_MRP_PORT_ROLE_UNSPEC);
    eval("sub IFLA_BRIDGE_MRP_PORT_ROLE_ROLE () { 1; }") unless defined(&IFLA_BRIDGE_MRP_PORT_ROLE_ROLE);
    eval("sub __IFLA_BRIDGE_MRP_PORT_ROLE_MAX () { 2; }") unless defined(&__IFLA_BRIDGE_MRP_PORT_ROLE_MAX);
    eval 'sub IFLA_BRIDGE_MRP_PORT_ROLE_MAX () {( &__IFLA_BRIDGE_MRP_PORT_ROLE_MAX - 1);}' unless defined(&IFLA_BRIDGE_MRP_PORT_ROLE_MAX);
    eval("sub IFLA_BRIDGE_MRP_RING_STATE_UNSPEC () { 0; }") unless defined(&IFLA_BRIDGE_MRP_RING_STATE_UNSPEC);
    eval("sub IFLA_BRIDGE_MRP_RING_STATE_RING_ID () { 1; }") unless defined(&IFLA_BRIDGE_MRP_RING_STATE_RING_ID);
    eval("sub IFLA_BRIDGE_MRP_RING_STATE_STATE () { 2; }") unless defined(&IFLA_BRIDGE_MRP_RING_STATE_STATE);
    eval("sub __IFLA_BRIDGE_MRP_RING_STATE_MAX () { 3; }") unless defined(&__IFLA_BRIDGE_MRP_RING_STATE_MAX);
    eval 'sub IFLA_BRIDGE_MRP_RING_STATE_MAX () {( &__IFLA_BRIDGE_MRP_RING_STATE_MAX - 1);}' unless defined(&IFLA_BRIDGE_MRP_RING_STATE_MAX);
    eval("sub IFLA_BRIDGE_MRP_RING_ROLE_UNSPEC () { 0; }") unless defined(&IFLA_BRIDGE_MRP_RING_ROLE_UNSPEC);
    eval("sub IFLA_BRIDGE_MRP_RING_ROLE_RING_ID () { 1; }") unless defined(&IFLA_BRIDGE_MRP_RING_ROLE_RING_ID);
    eval("sub IFLA_BRIDGE_MRP_RING_ROLE_ROLE () { 2; }") unless defined(&IFLA_BRIDGE_MRP_RING_ROLE_ROLE);
    eval("sub __IFLA_BRIDGE_MRP_RING_ROLE_MAX () { 3; }") unless defined(&__IFLA_BRIDGE_MRP_RING_ROLE_MAX);
    eval 'sub IFLA_BRIDGE_MRP_RING_ROLE_MAX () {( &__IFLA_BRIDGE_MRP_RING_ROLE_MAX - 1);}' unless defined(&IFLA_BRIDGE_MRP_RING_ROLE_MAX);
    eval("sub IFLA_BRIDGE_MRP_START_TEST_UNSPEC () { 0; }") unless defined(&IFLA_BRIDGE_MRP_START_TEST_UNSPEC);
    eval("sub IFLA_BRIDGE_MRP_START_TEST_RING_ID () { 1; }") unless defined(&IFLA_BRIDGE_MRP_START_TEST_RING_ID);
    eval("sub IFLA_BRIDGE_MRP_START_TEST_INTERVAL () { 2; }") unless defined(&IFLA_BRIDGE_MRP_START_TEST_INTERVAL);
    eval("sub IFLA_BRIDGE_MRP_START_TEST_MAX_MISS () { 3; }") unless defined(&IFLA_BRIDGE_MRP_START_TEST_MAX_MISS);
    eval("sub IFLA_BRIDGE_MRP_START_TEST_PERIOD () { 4; }") unless defined(&IFLA_BRIDGE_MRP_START_TEST_PERIOD);
    eval("sub IFLA_BRIDGE_MRP_START_TEST_MONITOR () { 5; }") unless defined(&IFLA_BRIDGE_MRP_START_TEST_MONITOR);
    eval("sub __IFLA_BRIDGE_MRP_START_TEST_MAX () { 6; }") unless defined(&__IFLA_BRIDGE_MRP_START_TEST_MAX);
    eval 'sub IFLA_BRIDGE_MRP_START_TEST_MAX () {( &__IFLA_BRIDGE_MRP_START_TEST_MAX - 1);}' unless defined(&IFLA_BRIDGE_MRP_START_TEST_MAX);
    eval("sub IFLA_BRIDGE_MRP_INFO_UNSPEC () { 0; }") unless defined(&IFLA_BRIDGE_MRP_INFO_UNSPEC);
    eval("sub IFLA_BRIDGE_MRP_INFO_RING_ID () { 1; }") unless defined(&IFLA_BRIDGE_MRP_INFO_RING_ID);
    eval("sub IFLA_BRIDGE_MRP_INFO_P_IFINDEX () { 2; }") unless defined(&IFLA_BRIDGE_MRP_INFO_P_IFINDEX);
    eval("sub IFLA_BRIDGE_MRP_INFO_S_IFINDEX () { 3; }") unless defined(&IFLA_BRIDGE_MRP_INFO_S_IFINDEX);
    eval("sub IFLA_BRIDGE_MRP_INFO_PRIO () { 4; }") unless defined(&IFLA_BRIDGE_MRP_INFO_PRIO);
    eval("sub IFLA_BRIDGE_MRP_INFO_RING_STATE () { 5; }") unless defined(&IFLA_BRIDGE_MRP_INFO_RING_STATE);
    eval("sub IFLA_BRIDGE_MRP_INFO_RING_ROLE () { 6; }") unless defined(&IFLA_BRIDGE_MRP_INFO_RING_ROLE);
    eval("sub IFLA_BRIDGE_MRP_INFO_TEST_INTERVAL () { 7; }") unless defined(&IFLA_BRIDGE_MRP_INFO_TEST_INTERVAL);
    eval("sub IFLA_BRIDGE_MRP_INFO_TEST_MAX_MISS () { 8; }") unless defined(&IFLA_BRIDGE_MRP_INFO_TEST_MAX_MISS);
    eval("sub IFLA_BRIDGE_MRP_INFO_TEST_MONITOR () { 9; }") unless defined(&IFLA_BRIDGE_MRP_INFO_TEST_MONITOR);
    eval("sub IFLA_BRIDGE_MRP_INFO_I_IFINDEX () { 10; }") unless defined(&IFLA_BRIDGE_MRP_INFO_I_IFINDEX);
    eval("sub IFLA_BRIDGE_MRP_INFO_IN_STATE () { 11; }") unless defined(&IFLA_BRIDGE_MRP_INFO_IN_STATE);
    eval("sub IFLA_BRIDGE_MRP_INFO_IN_ROLE () { 12; }") unless defined(&IFLA_BRIDGE_MRP_INFO_IN_ROLE);
    eval("sub IFLA_BRIDGE_MRP_INFO_IN_TEST_INTERVAL () { 13; }") unless defined(&IFLA_BRIDGE_MRP_INFO_IN_TEST_INTERVAL);
    eval("sub IFLA_BRIDGE_MRP_INFO_IN_TEST_MAX_MISS () { 14; }") unless defined(&IFLA_BRIDGE_MRP_INFO_IN_TEST_MAX_MISS);
    eval("sub __IFLA_BRIDGE_MRP_INFO_MAX () { 15; }") unless defined(&__IFLA_BRIDGE_MRP_INFO_MAX);
    eval 'sub IFLA_BRIDGE_MRP_INFO_MAX () {( &__IFLA_BRIDGE_MRP_INFO_MAX - 1);}' unless defined(&IFLA_BRIDGE_MRP_INFO_MAX);
    eval("sub IFLA_BRIDGE_MRP_IN_STATE_UNSPEC () { 0; }") unless defined(&IFLA_BRIDGE_MRP_IN_STATE_UNSPEC);
    eval("sub IFLA_BRIDGE_MRP_IN_STATE_IN_ID () { 1; }") unless defined(&IFLA_BRIDGE_MRP_IN_STATE_IN_ID);
    eval("sub IFLA_BRIDGE_MRP_IN_STATE_STATE () { 2; }") unless defined(&IFLA_BRIDGE_MRP_IN_STATE_STATE);
    eval("sub __IFLA_BRIDGE_MRP_IN_STATE_MAX () { 3; }") unless defined(&__IFLA_BRIDGE_MRP_IN_STATE_MAX);
    eval 'sub IFLA_BRIDGE_MRP_IN_STATE_MAX () {( &__IFLA_BRIDGE_MRP_IN_STATE_MAX - 1);}' unless defined(&IFLA_BRIDGE_MRP_IN_STATE_MAX);
    eval("sub IFLA_BRIDGE_MRP_IN_ROLE_UNSPEC () { 0; }") unless defined(&IFLA_BRIDGE_MRP_IN_ROLE_UNSPEC);
    eval("sub IFLA_BRIDGE_MRP_IN_ROLE_RING_ID () { 1; }") unless defined(&IFLA_BRIDGE_MRP_IN_ROLE_RING_ID);
    eval("sub IFLA_BRIDGE_MRP_IN_ROLE_IN_ID () { 2; }") unless defined(&IFLA_BRIDGE_MRP_IN_ROLE_IN_ID);
    eval("sub IFLA_BRIDGE_MRP_IN_ROLE_ROLE () { 3; }") unless defined(&IFLA_BRIDGE_MRP_IN_ROLE_ROLE);
    eval("sub IFLA_BRIDGE_MRP_IN_ROLE_I_IFINDEX () { 4; }") unless defined(&IFLA_BRIDGE_MRP_IN_ROLE_I_IFINDEX);
    eval("sub __IFLA_BRIDGE_MRP_IN_ROLE_MAX () { 5; }") unless defined(&__IFLA_BRIDGE_MRP_IN_ROLE_MAX);
    eval 'sub IFLA_BRIDGE_MRP_IN_ROLE_MAX () {( &__IFLA_BRIDGE_MRP_IN_ROLE_MAX - 1);}' unless defined(&IFLA_BRIDGE_MRP_IN_ROLE_MAX);
    eval("sub IFLA_BRIDGE_MRP_START_IN_TEST_UNSPEC () { 0; }") unless defined(&IFLA_BRIDGE_MRP_START_IN_TEST_UNSPEC);
    eval("sub IFLA_BRIDGE_MRP_START_IN_TEST_IN_ID () { 1; }") unless defined(&IFLA_BRIDGE_MRP_START_IN_TEST_IN_ID);
    eval("sub IFLA_BRIDGE_MRP_START_IN_TEST_INTERVAL () { 2; }") unless defined(&IFLA_BRIDGE_MRP_START_IN_TEST_INTERVAL);
    eval("sub IFLA_BRIDGE_MRP_START_IN_TEST_MAX_MISS () { 3; }") unless defined(&IFLA_BRIDGE_MRP_START_IN_TEST_MAX_MISS);
    eval("sub IFLA_BRIDGE_MRP_START_IN_TEST_PERIOD () { 4; }") unless defined(&IFLA_BRIDGE_MRP_START_IN_TEST_PERIOD);
    eval("sub __IFLA_BRIDGE_MRP_START_IN_TEST_MAX () { 5; }") unless defined(&__IFLA_BRIDGE_MRP_START_IN_TEST_MAX);
    eval 'sub IFLA_BRIDGE_MRP_START_IN_TEST_MAX () {( &__IFLA_BRIDGE_MRP_START_IN_TEST_MAX - 1);}' unless defined(&IFLA_BRIDGE_MRP_START_IN_TEST_MAX);
    eval("sub IFLA_BRIDGE_CFM_UNSPEC () { 0; }") unless defined(&IFLA_BRIDGE_CFM_UNSPEC);
    eval("sub IFLA_BRIDGE_CFM_MEP_CREATE () { 1; }") unless defined(&IFLA_BRIDGE_CFM_MEP_CREATE);
    eval("sub IFLA_BRIDGE_CFM_MEP_DELETE () { 2; }") unless defined(&IFLA_BRIDGE_CFM_MEP_DELETE);
    eval("sub IFLA_BRIDGE_CFM_MEP_CONFIG () { 3; }") unless defined(&IFLA_BRIDGE_CFM_MEP_CONFIG);
    eval("sub IFLA_BRIDGE_CFM_CC_CONFIG () { 4; }") unless defined(&IFLA_BRIDGE_CFM_CC_CONFIG);
    eval("sub IFLA_BRIDGE_CFM_CC_PEER_MEP_ADD () { 5; }") unless defined(&IFLA_BRIDGE_CFM_CC_PEER_MEP_ADD);
    eval("sub IFLA_BRIDGE_CFM_CC_PEER_MEP_REMOVE () { 6; }") unless defined(&IFLA_BRIDGE_CFM_CC_PEER_MEP_REMOVE);
    eval("sub IFLA_BRIDGE_CFM_CC_RDI () { 7; }") unless defined(&IFLA_BRIDGE_CFM_CC_RDI);
    eval("sub IFLA_BRIDGE_CFM_CC_CCM_TX () { 8; }") unless defined(&IFLA_BRIDGE_CFM_CC_CCM_TX);
    eval("sub IFLA_BRIDGE_CFM_MEP_CREATE_INFO () { 9; }") unless defined(&IFLA_BRIDGE_CFM_MEP_CREATE_INFO);
    eval("sub IFLA_BRIDGE_CFM_MEP_CONFIG_INFO () { 10; }") unless defined(&IFLA_BRIDGE_CFM_MEP_CONFIG_INFO);
    eval("sub IFLA_BRIDGE_CFM_CC_CONFIG_INFO () { 11; }") unless defined(&IFLA_BRIDGE_CFM_CC_CONFIG_INFO);
    eval("sub IFLA_BRIDGE_CFM_CC_RDI_INFO () { 12; }") unless defined(&IFLA_BRIDGE_CFM_CC_RDI_INFO);
    eval("sub IFLA_BRIDGE_CFM_CC_CCM_TX_INFO () { 13; }") unless defined(&IFLA_BRIDGE_CFM_CC_CCM_TX_INFO);
    eval("sub IFLA_BRIDGE_CFM_CC_PEER_MEP_INFO () { 14; }") unless defined(&IFLA_BRIDGE_CFM_CC_PEER_MEP_INFO);
    eval("sub IFLA_BRIDGE_CFM_MEP_STATUS_INFO () { 15; }") unless defined(&IFLA_BRIDGE_CFM_MEP_STATUS_INFO);
    eval("sub IFLA_BRIDGE_CFM_CC_PEER_STATUS_INFO () { 16; }") unless defined(&IFLA_BRIDGE_CFM_CC_PEER_STATUS_INFO);
    eval("sub __IFLA_BRIDGE_CFM_MAX () { 17; }") unless defined(&__IFLA_BRIDGE_CFM_MAX);
    eval 'sub IFLA_BRIDGE_CFM_MAX () {( &__IFLA_BRIDGE_CFM_MAX - 1);}' unless defined(&IFLA_BRIDGE_CFM_MAX);
    eval("sub IFLA_BRIDGE_CFM_MEP_CREATE_UNSPEC () { 0; }") unless defined(&IFLA_BRIDGE_CFM_MEP_CREATE_UNSPEC);
    eval("sub IFLA_BRIDGE_CFM_MEP_CREATE_INSTANCE () { 1; }") unless defined(&IFLA_BRIDGE_CFM_MEP_CREATE_INSTANCE);
    eval("sub IFLA_BRIDGE_CFM_MEP_CREATE_DOMAIN () { 2; }") unless defined(&IFLA_BRIDGE_CFM_MEP_CREATE_DOMAIN);
    eval("sub IFLA_BRIDGE_CFM_MEP_CREATE_DIRECTION () { 3; }") unless defined(&IFLA_BRIDGE_CFM_MEP_CREATE_DIRECTION);
    eval("sub IFLA_BRIDGE_CFM_MEP_CREATE_IFINDEX () { 4; }") unless defined(&IFLA_BRIDGE_CFM_MEP_CREATE_IFINDEX);
    eval("sub __IFLA_BRIDGE_CFM_MEP_CREATE_MAX () { 5; }") unless defined(&__IFLA_BRIDGE_CFM_MEP_CREATE_MAX);
    eval 'sub IFLA_BRIDGE_CFM_MEP_CREATE_MAX () {( &__IFLA_BRIDGE_CFM_MEP_CREATE_MAX - 1);}' unless defined(&IFLA_BRIDGE_CFM_MEP_CREATE_MAX);
    eval("sub IFLA_BRIDGE_CFM_MEP_DELETE_UNSPEC () { 0; }") unless defined(&IFLA_BRIDGE_CFM_MEP_DELETE_UNSPEC);
    eval("sub IFLA_BRIDGE_CFM_MEP_DELETE_INSTANCE () { 1; }") unless defined(&IFLA_BRIDGE_CFM_MEP_DELETE_INSTANCE);
    eval("sub __IFLA_BRIDGE_CFM_MEP_DELETE_MAX () { 2; }") unless defined(&__IFLA_BRIDGE_CFM_MEP_DELETE_MAX);
    eval 'sub IFLA_BRIDGE_CFM_MEP_DELETE_MAX () {( &__IFLA_BRIDGE_CFM_MEP_DELETE_MAX - 1);}' unless defined(&IFLA_BRIDGE_CFM_MEP_DELETE_MAX);
    eval("sub IFLA_BRIDGE_CFM_MEP_CONFIG_UNSPEC () { 0; }") unless defined(&IFLA_BRIDGE_CFM_MEP_CONFIG_UNSPEC);
    eval("sub IFLA_BRIDGE_CFM_MEP_CONFIG_INSTANCE () { 1; }") unless defined(&IFLA_BRIDGE_CFM_MEP_CONFIG_INSTANCE);
    eval("sub IFLA_BRIDGE_CFM_MEP_CONFIG_UNICAST_MAC () { 2; }") unless defined(&IFLA_BRIDGE_CFM_MEP_CONFIG_UNICAST_MAC);
    eval("sub IFLA_BRIDGE_CFM_MEP_CONFIG_MDLEVEL () { 3; }") unless defined(&IFLA_BRIDGE_CFM_MEP_CONFIG_MDLEVEL);
    eval("sub IFLA_BRIDGE_CFM_MEP_CONFIG_MEPID () { 4; }") unless defined(&IFLA_BRIDGE_CFM_MEP_CONFIG_MEPID);
    eval("sub __IFLA_BRIDGE_CFM_MEP_CONFIG_MAX () { 5; }") unless defined(&__IFLA_BRIDGE_CFM_MEP_CONFIG_MAX);
    eval 'sub IFLA_BRIDGE_CFM_MEP_CONFIG_MAX () {( &__IFLA_BRIDGE_CFM_MEP_CONFIG_MAX - 1);}' unless defined(&IFLA_BRIDGE_CFM_MEP_CONFIG_MAX);
    eval("sub IFLA_BRIDGE_CFM_CC_CONFIG_UNSPEC () { 0; }") unless defined(&IFLA_BRIDGE_CFM_CC_CONFIG_UNSPEC);
    eval("sub IFLA_BRIDGE_CFM_CC_CONFIG_INSTANCE () { 1; }") unless defined(&IFLA_BRIDGE_CFM_CC_CONFIG_INSTANCE);
    eval("sub IFLA_BRIDGE_CFM_CC_CONFIG_ENABLE () { 2; }") unless defined(&IFLA_BRIDGE_CFM_CC_CONFIG_ENABLE);
    eval("sub IFLA_BRIDGE_CFM_CC_CONFIG_EXP_INTERVAL () { 3; }") unless defined(&IFLA_BRIDGE_CFM_CC_CONFIG_EXP_INTERVAL);
    eval("sub IFLA_BRIDGE_CFM_CC_CONFIG_EXP_MAID () { 4; }") unless defined(&IFLA_BRIDGE_CFM_CC_CONFIG_EXP_MAID);
    eval("sub __IFLA_BRIDGE_CFM_CC_CONFIG_MAX () { 5; }") unless defined(&__IFLA_BRIDGE_CFM_CC_CONFIG_MAX);
    eval 'sub IFLA_BRIDGE_CFM_CC_CONFIG_MAX () {( &__IFLA_BRIDGE_CFM_CC_CONFIG_MAX - 1);}' unless defined(&IFLA_BRIDGE_CFM_CC_CONFIG_MAX);
    eval("sub IFLA_BRIDGE_CFM_CC_PEER_MEP_UNSPEC () { 0; }") unless defined(&IFLA_BRIDGE_CFM_CC_PEER_MEP_UNSPEC);
    eval("sub IFLA_BRIDGE_CFM_CC_PEER_MEP_INSTANCE () { 1; }") unless defined(&IFLA_BRIDGE_CFM_CC_PEER_MEP_INSTANCE);
    eval("sub IFLA_BRIDGE_CFM_CC_PEER_MEPID () { 2; }") unless defined(&IFLA_BRIDGE_CFM_CC_PEER_MEPID);
    eval("sub __IFLA_BRIDGE_CFM_CC_PEER_MEP_MAX () { 3; }") unless defined(&__IFLA_BRIDGE_CFM_CC_PEER_MEP_MAX);
    eval 'sub IFLA_BRIDGE_CFM_CC_PEER_MEP_MAX () {( &__IFLA_BRIDGE_CFM_CC_PEER_MEP_MAX - 1);}' unless defined(&IFLA_BRIDGE_CFM_CC_PEER_MEP_MAX);
    eval("sub IFLA_BRIDGE_CFM_CC_RDI_UNSPEC () { 0; }") unless defined(&IFLA_BRIDGE_CFM_CC_RDI_UNSPEC);
    eval("sub IFLA_BRIDGE_CFM_CC_RDI_INSTANCE () { 1; }") unless defined(&IFLA_BRIDGE_CFM_CC_RDI_INSTANCE);
    eval("sub IFLA_BRIDGE_CFM_CC_RDI_RDI () { 2; }") unless defined(&IFLA_BRIDGE_CFM_CC_RDI_RDI);
    eval("sub __IFLA_BRIDGE_CFM_CC_RDI_MAX () { 3; }") unless defined(&__IFLA_BRIDGE_CFM_CC_RDI_MAX);
    eval 'sub IFLA_BRIDGE_CFM_CC_RDI_MAX () {( &__IFLA_BRIDGE_CFM_CC_RDI_MAX - 1);}' unless defined(&IFLA_BRIDGE_CFM_CC_RDI_MAX);
    eval("sub IFLA_BRIDGE_CFM_CC_CCM_TX_UNSPEC () { 0; }") unless defined(&IFLA_BRIDGE_CFM_CC_CCM_TX_UNSPEC);
    eval("sub IFLA_BRIDGE_CFM_CC_CCM_TX_INSTANCE () { 1; }") unless defined(&IFLA_BRIDGE_CFM_CC_CCM_TX_INSTANCE);
    eval("sub IFLA_BRIDGE_CFM_CC_CCM_TX_DMAC () { 2; }") unless defined(&IFLA_BRIDGE_CFM_CC_CCM_TX_DMAC);
    eval("sub IFLA_BRIDGE_CFM_CC_CCM_TX_SEQ_NO_UPDATE () { 3; }") unless defined(&IFLA_BRIDGE_CFM_CC_CCM_TX_SEQ_NO_UPDATE);
    eval("sub IFLA_BRIDGE_CFM_CC_CCM_TX_PERIOD () { 4; }") unless defined(&IFLA_BRIDGE_CFM_CC_CCM_TX_PERIOD);
    eval("sub IFLA_BRIDGE_CFM_CC_CCM_TX_IF_TLV () { 5; }") unless defined(&IFLA_BRIDGE_CFM_CC_CCM_TX_IF_TLV);
    eval("sub IFLA_BRIDGE_CFM_CC_CCM_TX_IF_TLV_VALUE () { 6; }") unless defined(&IFLA_BRIDGE_CFM_CC_CCM_TX_IF_TLV_VALUE);
    eval("sub IFLA_BRIDGE_CFM_CC_CCM_TX_PORT_TLV () { 7; }") unless defined(&IFLA_BRIDGE_CFM_CC_CCM_TX_PORT_TLV);
    eval("sub IFLA_BRIDGE_CFM_CC_CCM_TX_PORT_TLV_VALUE () { 8; }") unless defined(&IFLA_BRIDGE_CFM_CC_CCM_TX_PORT_TLV_VALUE);
    eval("sub __IFLA_BRIDGE_CFM_CC_CCM_TX_MAX () { 9; }") unless defined(&__IFLA_BRIDGE_CFM_CC_CCM_TX_MAX);
    eval 'sub IFLA_BRIDGE_CFM_CC_CCM_TX_MAX () {( &__IFLA_BRIDGE_CFM_CC_CCM_TX_MAX - 1);}' unless defined(&IFLA_BRIDGE_CFM_CC_CCM_TX_MAX);
    eval("sub IFLA_BRIDGE_CFM_MEP_STATUS_UNSPEC () { 0; }") unless defined(&IFLA_BRIDGE_CFM_MEP_STATUS_UNSPEC);
    eval("sub IFLA_BRIDGE_CFM_MEP_STATUS_INSTANCE () { 1; }") unless defined(&IFLA_BRIDGE_CFM_MEP_STATUS_INSTANCE);
    eval("sub IFLA_BRIDGE_CFM_MEP_STATUS_OPCODE_UNEXP_SEEN () { 2; }") unless defined(&IFLA_BRIDGE_CFM_MEP_STATUS_OPCODE_UNEXP_SEEN);
    eval("sub IFLA_BRIDGE_CFM_MEP_STATUS_VERSION_UNEXP_SEEN () { 3; }") unless defined(&IFLA_BRIDGE_CFM_MEP_STATUS_VERSION_UNEXP_SEEN);
    eval("sub IFLA_BRIDGE_CFM_MEP_STATUS_RX_LEVEL_LOW_SEEN () { 4; }") unless defined(&IFLA_BRIDGE_CFM_MEP_STATUS_RX_LEVEL_LOW_SEEN);
    eval("sub __IFLA_BRIDGE_CFM_MEP_STATUS_MAX () { 5; }") unless defined(&__IFLA_BRIDGE_CFM_MEP_STATUS_MAX);
    eval 'sub IFLA_BRIDGE_CFM_MEP_STATUS_MAX () {( &__IFLA_BRIDGE_CFM_MEP_STATUS_MAX - 1);}' unless defined(&IFLA_BRIDGE_CFM_MEP_STATUS_MAX);
    eval("sub IFLA_BRIDGE_CFM_CC_PEER_STATUS_UNSPEC () { 0; }") unless defined(&IFLA_BRIDGE_CFM_CC_PEER_STATUS_UNSPEC);
    eval("sub IFLA_BRIDGE_CFM_CC_PEER_STATUS_INSTANCE () { 1; }") unless defined(&IFLA_BRIDGE_CFM_CC_PEER_STATUS_INSTANCE);
    eval("sub IFLA_BRIDGE_CFM_CC_PEER_STATUS_PEER_MEPID () { 2; }") unless defined(&IFLA_BRIDGE_CFM_CC_PEER_STATUS_PEER_MEPID);
    eval("sub IFLA_BRIDGE_CFM_CC_PEER_STATUS_CCM_DEFECT () { 3; }") unless defined(&IFLA_BRIDGE_CFM_CC_PEER_STATUS_CCM_DEFECT);
    eval("sub IFLA_BRIDGE_CFM_CC_PEER_STATUS_RDI () { 4; }") unless defined(&IFLA_BRIDGE_CFM_CC_PEER_STATUS_RDI);
    eval("sub IFLA_BRIDGE_CFM_CC_PEER_STATUS_PORT_TLV_VALUE () { 5; }") unless defined(&IFLA_BRIDGE_CFM_CC_PEER_STATUS_PORT_TLV_VALUE);
    eval("sub IFLA_BRIDGE_CFM_CC_PEER_STATUS_IF_TLV_VALUE () { 6; }") unless defined(&IFLA_BRIDGE_CFM_CC_PEER_STATUS_IF_TLV_VALUE);
    eval("sub IFLA_BRIDGE_CFM_CC_PEER_STATUS_SEEN () { 7; }") unless defined(&IFLA_BRIDGE_CFM_CC_PEER_STATUS_SEEN);
    eval("sub IFLA_BRIDGE_CFM_CC_PEER_STATUS_TLV_SEEN () { 8; }") unless defined(&IFLA_BRIDGE_CFM_CC_PEER_STATUS_TLV_SEEN);
    eval("sub IFLA_BRIDGE_CFM_CC_PEER_STATUS_SEQ_UNEXP_SEEN () { 9; }") unless defined(&IFLA_BRIDGE_CFM_CC_PEER_STATUS_SEQ_UNEXP_SEEN);
    eval("sub __IFLA_BRIDGE_CFM_CC_PEER_STATUS_MAX () { 10; }") unless defined(&__IFLA_BRIDGE_CFM_CC_PEER_STATUS_MAX);
    eval 'sub IFLA_BRIDGE_CFM_CC_PEER_STATUS_MAX () {( &__IFLA_BRIDGE_CFM_CC_PEER_STATUS_MAX - 1);}' unless defined(&IFLA_BRIDGE_CFM_CC_PEER_STATUS_MAX);
    eval("sub IFLA_BRIDGE_MST_UNSPEC () { 0; }") unless defined(&IFLA_BRIDGE_MST_UNSPEC);
    eval("sub IFLA_BRIDGE_MST_ENTRY () { 1; }") unless defined(&IFLA_BRIDGE_MST_ENTRY);
    eval("sub __IFLA_BRIDGE_MST_MAX () { 2; }") unless defined(&__IFLA_BRIDGE_MST_MAX);
    eval 'sub IFLA_BRIDGE_MST_MAX () {( &__IFLA_BRIDGE_MST_MAX - 1);}' unless defined(&IFLA_BRIDGE_MST_MAX);
    eval("sub IFLA_BRIDGE_MST_ENTRY_UNSPEC () { 0; }") unless defined(&IFLA_BRIDGE_MST_ENTRY_UNSPEC);
    eval("sub IFLA_BRIDGE_MST_ENTRY_MSTI () { 1; }") unless defined(&IFLA_BRIDGE_MST_ENTRY_MSTI);
    eval("sub IFLA_BRIDGE_MST_ENTRY_STATE () { 2; }") unless defined(&IFLA_BRIDGE_MST_ENTRY_STATE);
    eval("sub __IFLA_BRIDGE_MST_ENTRY_MAX () { 3; }") unless defined(&__IFLA_BRIDGE_MST_ENTRY_MAX);
    eval 'sub IFLA_BRIDGE_MST_ENTRY_MAX () {( &__IFLA_BRIDGE_MST_ENTRY_MAX - 1);}' unless defined(&IFLA_BRIDGE_MST_ENTRY_MAX);
    eval("sub BRIDGE_VLANDB_DUMP_UNSPEC () { 0; }") unless defined(&BRIDGE_VLANDB_DUMP_UNSPEC);
    eval("sub BRIDGE_VLANDB_DUMP_FLAGS () { 1; }") unless defined(&BRIDGE_VLANDB_DUMP_FLAGS);
    eval("sub __BRIDGE_VLANDB_DUMP_MAX () { 2; }") unless defined(&__BRIDGE_VLANDB_DUMP_MAX);
    eval 'sub BRIDGE_VLANDB_DUMP_MAX () {( &__BRIDGE_VLANDB_DUMP_MAX - 1);}' unless defined(&BRIDGE_VLANDB_DUMP_MAX);
    eval 'sub BRIDGE_VLANDB_DUMPF_STATS () {(1<< 0);}' unless defined(&BRIDGE_VLANDB_DUMPF_STATS);
    eval 'sub BRIDGE_VLANDB_DUMPF_GLOBAL () {(1<< 1);}' unless defined(&BRIDGE_VLANDB_DUMPF_GLOBAL);
    eval("sub BRIDGE_VLANDB_UNSPEC () { 0; }") unless defined(&BRIDGE_VLANDB_UNSPEC);
    eval("sub BRIDGE_VLANDB_ENTRY () { 1; }") unless defined(&BRIDGE_VLANDB_ENTRY);
    eval("sub BRIDGE_VLANDB_GLOBAL_OPTIONS () { 2; }") unless defined(&BRIDGE_VLANDB_GLOBAL_OPTIONS);
    eval("sub __BRIDGE_VLANDB_MAX () { 3; }") unless defined(&__BRIDGE_VLANDB_MAX);
    eval 'sub BRIDGE_VLANDB_MAX () {( &__BRIDGE_VLANDB_MAX - 1);}' unless defined(&BRIDGE_VLANDB_MAX);
    eval("sub BRIDGE_VLANDB_ENTRY_UNSPEC () { 0; }") unless defined(&BRIDGE_VLANDB_ENTRY_UNSPEC);
    eval("sub BRIDGE_VLANDB_ENTRY_INFO () { 1; }") unless defined(&BRIDGE_VLANDB_ENTRY_INFO);
    eval("sub BRIDGE_VLANDB_ENTRY_RANGE () { 2; }") unless defined(&BRIDGE_VLANDB_ENTRY_RANGE);
    eval("sub BRIDGE_VLANDB_ENTRY_STATE () { 3; }") unless defined(&BRIDGE_VLANDB_ENTRY_STATE);
    eval("sub BRIDGE_VLANDB_ENTRY_TUNNEL_INFO () { 4; }") unless defined(&BRIDGE_VLANDB_ENTRY_TUNNEL_INFO);
    eval("sub BRIDGE_VLANDB_ENTRY_STATS () { 5; }") unless defined(&BRIDGE_VLANDB_ENTRY_STATS);
    eval("sub BRIDGE_VLANDB_ENTRY_MCAST_ROUTER () { 6; }") unless defined(&BRIDGE_VLANDB_ENTRY_MCAST_ROUTER);
    eval("sub BRIDGE_VLANDB_ENTRY_MCAST_N_GROUPS () { 7; }") unless defined(&BRIDGE_VLANDB_ENTRY_MCAST_N_GROUPS);
    eval("sub BRIDGE_VLANDB_ENTRY_MCAST_MAX_GROUPS () { 8; }") unless defined(&BRIDGE_VLANDB_ENTRY_MCAST_MAX_GROUPS);
    eval("sub BRIDGE_VLANDB_ENTRY_NEIGH_SUPPRESS () { 9; }") unless defined(&BRIDGE_VLANDB_ENTRY_NEIGH_SUPPRESS);
    eval("sub __BRIDGE_VLANDB_ENTRY_MAX () { 10; }") unless defined(&__BRIDGE_VLANDB_ENTRY_MAX);
    eval 'sub BRIDGE_VLANDB_ENTRY_MAX () {( &__BRIDGE_VLANDB_ENTRY_MAX - 1);}' unless defined(&BRIDGE_VLANDB_ENTRY_MAX);
    eval("sub BRIDGE_VLANDB_TINFO_UNSPEC () { 0; }") unless defined(&BRIDGE_VLANDB_TINFO_UNSPEC);
    eval("sub BRIDGE_VLANDB_TINFO_ID () { 1; }") unless defined(&BRIDGE_VLANDB_TINFO_ID);
    eval("sub BRIDGE_VLANDB_TINFO_CMD () { 2; }") unless defined(&BRIDGE_VLANDB_TINFO_CMD);
    eval("sub __BRIDGE_VLANDB_TINFO_MAX () { 3; }") unless defined(&__BRIDGE_VLANDB_TINFO_MAX);
    eval 'sub BRIDGE_VLANDB_TINFO_MAX () {( &__BRIDGE_VLANDB_TINFO_MAX - 1);}' unless defined(&BRIDGE_VLANDB_TINFO_MAX);
    eval("sub BRIDGE_VLANDB_STATS_UNSPEC () { 0; }") unless defined(&BRIDGE_VLANDB_STATS_UNSPEC);
    eval("sub BRIDGE_VLANDB_STATS_RX_BYTES () { 1; }") unless defined(&BRIDGE_VLANDB_STATS_RX_BYTES);
    eval("sub BRIDGE_VLANDB_STATS_RX_PACKETS () { 2; }") unless defined(&BRIDGE_VLANDB_STATS_RX_PACKETS);
    eval("sub BRIDGE_VLANDB_STATS_TX_BYTES () { 3; }") unless defined(&BRIDGE_VLANDB_STATS_TX_BYTES);
    eval("sub BRIDGE_VLANDB_STATS_TX_PACKETS () { 4; }") unless defined(&BRIDGE_VLANDB_STATS_TX_PACKETS);
    eval("sub BRIDGE_VLANDB_STATS_PAD () { 5; }") unless defined(&BRIDGE_VLANDB_STATS_PAD);
    eval("sub __BRIDGE_VLANDB_STATS_MAX () { 6; }") unless defined(&__BRIDGE_VLANDB_STATS_MAX);
    eval 'sub BRIDGE_VLANDB_STATS_MAX () {( &__BRIDGE_VLANDB_STATS_MAX - 1);}' unless defined(&BRIDGE_VLANDB_STATS_MAX);
    eval("sub BRIDGE_VLANDB_GOPTS_UNSPEC () { 0; }") unless defined(&BRIDGE_VLANDB_GOPTS_UNSPEC);
    eval("sub BRIDGE_VLANDB_GOPTS_ID () { 1; }") unless defined(&BRIDGE_VLANDB_GOPTS_ID);
    eval("sub BRIDGE_VLANDB_GOPTS_RANGE () { 2; }") unless defined(&BRIDGE_VLANDB_GOPTS_RANGE);
    eval("sub BRIDGE_VLANDB_GOPTS_MCAST_SNOOPING () { 3; }") unless defined(&BRIDGE_VLANDB_GOPTS_MCAST_SNOOPING);
    eval("sub BRIDGE_VLANDB_GOPTS_MCAST_IGMP_VERSION () { 4; }") unless defined(&BRIDGE_VLANDB_GOPTS_MCAST_IGMP_VERSION);
    eval("sub BRIDGE_VLANDB_GOPTS_MCAST_MLD_VERSION () { 5; }") unless defined(&BRIDGE_VLANDB_GOPTS_MCAST_MLD_VERSION);
    eval("sub BRIDGE_VLANDB_GOPTS_MCAST_LAST_MEMBER_CNT () { 6; }") unless defined(&BRIDGE_VLANDB_GOPTS_MCAST_LAST_MEMBER_CNT);
    eval("sub BRIDGE_VLANDB_GOPTS_MCAST_STARTUP_QUERY_CNT () { 7; }") unless defined(&BRIDGE_VLANDB_GOPTS_MCAST_STARTUP_QUERY_CNT);
    eval("sub BRIDGE_VLANDB_GOPTS_MCAST_LAST_MEMBER_INTVL () { 8; }") unless defined(&BRIDGE_VLANDB_GOPTS_MCAST_LAST_MEMBER_INTVL);
    eval("sub BRIDGE_VLANDB_GOPTS_PAD () { 9; }") unless defined(&BRIDGE_VLANDB_GOPTS_PAD);
    eval("sub BRIDGE_VLANDB_GOPTS_MCAST_MEMBERSHIP_INTVL () { 10; }") unless defined(&BRIDGE_VLANDB_GOPTS_MCAST_MEMBERSHIP_INTVL);
    eval("sub BRIDGE_VLANDB_GOPTS_MCAST_QUERIER_INTVL () { 11; }") unless defined(&BRIDGE_VLANDB_GOPTS_MCAST_QUERIER_INTVL);
    eval("sub BRIDGE_VLANDB_GOPTS_MCAST_QUERY_INTVL () { 12; }") unless defined(&BRIDGE_VLANDB_GOPTS_MCAST_QUERY_INTVL);
    eval("sub BRIDGE_VLANDB_GOPTS_MCAST_QUERY_RESPONSE_INTVL () { 13; }") unless defined(&BRIDGE_VLANDB_GOPTS_MCAST_QUERY_RESPONSE_INTVL);
    eval("sub BRIDGE_VLANDB_GOPTS_MCAST_STARTUP_QUERY_INTVL () { 14; }") unless defined(&BRIDGE_VLANDB_GOPTS_MCAST_STARTUP_QUERY_INTVL);
    eval("sub BRIDGE_VLANDB_GOPTS_MCAST_QUERIER () { 15; }") unless defined(&BRIDGE_VLANDB_GOPTS_MCAST_QUERIER);
    eval("sub BRIDGE_VLANDB_GOPTS_MCAST_ROUTER_PORTS () { 16; }") unless defined(&BRIDGE_VLANDB_GOPTS_MCAST_ROUTER_PORTS);
    eval("sub BRIDGE_VLANDB_GOPTS_MCAST_QUERIER_STATE () { 17; }") unless defined(&BRIDGE_VLANDB_GOPTS_MCAST_QUERIER_STATE);
    eval("sub BRIDGE_VLANDB_GOPTS_MSTI () { 18; }") unless defined(&BRIDGE_VLANDB_GOPTS_MSTI);
    eval("sub __BRIDGE_VLANDB_GOPTS_MAX () { 19; }") unless defined(&__BRIDGE_VLANDB_GOPTS_MAX);
    eval 'sub BRIDGE_VLANDB_GOPTS_MAX () {( &__BRIDGE_VLANDB_GOPTS_MAX - 1);}' unless defined(&BRIDGE_VLANDB_GOPTS_MAX);
    eval("sub MDBA_UNSPEC () { 0; }") unless defined(&MDBA_UNSPEC);
    eval("sub MDBA_MDB () { 1; }") unless defined(&MDBA_MDB);
    eval("sub MDBA_ROUTER () { 2; }") unless defined(&MDBA_ROUTER);
    eval("sub __MDBA_MAX () { 3; }") unless defined(&__MDBA_MAX);
    eval 'sub MDBA_MAX () {( &__MDBA_MAX - 1);}' unless defined(&MDBA_MAX);
    eval("sub MDBA_MDB_UNSPEC () { 0; }") unless defined(&MDBA_MDB_UNSPEC);
    eval("sub MDBA_MDB_ENTRY () { 1; }") unless defined(&MDBA_MDB_ENTRY);
    eval("sub __MDBA_MDB_MAX () { 2; }") unless defined(&__MDBA_MDB_MAX);
    eval 'sub MDBA_MDB_MAX () {( &__MDBA_MDB_MAX - 1);}' unless defined(&MDBA_MDB_MAX);
    eval("sub MDBA_MDB_ENTRY_UNSPEC () { 0; }") unless defined(&MDBA_MDB_ENTRY_UNSPEC);
    eval("sub MDBA_MDB_ENTRY_INFO () { 1; }") unless defined(&MDBA_MDB_ENTRY_INFO);
    eval("sub __MDBA_MDB_ENTRY_MAX () { 2; }") unless defined(&__MDBA_MDB_ENTRY_MAX);
    eval 'sub MDBA_MDB_ENTRY_MAX () {( &__MDBA_MDB_ENTRY_MAX - 1);}' unless defined(&MDBA_MDB_ENTRY_MAX);
    eval("sub MDBA_MDB_EATTR_UNSPEC () { 0; }") unless defined(&MDBA_MDB_EATTR_UNSPEC);
    eval("sub MDBA_MDB_EATTR_TIMER () { 1; }") unless defined(&MDBA_MDB_EATTR_TIMER);
    eval("sub MDBA_MDB_EATTR_SRC_LIST () { 2; }") unless defined(&MDBA_MDB_EATTR_SRC_LIST);
    eval("sub MDBA_MDB_EATTR_GROUP_MODE () { 3; }") unless defined(&MDBA_MDB_EATTR_GROUP_MODE);
    eval("sub MDBA_MDB_EATTR_SOURCE () { 4; }") unless defined(&MDBA_MDB_EATTR_SOURCE);
    eval("sub MDBA_MDB_EATTR_RTPROT () { 5; }") unless defined(&MDBA_MDB_EATTR_RTPROT);
    eval("sub MDBA_MDB_EATTR_DST () { 6; }") unless defined(&MDBA_MDB_EATTR_DST);
    eval("sub MDBA_MDB_EATTR_DST_PORT () { 7; }") unless defined(&MDBA_MDB_EATTR_DST_PORT);
    eval("sub MDBA_MDB_EATTR_VNI () { 8; }") unless defined(&MDBA_MDB_EATTR_VNI);
    eval("sub MDBA_MDB_EATTR_IFINDEX () { 9; }") unless defined(&MDBA_MDB_EATTR_IFINDEX);
    eval("sub MDBA_MDB_EATTR_SRC_VNI () { 10; }") unless defined(&MDBA_MDB_EATTR_SRC_VNI);
    eval("sub __MDBA_MDB_EATTR_MAX () { 11; }") unless defined(&__MDBA_MDB_EATTR_MAX);
    eval 'sub MDBA_MDB_EATTR_MAX () {( &__MDBA_MDB_EATTR_MAX - 1);}' unless defined(&MDBA_MDB_EATTR_MAX);
    eval("sub MDBA_MDB_SRCLIST_UNSPEC () { 0; }") unless defined(&MDBA_MDB_SRCLIST_UNSPEC);
    eval("sub MDBA_MDB_SRCLIST_ENTRY () { 1; }") unless defined(&MDBA_MDB_SRCLIST_ENTRY);
    eval("sub __MDBA_MDB_SRCLIST_MAX () { 2; }") unless defined(&__MDBA_MDB_SRCLIST_MAX);
    eval 'sub MDBA_MDB_SRCLIST_MAX () {( &__MDBA_MDB_SRCLIST_MAX - 1);}' unless defined(&MDBA_MDB_SRCLIST_MAX);
    eval("sub MDBA_MDB_SRCATTR_UNSPEC () { 0; }") unless defined(&MDBA_MDB_SRCATTR_UNSPEC);
    eval("sub MDBA_MDB_SRCATTR_ADDRESS () { 1; }") unless defined(&MDBA_MDB_SRCATTR_ADDRESS);
    eval("sub MDBA_MDB_SRCATTR_TIMER () { 2; }") unless defined(&MDBA_MDB_SRCATTR_TIMER);
    eval("sub __MDBA_MDB_SRCATTR_MAX () { 3; }") unless defined(&__MDBA_MDB_SRCATTR_MAX);
    eval 'sub MDBA_MDB_SRCATTR_MAX () {( &__MDBA_MDB_SRCATTR_MAX - 1);}' unless defined(&MDBA_MDB_SRCATTR_MAX);
    eval("sub MDB_RTR_TYPE_DISABLED () { 0; }") unless defined(&MDB_RTR_TYPE_DISABLED);
    eval("sub MDB_RTR_TYPE_TEMP_QUERY () { 1; }") unless defined(&MDB_RTR_TYPE_TEMP_QUERY);
    eval("sub MDB_RTR_TYPE_PERM () { 2; }") unless defined(&MDB_RTR_TYPE_PERM);
    eval("sub MDB_RTR_TYPE_TEMP () { 3; }") unless defined(&MDB_RTR_TYPE_TEMP);
    eval("sub MDBA_ROUTER_UNSPEC () { 0; }") unless defined(&MDBA_ROUTER_UNSPEC);
    eval("sub MDBA_ROUTER_PORT () { 1; }") unless defined(&MDBA_ROUTER_PORT);
    eval("sub __MDBA_ROUTER_MAX () { 2; }") unless defined(&__MDBA_ROUTER_MAX);
    eval 'sub MDBA_ROUTER_MAX () {( &__MDBA_ROUTER_MAX - 1);}' unless defined(&MDBA_ROUTER_MAX);
    eval("sub MDBA_ROUTER_PATTR_UNSPEC () { 0; }") unless defined(&MDBA_ROUTER_PATTR_UNSPEC);
    eval("sub MDBA_ROUTER_PATTR_TIMER () { 1; }") unless defined(&MDBA_ROUTER_PATTR_TIMER);
    eval("sub MDBA_ROUTER_PATTR_TYPE () { 2; }") unless defined(&MDBA_ROUTER_PATTR_TYPE);
    eval("sub MDBA_ROUTER_PATTR_INET_TIMER () { 3; }") unless defined(&MDBA_ROUTER_PATTR_INET_TIMER);
    eval("sub MDBA_ROUTER_PATTR_INET6_TIMER () { 4; }") unless defined(&MDBA_ROUTER_PATTR_INET6_TIMER);
    eval("sub MDBA_ROUTER_PATTR_VID () { 5; }") unless defined(&MDBA_ROUTER_PATTR_VID);
    eval("sub __MDBA_ROUTER_PATTR_MAX () { 6; }") unless defined(&__MDBA_ROUTER_PATTR_MAX);
    eval 'sub MDBA_ROUTER_PATTR_MAX () {( &__MDBA_ROUTER_PATTR_MAX - 1);}' unless defined(&MDBA_ROUTER_PATTR_MAX);
    eval 'sub MDB_TEMPORARY () {0;}' unless defined(&MDB_TEMPORARY);
    eval 'sub MDB_PERMANENT () {1;}' unless defined(&MDB_PERMANENT);
    eval 'sub MDB_FLAGS_OFFLOAD () {(1<< 0);}' unless defined(&MDB_FLAGS_OFFLOAD);
    eval 'sub MDB_FLAGS_FAST_LEAVE () {(1<< 1);}' unless defined(&MDB_FLAGS_FAST_LEAVE);
    eval 'sub MDB_FLAGS_STAR_EXCL () {(1<< 2);}' unless defined(&MDB_FLAGS_STAR_EXCL);
    eval 'sub MDB_FLAGS_BLOCKED () {(1<< 3);}' unless defined(&MDB_FLAGS_BLOCKED);
    eval("sub MDBA_SET_ENTRY_UNSPEC () { 0; }") unless defined(&MDBA_SET_ENTRY_UNSPEC);
    eval("sub MDBA_SET_ENTRY () { 1; }") unless defined(&MDBA_SET_ENTRY);
    eval("sub MDBA_SET_ENTRY_ATTRS () { 2; }") unless defined(&MDBA_SET_ENTRY_ATTRS);
    eval("sub __MDBA_SET_ENTRY_MAX () { 3; }") unless defined(&__MDBA_SET_ENTRY_MAX);
    eval 'sub MDBA_SET_ENTRY_MAX () {( &__MDBA_SET_ENTRY_MAX - 1);}' unless defined(&MDBA_SET_ENTRY_MAX);
    eval("sub MDBE_ATTR_UNSPEC () { 0; }") unless defined(&MDBE_ATTR_UNSPEC);
    eval("sub MDBE_ATTR_SOURCE () { 1; }") unless defined(&MDBE_ATTR_SOURCE);
    eval("sub MDBE_ATTR_SRC_LIST () { 2; }") unless defined(&MDBE_ATTR_SRC_LIST);
    eval("sub MDBE_ATTR_GROUP_MODE () { 3; }") unless defined(&MDBE_ATTR_GROUP_MODE);
    eval("sub MDBE_ATTR_RTPROT () { 4; }") unless defined(&MDBE_ATTR_RTPROT);
    eval("sub MDBE_ATTR_DST () { 5; }") unless defined(&MDBE_ATTR_DST);
    eval("sub MDBE_ATTR_DST_PORT () { 6; }") unless defined(&MDBE_ATTR_DST_PORT);
    eval("sub MDBE_ATTR_VNI () { 7; }") unless defined(&MDBE_ATTR_VNI);
    eval("sub MDBE_ATTR_IFINDEX () { 8; }") unless defined(&MDBE_ATTR_IFINDEX);
    eval("sub MDBE_ATTR_SRC_VNI () { 9; }") unless defined(&MDBE_ATTR_SRC_VNI);
    eval("sub __MDBE_ATTR_MAX () { 10; }") unless defined(&__MDBE_ATTR_MAX);
    eval 'sub MDBE_ATTR_MAX () {( &__MDBE_ATTR_MAX - 1);}' unless defined(&MDBE_ATTR_MAX);
    eval("sub MDBE_SRC_LIST_UNSPEC () { 0; }") unless defined(&MDBE_SRC_LIST_UNSPEC);
    eval("sub MDBE_SRC_LIST_ENTRY () { 1; }") unless defined(&MDBE_SRC_LIST_ENTRY);
    eval("sub __MDBE_SRC_LIST_MAX () { 2; }") unless defined(&__MDBE_SRC_LIST_MAX);
    eval 'sub MDBE_SRC_LIST_MAX () {( &__MDBE_SRC_LIST_MAX - 1);}' unless defined(&MDBE_SRC_LIST_MAX);
    eval("sub MDBE_SRCATTR_UNSPEC () { 0; }") unless defined(&MDBE_SRCATTR_UNSPEC);
    eval("sub MDBE_SRCATTR_ADDRESS () { 1; }") unless defined(&MDBE_SRCATTR_ADDRESS);
    eval("sub __MDBE_SRCATTR_MAX () { 2; }") unless defined(&__MDBE_SRCATTR_MAX);
    eval 'sub MDBE_SRCATTR_MAX () {( &__MDBE_SRCATTR_MAX - 1);}' unless defined(&MDBE_SRCATTR_MAX);
    eval("sub BRIDGE_XSTATS_UNSPEC () { 0; }") unless defined(&BRIDGE_XSTATS_UNSPEC);
    eval("sub BRIDGE_XSTATS_VLAN () { 1; }") unless defined(&BRIDGE_XSTATS_VLAN);
    eval("sub BRIDGE_XSTATS_MCAST () { 2; }") unless defined(&BRIDGE_XSTATS_MCAST);
    eval("sub BRIDGE_XSTATS_PAD () { 3; }") unless defined(&BRIDGE_XSTATS_PAD);
    eval("sub BRIDGE_XSTATS_STP () { 4; }") unless defined(&BRIDGE_XSTATS_STP);
    eval("sub __BRIDGE_XSTATS_MAX () { 5; }") unless defined(&__BRIDGE_XSTATS_MAX);
    eval 'sub BRIDGE_XSTATS_MAX () {( &__BRIDGE_XSTATS_MAX - 1);}' unless defined(&BRIDGE_XSTATS_MAX);
    eval("sub BR_MCAST_DIR_RX () { 0; }") unless defined(&BR_MCAST_DIR_RX);
    eval("sub BR_MCAST_DIR_TX () { 1; }") unless defined(&BR_MCAST_DIR_TX);
    eval("sub BR_MCAST_DIR_SIZE () { 2; }") unless defined(&BR_MCAST_DIR_SIZE);
    eval("sub BR_BOOLOPT_NO_LL_LEARN () { 0; }") unless defined(&BR_BOOLOPT_NO_LL_LEARN);
    eval("sub BR_BOOLOPT_MCAST_VLAN_SNOOPING () { 1; }") unless defined(&BR_BOOLOPT_MCAST_VLAN_SNOOPING);
    eval("sub BR_BOOLOPT_MST_ENABLE () { 2; }") unless defined(&BR_BOOLOPT_MST_ENABLE);
    eval("sub BR_BOOLOPT_MAX () { 3; }") unless defined(&BR_BOOLOPT_MAX);
    eval("sub BRIDGE_QUERIER_UNSPEC () { 0; }") unless defined(&BRIDGE_QUERIER_UNSPEC);
    eval("sub BRIDGE_QUERIER_IP_ADDRESS () { 1; }") unless defined(&BRIDGE_QUERIER_IP_ADDRESS);
    eval("sub BRIDGE_QUERIER_IP_PORT () { 2; }") unless defined(&BRIDGE_QUERIER_IP_PORT);
    eval("sub BRIDGE_QUERIER_IP_OTHER_TIMER () { 3; }") unless defined(&BRIDGE_QUERIER_IP_OTHER_TIMER);
    eval("sub BRIDGE_QUERIER_PAD () { 4; }") unless defined(&BRIDGE_QUERIER_PAD);
    eval("sub BRIDGE_QUERIER_IPV6_ADDRESS () { 5; }") unless defined(&BRIDGE_QUERIER_IPV6_ADDRESS);
    eval("sub BRIDGE_QUERIER_IPV6_PORT () { 6; }") unless defined(&BRIDGE_QUERIER_IPV6_PORT);
    eval("sub BRIDGE_QUERIER_IPV6_OTHER_TIMER () { 7; }") unless defined(&BRIDGE_QUERIER_IPV6_OTHER_TIMER);
    eval("sub __BRIDGE_QUERIER_MAX () { 8; }") unless defined(&__BRIDGE_QUERIER_MAX);
    eval 'sub BRIDGE_QUERIER_MAX () {( &__BRIDGE_QUERIER_MAX - 1);}' unless defined(&BRIDGE_QUERIER_MAX);
}
1;
