require '_h2ph_pre.ph';

no warnings qw(redefine misc);

unless(defined(&_INPUT_EVENT_CODES_H)) {
    eval 'sub _INPUT_EVENT_CODES_H () {1;}' unless defined(&_INPUT_EVENT_CODES_H);
    eval 'sub INPUT_PROP_POINTER () {0x;}' unless defined(&INPUT_PROP_POINTER);
    eval 'sub INPUT_PROP_DIRECT () {0x1;}' unless defined(&INPUT_PROP_DIRECT);
    eval 'sub INPUT_PROP_BUTTONPAD () {0x2;}' unless defined(&INPUT_PROP_BUTTONPAD);
    eval 'sub INPUT_PROP_SEMI_MT () {0x3;}' unless defined(&INPUT_PROP_SEMI_MT);
    eval 'sub INPUT_PROP_TOPBUTTONPAD () {0x4;}' unless defined(&INPUT_PROP_TOPBUTTONPAD);
    eval 'sub INPUT_PROP_POINTING_STICK () {0x5;}' unless defined(&INPUT_PROP_POINTING_STICK);
    eval 'sub INPUT_PROP_ACCELEROMETER () {0x6;}' unless defined(&INPUT_PROP_ACCELEROMETER);
    eval 'sub INPUT_PROP_MAX () {0x1f;}' unless defined(&INPUT_PROP_MAX);
    eval 'sub INPUT_PROP_CNT () {( &INPUT_PROP_MAX + 1);}' unless defined(&INPUT_PROP_CNT);
    eval 'sub EV_SYN () {0x;}' unless defined(&EV_SYN);
    eval 'sub EV_KEY () {0x1;}' unless defined(&EV_KEY);
    eval 'sub EV_REL () {0x2;}' unless defined(&EV_REL);
    eval 'sub EV_ABS () {0x3;}' unless defined(&EV_ABS);
    eval 'sub EV_MSC () {0x4;}' unless defined(&EV_MSC);
    eval 'sub EV_SW () {0x5;}' unless defined(&EV_SW);
    eval 'sub EV_LED () {0x11;}' unless defined(&EV_LED);
    eval 'sub EV_SND () {0x12;}' unless defined(&EV_SND);
    eval 'sub EV_REP () {0x14;}' unless defined(&EV_REP);
    eval 'sub EV_FF () {0x15;}' unless defined(&EV_FF);
    eval 'sub EV_PWR () {0x16;}' unless defined(&EV_PWR);
    eval 'sub EV_FF_STATUS () {0x17;}' unless defined(&EV_FF_STATUS);
    eval 'sub EV_MAX () {0x1f;}' unless defined(&EV_MAX);
    eval 'sub EV_CNT () {( &EV_MAX+1);}' unless defined(&EV_CNT);
    eval 'sub SYN_REPORT () {0;}' unless defined(&SYN_REPORT);
    eval 'sub SYN_CONFIG () {1;}' unless defined(&SYN_CONFIG);
    eval 'sub SYN_MT_REPORT () {2;}' unless defined(&SYN_MT_REPORT);
    eval 'sub SYN_DROPPED () {3;}' unless defined(&SYN_DROPPED);
    eval 'sub SYN_MAX () {0xf;}' unless defined(&SYN_MAX);
    eval 'sub SYN_CNT () {( &SYN_MAX+1);}' unless defined(&SYN_CNT);
    eval 'sub KEY_RESERVED () {0;}' unless defined(&KEY_RESERVED);
    eval 'sub KEY_ESC () {1;}' unless defined(&KEY_ESC);
    eval 'sub KEY_1 () {2;}' unless defined(&KEY_1);
    eval 'sub KEY_2 () {3;}' unless defined(&KEY_2);
    eval 'sub KEY_3 () {4;}' unless defined(&KEY_3);
    eval 'sub KEY_4 () {5;}' unless defined(&KEY_4);
    eval 'sub KEY_5 () {6;}' unless defined(&KEY_5);
    eval 'sub KEY_6 () {7;}' unless defined(&KEY_6);
    eval 'sub KEY_7 () {8;}' unless defined(&KEY_7);
    eval 'sub KEY_8 () {9;}' unless defined(&KEY_8);
    eval 'sub KEY_9 () {10;}' unless defined(&KEY_9);
    eval 'sub KEY_0 () {11;}' unless defined(&KEY_0);
    eval 'sub KEY_MINUS () {12;}' unless defined(&KEY_MINUS);
    eval 'sub KEY_EQUAL () {13;}' unless defined(&KEY_EQUAL);
    eval 'sub KEY_BACKSPACE () {14;}' unless defined(&KEY_BACKSPACE);
    eval 'sub KEY_TAB () {15;}' unless defined(&KEY_TAB);
    eval 'sub KEY_Q () {16;}' unless defined(&KEY_Q);
    eval 'sub KEY_W () {17;}' unless defined(&KEY_W);
    eval 'sub KEY_E () {18;}' unless defined(&KEY_E);
    eval 'sub KEY_R () {19;}' unless defined(&KEY_R);
    eval 'sub KEY_T () {20;}' unless defined(&KEY_T);
    eval 'sub KEY_Y () {21;}' unless defined(&KEY_Y);
    eval 'sub KEY_U () {22;}' unless defined(&KEY_U);
    eval 'sub KEY_I () {23;}' unless defined(&KEY_I);
    eval 'sub KEY_O () {24;}' unless defined(&KEY_O);
    eval 'sub KEY_P () {25;}' unless defined(&KEY_P);
    eval 'sub KEY_LEFTBRACE () {26;}' unless defined(&KEY_LEFTBRACE);
    eval 'sub KEY_RIGHTBRACE () {27;}' unless defined(&KEY_RIGHTBRACE);
    eval 'sub KEY_ENTER () {28;}' unless defined(&KEY_ENTER);
    eval 'sub KEY_LEFTCTRL () {29;}' unless defined(&KEY_LEFTCTRL);
    eval 'sub KEY_A () {30;}' unless defined(&KEY_A);
    eval 'sub KEY_S () {31;}' unless defined(&KEY_S);
    eval 'sub KEY_D () {32;}' unless defined(&KEY_D);
    eval 'sub KEY_F () {33;}' unless defined(&KEY_F);
    eval 'sub KEY_G () {34;}' unless defined(&KEY_G);
    eval 'sub KEY_H () {35;}' unless defined(&KEY_H);
    eval 'sub KEY_J () {36;}' unless defined(&KEY_J);
    eval 'sub KEY_K () {37;}' unless defined(&KEY_K);
    eval 'sub KEY_L () {38;}' unless defined(&KEY_L);
    eval 'sub KEY_SEMICOLON () {39;}' unless defined(&KEY_SEMICOLON);
    eval 'sub KEY_APOSTROPHE () {40;}' unless defined(&KEY_APOSTROPHE);
    eval 'sub KEY_GRAVE () {41;}' unless defined(&KEY_GRAVE);
    eval 'sub KEY_LEFTSHIFT () {42;}' unless defined(&KEY_LEFTSHIFT);
    eval 'sub KEY_BACKSLASH () {43;}' unless defined(&KEY_BACKSLASH);
    eval 'sub KEY_Z () {44;}' unless defined(&KEY_Z);
    eval 'sub KEY_X () {45;}' unless defined(&KEY_X);
    eval 'sub KEY_C () {46;}' unless defined(&KEY_C);
    eval 'sub KEY_V () {47;}' unless defined(&KEY_V);
    eval 'sub KEY_B () {48;}' unless defined(&KEY_B);
    eval 'sub KEY_N () {49;}' unless defined(&KEY_N);
    eval 'sub KEY_M () {50;}' unless defined(&KEY_M);
    eval 'sub KEY_COMMA () {51;}' unless defined(&KEY_COMMA);
    eval 'sub KEY_DOT () {52;}' unless defined(&KEY_DOT);
    eval 'sub KEY_SLASH () {53;}' unless defined(&KEY_SLASH);
    eval 'sub KEY_RIGHTSHIFT () {54;}' unless defined(&KEY_RIGHTSHIFT);
    eval 'sub KEY_KPASTERISK () {55;}' unless defined(&KEY_KPASTERISK);
    eval 'sub KEY_LEFTALT () {56;}' unless defined(&KEY_LEFTALT);
    eval 'sub KEY_SPACE () {57;}' unless defined(&KEY_SPACE);
    eval 'sub KEY_CAPSLOCK () {58;}' unless defined(&KEY_CAPSLOCK);
    eval 'sub KEY_F1 () {59;}' unless defined(&KEY_F1);
    eval 'sub KEY_F2 () {60;}' unless defined(&KEY_F2);
    eval 'sub KEY_F3 () {61;}' unless defined(&KEY_F3);
    eval 'sub KEY_F4 () {62;}' unless defined(&KEY_F4);
    eval 'sub KEY_F5 () {63;}' unless defined(&KEY_F5);
    eval 'sub KEY_F6 () {64;}' unless defined(&KEY_F6);
    eval 'sub KEY_F7 () {65;}' unless defined(&KEY_F7);
    eval 'sub KEY_F8 () {66;}' unless defined(&KEY_F8);
    eval 'sub KEY_F9 () {67;}' unless defined(&KEY_F9);
    eval 'sub KEY_F10 () {68;}' unless defined(&KEY_F10);
    eval 'sub KEY_NUMLOCK () {69;}' unless defined(&KEY_NUMLOCK);
    eval 'sub KEY_SCROLLLOCK () {70;}' unless defined(&KEY_SCROLLLOCK);
    eval 'sub KEY_KP7 () {71;}' unless defined(&KEY_KP7);
    eval 'sub KEY_KP8 () {72;}' unless defined(&KEY_KP8);
    eval 'sub KEY_KP9 () {73;}' unless defined(&KEY_KP9);
    eval 'sub KEY_KPMINUS () {74;}' unless defined(&KEY_KPMINUS);
    eval 'sub KEY_KP4 () {75;}' unless defined(&KEY_KP4);
    eval 'sub KEY_KP5 () {76;}' unless defined(&KEY_KP5);
    eval 'sub KEY_KP6 () {77;}' unless defined(&KEY_KP6);
    eval 'sub KEY_KPPLUS () {78;}' unless defined(&KEY_KPPLUS);
    eval 'sub KEY_KP1 () {79;}' unless defined(&KEY_KP1);
    eval 'sub KEY_KP2 () {80;}' unless defined(&KEY_KP2);
    eval 'sub KEY_KP3 () {81;}' unless defined(&KEY_KP3);
    eval 'sub KEY_KP0 () {82;}' unless defined(&KEY_KP0);
    eval 'sub KEY_KPDOT () {83;}' unless defined(&KEY_KPDOT);
    eval 'sub KEY_ZENKAKUHANKAKU () {85;}' unless defined(&KEY_ZENKAKUHANKAKU);
    eval 'sub KEY_102ND () {86;}' unless defined(&KEY_102ND);
    eval 'sub KEY_F11 () {87;}' unless defined(&KEY_F11);
    eval 'sub KEY_F12 () {88;}' unless defined(&KEY_F12);
    eval 'sub KEY_RO () {89;}' unless defined(&KEY_RO);
    eval 'sub KEY_KATAKANA () {90;}' unless defined(&KEY_KATAKANA);
    eval 'sub KEY_HIRAGANA () {91;}' unless defined(&KEY_HIRAGANA);
    eval 'sub KEY_HENKAN () {92;}' unless defined(&KEY_HENKAN);
    eval 'sub KEY_KATAKANAHIRAGANA () {93;}' unless defined(&KEY_KATAKANAHIRAGANA);
    eval 'sub KEY_MUHENKAN () {94;}' unless defined(&KEY_MUHENKAN);
    eval 'sub KEY_KPJPCOMMA () {95;}' unless defined(&KEY_KPJPCOMMA);
    eval 'sub KEY_KPENTER () {96;}' unless defined(&KEY_KPENTER);
    eval 'sub KEY_RIGHTCTRL () {97;}' unless defined(&KEY_RIGHTCTRL);
    eval 'sub KEY_KPSLASH () {98;}' unless defined(&KEY_KPSLASH);
    eval 'sub KEY_SYSRQ () {99;}' unless defined(&KEY_SYSRQ);
    eval 'sub KEY_RIGHTALT () {100;}' unless defined(&KEY_RIGHTALT);
    eval 'sub KEY_LINEFEED () {101;}' unless defined(&KEY_LINEFEED);
    eval 'sub KEY_HOME () {102;}' unless defined(&KEY_HOME);
    eval 'sub KEY_UP () {103;}' unless defined(&KEY_UP);
    eval 'sub KEY_PAGEUP () {104;}' unless defined(&KEY_PAGEUP);
    eval 'sub KEY_LEFT () {105;}' unless defined(&KEY_LEFT);
    eval 'sub KEY_RIGHT () {106;}' unless defined(&KEY_RIGHT);
    eval 'sub KEY_END () {107;}' unless defined(&KEY_END);
    eval 'sub KEY_DOWN () {108;}' unless defined(&KEY_DOWN);
    eval 'sub KEY_PAGEDOWN () {109;}' unless defined(&KEY_PAGEDOWN);
    eval 'sub KEY_INSERT () {110;}' unless defined(&KEY_INSERT);
    eval 'sub KEY_DELETE () {111;}' unless defined(&KEY_DELETE);
    eval 'sub KEY_MACRO () {112;}' unless defined(&KEY_MACRO);
    eval 'sub KEY_MUTE () {113;}' unless defined(&KEY_MUTE);
    eval 'sub KEY_VOLUMEDOWN () {114;}' unless defined(&KEY_VOLUMEDOWN);
    eval 'sub KEY_VOLUMEUP () {115;}' unless defined(&KEY_VOLUMEUP);
    eval 'sub KEY_POWER () {116;}' unless defined(&KEY_POWER);
    eval 'sub KEY_KPEQUAL () {117;}' unless defined(&KEY_KPEQUAL);
    eval 'sub KEY_KPPLUSMINUS () {118;}' unless defined(&KEY_KPPLUSMINUS);
    eval 'sub KEY_PAUSE () {119;}' unless defined(&KEY_PAUSE);
    eval 'sub KEY_SCALE () {120;}' unless defined(&KEY_SCALE);
    eval 'sub KEY_KPCOMMA () {121;}' unless defined(&KEY_KPCOMMA);
    eval 'sub KEY_HANGEUL () {122;}' unless defined(&KEY_HANGEUL);
    eval 'sub KEY_HANGUEL () { &KEY_HANGEUL;}' unless defined(&KEY_HANGUEL);
    eval 'sub KEY_HANJA () {123;}' unless defined(&KEY_HANJA);
    eval 'sub KEY_YEN () {124;}' unless defined(&KEY_YEN);
    eval 'sub KEY_LEFTMETA () {125;}' unless defined(&KEY_LEFTMETA);
    eval 'sub KEY_RIGHTMETA () {126;}' unless defined(&KEY_RIGHTMETA);
    eval 'sub KEY_COMPOSE () {127;}' unless defined(&KEY_COMPOSE);
    eval 'sub KEY_STOP () {128;}' unless defined(&KEY_STOP);
    eval 'sub KEY_AGAIN () {129;}' unless defined(&KEY_AGAIN);
    eval 'sub KEY_PROPS () {130;}' unless defined(&KEY_PROPS);
    eval 'sub KEY_UNDO () {131;}' unless defined(&KEY_UNDO);
    eval 'sub KEY_FRONT () {132;}' unless defined(&KEY_FRONT);
    eval 'sub KEY_COPY () {133;}' unless defined(&KEY_COPY);
    eval 'sub KEY_OPEN () {134;}' unless defined(&KEY_OPEN);
    eval 'sub KEY_PASTE () {135;}' unless defined(&KEY_PASTE);
    eval 'sub KEY_FIND () {136;}' unless defined(&KEY_FIND);
    eval 'sub KEY_CUT () {137;}' unless defined(&KEY_CUT);
    eval 'sub KEY_HELP () {138;}' unless defined(&KEY_HELP);
    eval 'sub KEY_MENU () {139;}' unless defined(&KEY_MENU);
    eval 'sub KEY_CALC () {140;}' unless defined(&KEY_CALC);
    eval 'sub KEY_SETUP () {141;}' unless defined(&KEY_SETUP);
    eval 'sub KEY_SLEEP () {142;}' unless defined(&KEY_SLEEP);
    eval 'sub KEY_WAKEUP () {143;}' unless defined(&KEY_WAKEUP);
    eval 'sub KEY_FILE () {144;}' unless defined(&KEY_FILE);
    eval 'sub KEY_SENDFILE () {145;}' unless defined(&KEY_SENDFILE);
    eval 'sub KEY_DELETEFILE () {146;}' unless defined(&KEY_DELETEFILE);
    eval 'sub KEY_XFER () {147;}' unless defined(&KEY_XFER);
    eval 'sub KEY_PROG1 () {148;}' unless defined(&KEY_PROG1);
    eval 'sub KEY_PROG2 () {149;}' unless defined(&KEY_PROG2);
    eval 'sub KEY_WWW () {150;}' unless defined(&KEY_WWW);
    eval 'sub KEY_MSDOS () {151;}' unless defined(&KEY_MSDOS);
    eval 'sub KEY_COFFEE () {152;}' unless defined(&KEY_COFFEE);
    eval 'sub KEY_SCREENLOCK () { &KEY_COFFEE;}' unless defined(&KEY_SCREENLOCK);
    eval 'sub KEY_ROTATE_DISPLAY () {153;}' unless defined(&KEY_ROTATE_DISPLAY);
    eval 'sub KEY_DIRECTION () { &KEY_ROTATE_DISPLAY;}' unless defined(&KEY_DIRECTION);
    eval 'sub KEY_CYCLEWINDOWS () {154;}' unless defined(&KEY_CYCLEWINDOWS);
    eval 'sub KEY_MAIL () {155;}' unless defined(&KEY_MAIL);
    eval 'sub KEY_BOOKMARKS () {156;}' unless defined(&KEY_BOOKMARKS);
    eval 'sub KEY_COMPUTER () {157;}' unless defined(&KEY_COMPUTER);
    eval 'sub KEY_BACK () {158;}' unless defined(&KEY_BACK);
    eval 'sub KEY_FORWARD () {159;}' unless defined(&KEY_FORWARD);
    eval 'sub KEY_CLOSECD () {160;}' unless defined(&KEY_CLOSECD);
    eval 'sub KEY_EJECTCD () {161;}' unless defined(&KEY_EJECTCD);
    eval 'sub KEY_EJECTCLOSECD () {162;}' unless defined(&KEY_EJECTCLOSECD);
    eval 'sub KEY_NEXTSONG () {163;}' unless defined(&KEY_NEXTSONG);
    eval 'sub KEY_PLAYPAUSE () {164;}' unless defined(&KEY_PLAYPAUSE);
    eval 'sub KEY_PREVIOUSSONG () {165;}' unless defined(&KEY_PREVIOUSSONG);
    eval 'sub KEY_STOPCD () {166;}' unless defined(&KEY_STOPCD);
    eval 'sub KEY_RECORD () {167;}' unless defined(&KEY_RECORD);
    eval 'sub KEY_REWIND () {168;}' unless defined(&KEY_REWIND);
    eval 'sub KEY_PHONE () {169;}' unless defined(&KEY_PHONE);
    eval 'sub KEY_ISO () {170;}' unless defined(&KEY_ISO);
    eval 'sub KEY_CONFIG () {171;}' unless defined(&KEY_CONFIG);
    eval 'sub KEY_HOMEPAGE () {172;}' unless defined(&KEY_HOMEPAGE);
    eval 'sub KEY_REFRESH () {173;}' unless defined(&KEY_REFRESH);
    eval 'sub KEY_EXIT () {174;}' unless defined(&KEY_EXIT);
    eval 'sub KEY_MOVE () {175;}' unless defined(&KEY_MOVE);
    eval 'sub KEY_EDIT () {176;}' unless defined(&KEY_EDIT);
    eval 'sub KEY_SCROLLUP () {177;}' unless defined(&KEY_SCROLLUP);
    eval 'sub KEY_SCROLLDOWN () {178;}' unless defined(&KEY_SCROLLDOWN);
    eval 'sub KEY_KPLEFTPAREN () {179;}' unless defined(&KEY_KPLEFTPAREN);
    eval 'sub KEY_KPRIGHTPAREN () {180;}' unless defined(&KEY_KPRIGHTPAREN);
    eval 'sub KEY_NEW () {181;}' unless defined(&KEY_NEW);
    eval 'sub KEY_REDO () {182;}' unless defined(&KEY_REDO);
    eval 'sub KEY_F13 () {183;}' unless defined(&KEY_F13);
    eval 'sub KEY_F14 () {184;}' unless defined(&KEY_F14);
    eval 'sub KEY_F15 () {185;}' unless defined(&KEY_F15);
    eval 'sub KEY_F16 () {186;}' unless defined(&KEY_F16);
    eval 'sub KEY_F17 () {187;}' unless defined(&KEY_F17);
    eval 'sub KEY_F18 () {188;}' unless defined(&KEY_F18);
    eval 'sub KEY_F19 () {189;}' unless defined(&KEY_F19);
    eval 'sub KEY_F20 () {190;}' unless defined(&KEY_F20);
    eval 'sub KEY_F21 () {191;}' unless defined(&KEY_F21);
    eval 'sub KEY_F22 () {192;}' unless defined(&KEY_F22);
    eval 'sub KEY_F23 () {193;}' unless defined(&KEY_F23);
    eval 'sub KEY_F24 () {194;}' unless defined(&KEY_F24);
    eval 'sub KEY_PLAYCD () {200;}' unless defined(&KEY_PLAYCD);
    eval 'sub KEY_PAUSECD () {201;}' unless defined(&KEY_PAUSECD);
    eval 'sub KEY_PROG3 () {202;}' unless defined(&KEY_PROG3);
    eval 'sub KEY_PROG4 () {203;}' unless defined(&KEY_PROG4);
    eval 'sub KEY_ALL_APPLICATIONS () {204;}' unless defined(&KEY_ALL_APPLICATIONS);
    eval 'sub KEY_DASHBOARD () { &KEY_ALL_APPLICATIONS;}' unless defined(&KEY_DASHBOARD);
    eval 'sub KEY_SUSPEND () {205;}' unless defined(&KEY_SUSPEND);
    eval 'sub KEY_CLOSE () {206;}' unless defined(&KEY_CLOSE);
    eval 'sub KEY_PLAY () {207;}' unless defined(&KEY_PLAY);
    eval 'sub KEY_FASTFORWARD () {208;}' unless defined(&KEY_FASTFORWARD);
    eval 'sub KEY_BASSBOOST () {209;}' unless defined(&KEY_BASSBOOST);
    eval 'sub KEY_PRINT () {210;}' unless defined(&KEY_PRINT);
    eval 'sub KEY_HP () {211;}' unless defined(&KEY_HP);
    eval 'sub KEY_CAMERA () {212;}' unless defined(&KEY_CAMERA);
    eval 'sub KEY_SOUND () {213;}' unless defined(&KEY_SOUND);
    eval 'sub KEY_QUESTION () {214;}' unless defined(&KEY_QUESTION);
    eval 'sub KEY_EMAIL () {215;}' unless defined(&KEY_EMAIL);
    eval 'sub KEY_CHAT () {216;}' unless defined(&KEY_CHAT);
    eval 'sub KEY_SEARCH () {217;}' unless defined(&KEY_SEARCH);
    eval 'sub KEY_CONNECT () {218;}' unless defined(&KEY_CONNECT);
    eval 'sub KEY_FINANCE () {219;}' unless defined(&KEY_FINANCE);
    eval 'sub KEY_SPORT () {220;}' unless defined(&KEY_SPORT);
    eval 'sub KEY_SHOP () {221;}' unless defined(&KEY_SHOP);
    eval 'sub KEY_ALTERASE () {222;}' unless defined(&KEY_ALTERASE);
    eval 'sub KEY_CANCEL () {223;}' unless defined(&KEY_CANCEL);
    eval 'sub KEY_BRIGHTNESSDOWN () {224;}' unless defined(&KEY_BRIGHTNESSDOWN);
    eval 'sub KEY_BRIGHTNESSUP () {225;}' unless defined(&KEY_BRIGHTNESSUP);
    eval 'sub KEY_MEDIA () {226;}' unless defined(&KEY_MEDIA);
    eval 'sub KEY_SWITCHVIDEOMODE () {227;}' unless defined(&KEY_SWITCHVIDEOMODE);
    eval 'sub KEY_KBDILLUMTOGGLE () {228;}' unless defined(&KEY_KBDILLUMTOGGLE);
    eval 'sub KEY_KBDILLUMDOWN () {229;}' unless defined(&KEY_KBDILLUMDOWN);
    eval 'sub KEY_KBDILLUMUP () {230;}' unless defined(&KEY_KBDILLUMUP);
    eval 'sub KEY_SEND () {231;}' unless defined(&KEY_SEND);
    eval 'sub KEY_REPLY () {232;}' unless defined(&KEY_REPLY);
    eval 'sub KEY_FORWARDMAIL () {233;}' unless defined(&KEY_FORWARDMAIL);
    eval 'sub KEY_SAVE () {234;}' unless defined(&KEY_SAVE);
    eval 'sub KEY_DOCUMENTS () {235;}' unless defined(&KEY_DOCUMENTS);
    eval 'sub KEY_BATTERY () {236;}' unless defined(&KEY_BATTERY);
    eval 'sub KEY_BLUETOOTH () {237;}' unless defined(&KEY_BLUETOOTH);
    eval 'sub KEY_WLAN () {238;}' unless defined(&KEY_WLAN);
    eval 'sub KEY_UWB () {239;}' unless defined(&KEY_UWB);
    eval 'sub KEY_UNKNOWN () {240;}' unless defined(&KEY_UNKNOWN);
    eval 'sub KEY_VIDEO_NEXT () {241;}' unless defined(&KEY_VIDEO_NEXT);
    eval 'sub KEY_VIDEO_PREV () {242;}' unless defined(&KEY_VIDEO_PREV);
    eval 'sub KEY_BRIGHTNESS_CYCLE () {243;}' unless defined(&KEY_BRIGHTNESS_CYCLE);
    eval 'sub KEY_BRIGHTNESS_AUTO () {244;}' unless defined(&KEY_BRIGHTNESS_AUTO);
    eval 'sub KEY_BRIGHTNESS_ZERO () { &KEY_BRIGHTNESS_AUTO;}' unless defined(&KEY_BRIGHTNESS_ZERO);
    eval 'sub KEY_DISPLAY_OFF () {245;}' unless defined(&KEY_DISPLAY_OFF);
    eval 'sub KEY_WWAN () {246;}' unless defined(&KEY_WWAN);
    eval 'sub KEY_WIMAX () { &KEY_WWAN;}' unless defined(&KEY_WIMAX);
    eval 'sub KEY_RFKILL () {247;}' unless defined(&KEY_RFKILL);
    eval 'sub KEY_MICMUTE () {248;}' unless defined(&KEY_MICMUTE);
    eval 'sub BTN_MISC () {0x100;}' unless defined(&BTN_MISC);
    eval 'sub BTN_0 () {0x100;}' unless defined(&BTN_0);
    eval 'sub BTN_1 () {0x101;}' unless defined(&BTN_1);
    eval 'sub BTN_2 () {0x102;}' unless defined(&BTN_2);
    eval 'sub BTN_3 () {0x103;}' unless defined(&BTN_3);
    eval 'sub BTN_4 () {0x104;}' unless defined(&BTN_4);
    eval 'sub BTN_5 () {0x105;}' unless defined(&BTN_5);
    eval 'sub BTN_6 () {0x106;}' unless defined(&BTN_6);
    eval 'sub BTN_7 () {0x107;}' unless defined(&BTN_7);
    eval 'sub BTN_8 () {0x108;}' unless defined(&BTN_8);
    eval 'sub BTN_9 () {0x109;}' unless defined(&BTN_9);
    eval 'sub BTN_MOUSE () {0x110;}' unless defined(&BTN_MOUSE);
    eval 'sub BTN_LEFT () {0x110;}' unless defined(&BTN_LEFT);
    eval 'sub BTN_RIGHT () {0x111;}' unless defined(&BTN_RIGHT);
    eval 'sub BTN_MIDDLE () {0x112;}' unless defined(&BTN_MIDDLE);
    eval 'sub BTN_SIDE () {0x113;}' unless defined(&BTN_SIDE);
    eval 'sub BTN_EXTRA () {0x114;}' unless defined(&BTN_EXTRA);
    eval 'sub BTN_FORWARD () {0x115;}' unless defined(&BTN_FORWARD);
    eval 'sub BTN_BACK () {0x116;}' unless defined(&BTN_BACK);
    eval 'sub BTN_TASK () {0x117;}' unless defined(&BTN_TASK);
    eval 'sub BTN_JOYSTICK () {0x120;}' unless defined(&BTN_JOYSTICK);
    eval 'sub BTN_TRIGGER () {0x120;}' unless defined(&BTN_TRIGGER);
    eval 'sub BTN_THUMB () {0x121;}' unless defined(&BTN_THUMB);
    eval 'sub BTN_THUMB2 () {0x122;}' unless defined(&BTN_THUMB2);
    eval 'sub BTN_TOP () {0x123;}' unless defined(&BTN_TOP);
    eval 'sub BTN_TOP2 () {0x124;}' unless defined(&BTN_TOP2);
    eval 'sub BTN_PINKIE () {0x125;}' unless defined(&BTN_PINKIE);
    eval 'sub BTN_BASE () {0x126;}' unless defined(&BTN_BASE);
    eval 'sub BTN_BASE2 () {0x127;}' unless defined(&BTN_BASE2);
    eval 'sub BTN_BASE3 () {0x128;}' unless defined(&BTN_BASE3);
    eval 'sub BTN_BASE4 () {0x129;}' unless defined(&BTN_BASE4);
    eval 'sub BTN_BASE5 () {0x12a;}' unless defined(&BTN_BASE5);
    eval 'sub BTN_BASE6 () {0x12b;}' unless defined(&BTN_BASE6);
    eval 'sub BTN_DEAD () {0x12f;}' unless defined(&BTN_DEAD);
    eval 'sub BTN_GAMEPAD () {0x130;}' unless defined(&BTN_GAMEPAD);
    eval 'sub BTN_SOUTH () {0x130;}' unless defined(&BTN_SOUTH);
    eval 'sub BTN_A () { &BTN_SOUTH;}' unless defined(&BTN_A);
    eval 'sub BTN_EAST () {0x131;}' unless defined(&BTN_EAST);
    eval 'sub BTN_B () { &BTN_EAST;}' unless defined(&BTN_B);
    eval 'sub BTN_C () {0x132;}' unless defined(&BTN_C);
    eval 'sub BTN_NORTH () {0x133;}' unless defined(&BTN_NORTH);
    eval 'sub BTN_X () { &BTN_NORTH;}' unless defined(&BTN_X);
    eval 'sub BTN_WEST () {0x134;}' unless defined(&BTN_WEST);
    eval 'sub BTN_Y () { &BTN_WEST;}' unless defined(&BTN_Y);
    eval 'sub BTN_Z () {0x135;}' unless defined(&BTN_Z);
    eval 'sub BTN_TL () {0x136;}' unless defined(&BTN_TL);
    eval 'sub BTN_TR () {0x137;}' unless defined(&BTN_TR);
    eval 'sub BTN_TL2 () {0x138;}' unless defined(&BTN_TL2);
    eval 'sub BTN_TR2 () {0x139;}' unless defined(&BTN_TR2);
    eval 'sub BTN_SELECT () {0x13a;}' unless defined(&BTN_SELECT);
    eval 'sub BTN_START () {0x13b;}' unless defined(&BTN_START);
    eval 'sub BTN_MODE () {0x13c;}' unless defined(&BTN_MODE);
    eval 'sub BTN_THUMBL () {0x13d;}' unless defined(&BTN_THUMBL);
    eval 'sub BTN_THUMBR () {0x13e;}' unless defined(&BTN_THUMBR);
    eval 'sub BTN_DIGI () {0x140;}' unless defined(&BTN_DIGI);
    eval 'sub BTN_TOOL_PEN () {0x140;}' unless defined(&BTN_TOOL_PEN);
    eval 'sub BTN_TOOL_RUBBER () {0x141;}' unless defined(&BTN_TOOL_RUBBER);
    eval 'sub BTN_TOOL_BRUSH () {0x142;}' unless defined(&BTN_TOOL_BRUSH);
    eval 'sub BTN_TOOL_PENCIL () {0x143;}' unless defined(&BTN_TOOL_PENCIL);
    eval 'sub BTN_TOOL_AIRBRUSH () {0x144;}' unless defined(&BTN_TOOL_AIRBRUSH);
    eval 'sub BTN_TOOL_FINGER () {0x145;}' unless defined(&BTN_TOOL_FINGER);
    eval 'sub BTN_TOOL_MOUSE () {0x146;}' unless defined(&BTN_TOOL_MOUSE);
    eval 'sub BTN_TOOL_LENS () {0x147;}' unless defined(&BTN_TOOL_LENS);
    eval 'sub BTN_TOOL_QUINTTAP () {0x148;}' unless defined(&BTN_TOOL_QUINTTAP);
    eval 'sub BTN_STYLUS3 () {0x149;}' unless defined(&BTN_STYLUS3);
    eval 'sub BTN_TOUCH () {0x14a;}' unless defined(&BTN_TOUCH);
    eval 'sub BTN_STYLUS () {0x14b;}' unless defined(&BTN_STYLUS);
    eval 'sub BTN_STYLUS2 () {0x14c;}' unless defined(&BTN_STYLUS2);
    eval 'sub BTN_TOOL_DOUBLETAP () {0x14d;}' unless defined(&BTN_TOOL_DOUBLETAP);
    eval 'sub BTN_TOOL_TRIPLETAP () {0x14e;}' unless defined(&BTN_TOOL_TRIPLETAP);
    eval 'sub BTN_TOOL_QUADTAP () {0x14f;}' unless defined(&BTN_TOOL_QUADTAP);
    eval 'sub BTN_WHEEL () {0x150;}' unless defined(&BTN_WHEEL);
    eval 'sub BTN_GEAR_DOWN () {0x150;}' unless defined(&BTN_GEAR_DOWN);
    eval 'sub BTN_GEAR_UP () {0x151;}' unless defined(&BTN_GEAR_UP);
    eval 'sub KEY_OK () {0x160;}' unless defined(&KEY_OK);
    eval 'sub KEY_SELECT () {0x161;}' unless defined(&KEY_SELECT);
    eval 'sub KEY_GOTO () {0x162;}' unless defined(&KEY_GOTO);
    eval 'sub KEY_CLEAR () {0x163;}' unless defined(&KEY_CLEAR);
    eval 'sub KEY_POWER2 () {0x164;}' unless defined(&KEY_POWER2);
    eval 'sub KEY_OPTION () {0x165;}' unless defined(&KEY_OPTION);
    eval 'sub KEY_INFO () {0x166;}' unless defined(&KEY_INFO);
    eval 'sub KEY_TIME () {0x167;}' unless defined(&KEY_TIME);
    eval 'sub KEY_VENDOR () {0x168;}' unless defined(&KEY_VENDOR);
    eval 'sub KEY_ARCHIVE () {0x169;}' unless defined(&KEY_ARCHIVE);
    eval 'sub KEY_PROGRAM () {0x16a;}' unless defined(&KEY_PROGRAM);
    eval 'sub KEY_CHANNEL () {0x16b;}' unless defined(&KEY_CHANNEL);
    eval 'sub KEY_FAVORITES () {0x16c;}' unless defined(&KEY_FAVORITES);
    eval 'sub KEY_EPG () {0x16d;}' unless defined(&KEY_EPG);
    eval 'sub KEY_PVR () {0x16e;}' unless defined(&KEY_PVR);
    eval 'sub KEY_MHP () {0x16f;}' unless defined(&KEY_MHP);
    eval 'sub KEY_LANGUAGE () {0x170;}' unless defined(&KEY_LANGUAGE);
    eval 'sub KEY_TITLE () {0x171;}' unless defined(&KEY_TITLE);
    eval 'sub KEY_SUBTITLE () {0x172;}' unless defined(&KEY_SUBTITLE);
    eval 'sub KEY_ANGLE () {0x173;}' unless defined(&KEY_ANGLE);
    eval 'sub KEY_FULL_SCREEN () {0x174;}' unless defined(&KEY_FULL_SCREEN);
    eval 'sub KEY_ZOOM () { &KEY_FULL_SCREEN;}' unless defined(&KEY_ZOOM);
    eval 'sub KEY_MODE () {0x175;}' unless defined(&KEY_MODE);
    eval 'sub KEY_KEYBOARD () {0x176;}' unless defined(&KEY_KEYBOARD);
    eval 'sub KEY_ASPECT_RATIO () {0x177;}' unless defined(&KEY_ASPECT_RATIO);
    eval 'sub KEY_SCREEN () { &KEY_ASPECT_RATIO;}' unless defined(&KEY_SCREEN);
    eval 'sub KEY_PC () {0x178;}' unless defined(&KEY_PC);
    eval 'sub KEY_TV () {0x179;}' unless defined(&KEY_TV);
    eval 'sub KEY_TV2 () {0x17a;}' unless defined(&KEY_TV2);
    eval 'sub KEY_VCR () {0x17b;}' unless defined(&KEY_VCR);
    eval 'sub KEY_VCR2 () {0x17c;}' unless defined(&KEY_VCR2);
    eval 'sub KEY_SAT () {0x17d;}' unless defined(&KEY_SAT);
    eval 'sub KEY_SAT2 () {0x17e;}' unless defined(&KEY_SAT2);
    eval 'sub KEY_CD () {0x17f;}' unless defined(&KEY_CD);
    eval 'sub KEY_TAPE () {0x180;}' unless defined(&KEY_TAPE);
    eval 'sub KEY_RADIO () {0x181;}' unless defined(&KEY_RADIO);
    eval 'sub KEY_TUNER () {0x182;}' unless defined(&KEY_TUNER);
    eval 'sub KEY_PLAYER () {0x183;}' unless defined(&KEY_PLAYER);
    eval 'sub KEY_TEXT () {0x184;}' unless defined(&KEY_TEXT);
    eval 'sub KEY_DVD () {0x185;}' unless defined(&KEY_DVD);
    eval 'sub KEY_AUX () {0x186;}' unless defined(&KEY_AUX);
    eval 'sub KEY_MP3 () {0x187;}' unless defined(&KEY_MP3);
    eval 'sub KEY_AUDIO () {0x188;}' unless defined(&KEY_AUDIO);
    eval 'sub KEY_VIDEO () {0x189;}' unless defined(&KEY_VIDEO);
    eval 'sub KEY_DIRECTORY () {0x18a;}' unless defined(&KEY_DIRECTORY);
    eval 'sub KEY_LIST () {0x18b;}' unless defined(&KEY_LIST);
    eval 'sub KEY_MEMO () {0x18c;}' unless defined(&KEY_MEMO);
    eval 'sub KEY_CALENDAR () {0x18d;}' unless defined(&KEY_CALENDAR);
    eval 'sub KEY_RED () {0x18e;}' unless defined(&KEY_RED);
    eval 'sub KEY_GREEN () {0x18f;}' unless defined(&KEY_GREEN);
    eval 'sub KEY_YELLOW () {0x190;}' unless defined(&KEY_YELLOW);
    eval 'sub KEY_BLUE () {0x191;}' unless defined(&KEY_BLUE);
    eval 'sub KEY_CHANNELUP () {0x192;}' unless defined(&KEY_CHANNELUP);
    eval 'sub KEY_CHANNELDOWN () {0x193;}' unless defined(&KEY_CHANNELDOWN);
    eval 'sub KEY_FIRST () {0x194;}' unless defined(&KEY_FIRST);
    eval 'sub KEY_LAST () {0x195;}' unless defined(&KEY_LAST);
    eval 'sub KEY_AB () {0x196;}' unless defined(&KEY_AB);
    eval 'sub KEY_NEXT () {0x197;}' unless defined(&KEY_NEXT);
    eval 'sub KEY_RESTART () {0x198;}' unless defined(&KEY_RESTART);
    eval 'sub KEY_SLOW () {0x199;}' unless defined(&KEY_SLOW);
    eval 'sub KEY_SHUFFLE () {0x19a;}' unless defined(&KEY_SHUFFLE);
    eval 'sub KEY_BREAK () {0x19b;}' unless defined(&KEY_BREAK);
    eval 'sub KEY_PREVIOUS () {0x19c;}' unless defined(&KEY_PREVIOUS);
    eval 'sub KEY_DIGITS () {0x19d;}' unless defined(&KEY_DIGITS);
    eval 'sub KEY_TEEN () {0x19e;}' unless defined(&KEY_TEEN);
    eval 'sub KEY_TWEN () {0x19f;}' unless defined(&KEY_TWEN);
    eval 'sub KEY_VIDEOPHONE () {0x1a0;}' unless defined(&KEY_VIDEOPHONE);
    eval 'sub KEY_GAMES () {0x1a1;}' unless defined(&KEY_GAMES);
    eval 'sub KEY_ZOOMIN () {0x1a2;}' unless defined(&KEY_ZOOMIN);
    eval 'sub KEY_ZOOMOUT () {0x1a3;}' unless defined(&KEY_ZOOMOUT);
    eval 'sub KEY_ZOOMRESET () {0x1a4;}' unless defined(&KEY_ZOOMRESET);
    eval 'sub KEY_WORDPROCESSOR () {0x1a5;}' unless defined(&KEY_WORDPROCESSOR);
    eval 'sub KEY_EDITOR () {0x1a6;}' unless defined(&KEY_EDITOR);
    eval 'sub KEY_SPREADSHEET () {0x1a7;}' unless defined(&KEY_SPREADSHEET);
    eval 'sub KEY_GRAPHICSEDITOR () {0x1a8;}' unless defined(&KEY_GRAPHICSEDITOR);
    eval 'sub KEY_PRESENTATION () {0x1a9;}' unless defined(&KEY_PRESENTATION);
    eval 'sub KEY_DATABASE () {0x1aa;}' unless defined(&KEY_DATABASE);
    eval 'sub KEY_NEWS () {0x1ab;}' unless defined(&KEY_NEWS);
    eval 'sub KEY_VOICEMAIL () {0x1ac;}' unless defined(&KEY_VOICEMAIL);
    eval 'sub KEY_ADDRESSBOOK () {0x1ad;}' unless defined(&KEY_ADDRESSBOOK);
    eval 'sub KEY_MESSENGER () {0x1ae;}' unless defined(&KEY_MESSENGER);
    eval 'sub KEY_DISPLAYTOGGLE () {0x1af;}' unless defined(&KEY_DISPLAYTOGGLE);
    eval 'sub KEY_BRIGHTNESS_TOGGLE () { &KEY_DISPLAYTOGGLE;}' unless defined(&KEY_BRIGHTNESS_TOGGLE);
    eval 'sub KEY_SPELLCHECK () {0x1b0;}' unless defined(&KEY_SPELLCHECK);
    eval 'sub KEY_LOGOFF () {0x1b1;}' unless defined(&KEY_LOGOFF);
    eval 'sub KEY_DOLLAR () {0x1b2;}' unless defined(&KEY_DOLLAR);
    eval 'sub KEY_EURO () {0x1b3;}' unless defined(&KEY_EURO);
    eval 'sub KEY_FRAMEBACK () {0x1b4;}' unless defined(&KEY_FRAMEBACK);
    eval 'sub KEY_FRAMEFORWARD () {0x1b5;}' unless defined(&KEY_FRAMEFORWARD);
    eval 'sub KEY_CONTEXT_MENU () {0x1b6;}' unless defined(&KEY_CONTEXT_MENU);
    eval 'sub KEY_MEDIA_REPEAT () {0x1b7;}' unless defined(&KEY_MEDIA_REPEAT);
    eval 'sub KEY_10CHANNELSUP () {0x1b8;}' unless defined(&KEY_10CHANNELSUP);
    eval 'sub KEY_10CHANNELSDOWN () {0x1b9;}' unless defined(&KEY_10CHANNELSDOWN);
    eval 'sub KEY_IMAGES () {0x1ba;}' unless defined(&KEY_IMAGES);
    eval 'sub KEY_NOTIFICATION_CENTER () {0x1bc;}' unless defined(&KEY_NOTIFICATION_CENTER);
    eval 'sub KEY_PICKUP_PHONE () {0x1bd;}' unless defined(&KEY_PICKUP_PHONE);
    eval 'sub KEY_HANGUP_PHONE () {0x1be;}' unless defined(&KEY_HANGUP_PHONE);
    eval 'sub KEY_DEL_EOL () {0x1c0;}' unless defined(&KEY_DEL_EOL);
    eval 'sub KEY_DEL_EOS () {0x1c1;}' unless defined(&KEY_DEL_EOS);
    eval 'sub KEY_INS_LINE () {0x1c2;}' unless defined(&KEY_INS_LINE);
    eval 'sub KEY_DEL_LINE () {0x1c3;}' unless defined(&KEY_DEL_LINE);
    eval 'sub KEY_FN () {0x1d0;}' unless defined(&KEY_FN);
    eval 'sub KEY_FN_ESC () {0x1d1;}' unless defined(&KEY_FN_ESC);
    eval 'sub KEY_FN_F1 () {0x1d2;}' unless defined(&KEY_FN_F1);
    eval 'sub KEY_FN_F2 () {0x1d3;}' unless defined(&KEY_FN_F2);
    eval 'sub KEY_FN_F3 () {0x1d4;}' unless defined(&KEY_FN_F3);
    eval 'sub KEY_FN_F4 () {0x1d5;}' unless defined(&KEY_FN_F4);
    eval 'sub KEY_FN_F5 () {0x1d6;}' unless defined(&KEY_FN_F5);
    eval 'sub KEY_FN_F6 () {0x1d7;}' unless defined(&KEY_FN_F6);
    eval 'sub KEY_FN_F7 () {0x1d8;}' unless defined(&KEY_FN_F7);
    eval 'sub KEY_FN_F8 () {0x1d9;}' unless defined(&KEY_FN_F8);
    eval 'sub KEY_FN_F9 () {0x1da;}' unless defined(&KEY_FN_F9);
    eval 'sub KEY_FN_F10 () {0x1db;}' unless defined(&KEY_FN_F10);
    eval 'sub KEY_FN_F11 () {0x1dc;}' unless defined(&KEY_FN_F11);
    eval 'sub KEY_FN_F12 () {0x1dd;}' unless defined(&KEY_FN_F12);
    eval 'sub KEY_FN_1 () {0x1de;}' unless defined(&KEY_FN_1);
    eval 'sub KEY_FN_2 () {0x1df;}' unless defined(&KEY_FN_2);
    eval 'sub KEY_FN_D () {0x1e0;}' unless defined(&KEY_FN_D);
    eval 'sub KEY_FN_E () {0x1e1;}' unless defined(&KEY_FN_E);
    eval 'sub KEY_FN_F () {0x1e2;}' unless defined(&KEY_FN_F);
    eval 'sub KEY_FN_S () {0x1e3;}' unless defined(&KEY_FN_S);
    eval 'sub KEY_FN_B () {0x1e4;}' unless defined(&KEY_FN_B);
    eval 'sub KEY_FN_RIGHT_SHIFT () {0x1e5;}' unless defined(&KEY_FN_RIGHT_SHIFT);
    eval 'sub KEY_BRL_DOT1 () {0x1f1;}' unless defined(&KEY_BRL_DOT1);
    eval 'sub KEY_BRL_DOT2 () {0x1f2;}' unless defined(&KEY_BRL_DOT2);
    eval 'sub KEY_BRL_DOT3 () {0x1f3;}' unless defined(&KEY_BRL_DOT3);
    eval 'sub KEY_BRL_DOT4 () {0x1f4;}' unless defined(&KEY_BRL_DOT4);
    eval 'sub KEY_BRL_DOT5 () {0x1f5;}' unless defined(&KEY_BRL_DOT5);
    eval 'sub KEY_BRL_DOT6 () {0x1f6;}' unless defined(&KEY_BRL_DOT6);
    eval 'sub KEY_BRL_DOT7 () {0x1f7;}' unless defined(&KEY_BRL_DOT7);
    eval 'sub KEY_BRL_DOT8 () {0x1f8;}' unless defined(&KEY_BRL_DOT8);
    eval 'sub KEY_BRL_DOT9 () {0x1f9;}' unless defined(&KEY_BRL_DOT9);
    eval 'sub KEY_BRL_DOT10 () {0x1fa;}' unless defined(&KEY_BRL_DOT10);
    eval 'sub KEY_NUMERIC_0 () {0x200;}' unless defined(&KEY_NUMERIC_0);
    eval 'sub KEY_NUMERIC_1 () {0x201;}' unless defined(&KEY_NUMERIC_1);
    eval 'sub KEY_NUMERIC_2 () {0x202;}' unless defined(&KEY_NUMERIC_2);
    eval 'sub KEY_NUMERIC_3 () {0x203;}' unless defined(&KEY_NUMERIC_3);
    eval 'sub KEY_NUMERIC_4 () {0x204;}' unless defined(&KEY_NUMERIC_4);
    eval 'sub KEY_NUMERIC_5 () {0x205;}' unless defined(&KEY_NUMERIC_5);
    eval 'sub KEY_NUMERIC_6 () {0x206;}' unless defined(&KEY_NUMERIC_6);
    eval 'sub KEY_NUMERIC_7 () {0x207;}' unless defined(&KEY_NUMERIC_7);
    eval 'sub KEY_NUMERIC_8 () {0x208;}' unless defined(&KEY_NUMERIC_8);
    eval 'sub KEY_NUMERIC_9 () {0x209;}' unless defined(&KEY_NUMERIC_9);
    eval 'sub KEY_NUMERIC_STAR () {0x20a;}' unless defined(&KEY_NUMERIC_STAR);
    eval 'sub KEY_NUMERIC_POUND () {0x20b;}' unless defined(&KEY_NUMERIC_POUND);
    eval 'sub KEY_NUMERIC_A () {0x20c;}' unless defined(&KEY_NUMERIC_A);
    eval 'sub KEY_NUMERIC_B () {0x20d;}' unless defined(&KEY_NUMERIC_B);
    eval 'sub KEY_NUMERIC_C () {0x20e;}' unless defined(&KEY_NUMERIC_C);
    eval 'sub KEY_NUMERIC_D () {0x20f;}' unless defined(&KEY_NUMERIC_D);
    eval 'sub KEY_CAMERA_FOCUS () {0x210;}' unless defined(&KEY_CAMERA_FOCUS);
    eval 'sub KEY_WPS_BUTTON () {0x211;}' unless defined(&KEY_WPS_BUTTON);
    eval 'sub KEY_TOUCHPAD_TOGGLE () {0x212;}' unless defined(&KEY_TOUCHPAD_TOGGLE);
    eval 'sub KEY_TOUCHPAD_ON () {0x213;}' unless defined(&KEY_TOUCHPAD_ON);
    eval 'sub KEY_TOUCHPAD_OFF () {0x214;}' unless defined(&KEY_TOUCHPAD_OFF);
    eval 'sub KEY_CAMERA_ZOOMIN () {0x215;}' unless defined(&KEY_CAMERA_ZOOMIN);
    eval 'sub KEY_CAMERA_ZOOMOUT () {0x216;}' unless defined(&KEY_CAMERA_ZOOMOUT);
    eval 'sub KEY_CAMERA_UP () {0x217;}' unless defined(&KEY_CAMERA_UP);
    eval 'sub KEY_CAMERA_DOWN () {0x218;}' unless defined(&KEY_CAMERA_DOWN);
    eval 'sub KEY_CAMERA_LEFT () {0x219;}' unless defined(&KEY_CAMERA_LEFT);
    eval 'sub KEY_CAMERA_RIGHT () {0x21a;}' unless defined(&KEY_CAMERA_RIGHT);
    eval 'sub KEY_ATTENDANT_ON () {0x21b;}' unless defined(&KEY_ATTENDANT_ON);
    eval 'sub KEY_ATTENDANT_OFF () {0x21c;}' unless defined(&KEY_ATTENDANT_OFF);
    eval 'sub KEY_ATTENDANT_TOGGLE () {0x21d;}' unless defined(&KEY_ATTENDANT_TOGGLE);
    eval 'sub KEY_LIGHTS_TOGGLE () {0x21e;}' unless defined(&KEY_LIGHTS_TOGGLE);
    eval 'sub BTN_DPAD_UP () {0x220;}' unless defined(&BTN_DPAD_UP);
    eval 'sub BTN_DPAD_DOWN () {0x221;}' unless defined(&BTN_DPAD_DOWN);
    eval 'sub BTN_DPAD_LEFT () {0x222;}' unless defined(&BTN_DPAD_LEFT);
    eval 'sub BTN_DPAD_RIGHT () {0x223;}' unless defined(&BTN_DPAD_RIGHT);
    eval 'sub KEY_ALS_TOGGLE () {0x230;}' unless defined(&KEY_ALS_TOGGLE);
    eval 'sub KEY_ROTATE_LOCK_TOGGLE () {0x231;}' unless defined(&KEY_ROTATE_LOCK_TOGGLE);
    eval 'sub KEY_BUTTONCONFIG () {0x240;}' unless defined(&KEY_BUTTONCONFIG);
    eval 'sub KEY_TASKMANAGER () {0x241;}' unless defined(&KEY_TASKMANAGER);
    eval 'sub KEY_JOURNAL () {0x242;}' unless defined(&KEY_JOURNAL);
    eval 'sub KEY_CONTROLPANEL () {0x243;}' unless defined(&KEY_CONTROLPANEL);
    eval 'sub KEY_APPSELECT () {0x244;}' unless defined(&KEY_APPSELECT);
    eval 'sub KEY_SCREENSAVER () {0x245;}' unless defined(&KEY_SCREENSAVER);
    eval 'sub KEY_VOICECOMMAND () {0x246;}' unless defined(&KEY_VOICECOMMAND);
    eval 'sub KEY_ASSISTANT () {0x247;}' unless defined(&KEY_ASSISTANT);
    eval 'sub KEY_KBD_LAYOUT_NEXT () {0x248;}' unless defined(&KEY_KBD_LAYOUT_NEXT);
    eval 'sub KEY_EMOJI_PICKER () {0x249;}' unless defined(&KEY_EMOJI_PICKER);
    eval 'sub KEY_DICTATE () {0x24a;}' unless defined(&KEY_DICTATE);
    eval 'sub KEY_CAMERA_ACCESS_ENABLE () {0x24b;}' unless defined(&KEY_CAMERA_ACCESS_ENABLE);
    eval 'sub KEY_CAMERA_ACCESS_DISABLE () {0x24c;}' unless defined(&KEY_CAMERA_ACCESS_DISABLE);
    eval 'sub KEY_CAMERA_ACCESS_TOGGLE () {0x24d;}' unless defined(&KEY_CAMERA_ACCESS_TOGGLE);
    eval 'sub KEY_BRIGHTNESS_MIN () {0x250;}' unless defined(&KEY_BRIGHTNESS_MIN);
    eval 'sub KEY_BRIGHTNESS_MAX () {0x251;}' unless defined(&KEY_BRIGHTNESS_MAX);
    eval 'sub KEY_KBDINPUTASSIST_PREV () {0x260;}' unless defined(&KEY_KBDINPUTASSIST_PREV);
    eval 'sub KEY_KBDINPUTASSIST_NEXT () {0x261;}' unless defined(&KEY_KBDINPUTASSIST_NEXT);
    eval 'sub KEY_KBDINPUTASSIST_PREVGROUP () {0x262;}' unless defined(&KEY_KBDINPUTASSIST_PREVGROUP);
    eval 'sub KEY_KBDINPUTASSIST_NEXTGROUP () {0x263;}' unless defined(&KEY_KBDINPUTASSIST_NEXTGROUP);
    eval 'sub KEY_KBDINPUTASSIST_ACCEPT () {0x264;}' unless defined(&KEY_KBDINPUTASSIST_ACCEPT);
    eval 'sub KEY_KBDINPUTASSIST_CANCEL () {0x265;}' unless defined(&KEY_KBDINPUTASSIST_CANCEL);
    eval 'sub KEY_RIGHT_UP () {0x266;}' unless defined(&KEY_RIGHT_UP);
    eval 'sub KEY_RIGHT_DOWN () {0x267;}' unless defined(&KEY_RIGHT_DOWN);
    eval 'sub KEY_LEFT_UP () {0x268;}' unless defined(&KEY_LEFT_UP);
    eval 'sub KEY_LEFT_DOWN () {0x269;}' unless defined(&KEY_LEFT_DOWN);
    eval 'sub KEY_ROOT_MENU () {0x26a;}' unless defined(&KEY_ROOT_MENU);
    eval 'sub KEY_MEDIA_TOP_MENU () {0x26b;}' unless defined(&KEY_MEDIA_TOP_MENU);
    eval 'sub KEY_NUMERIC_11 () {0x26c;}' unless defined(&KEY_NUMERIC_11);
    eval 'sub KEY_NUMERIC_12 () {0x26d;}' unless defined(&KEY_NUMERIC_12);
    eval 'sub KEY_AUDIO_DESC () {0x26e;}' unless defined(&KEY_AUDIO_DESC);
    eval 'sub KEY_3D_MODE () {0x26f;}' unless defined(&KEY_3D_MODE);
    eval 'sub KEY_NEXT_FAVORITE () {0x270;}' unless defined(&KEY_NEXT_FAVORITE);
    eval 'sub KEY_STOP_RECORD () {0x271;}' unless defined(&KEY_STOP_RECORD);
    eval 'sub KEY_PAUSE_RECORD () {0x272;}' unless defined(&KEY_PAUSE_RECORD);
    eval 'sub KEY_VOD () {0x273;}' unless defined(&KEY_VOD);
    eval 'sub KEY_UNMUTE () {0x274;}' unless defined(&KEY_UNMUTE);
    eval 'sub KEY_FASTREVERSE () {0x275;}' unless defined(&KEY_FASTREVERSE);
    eval 'sub KEY_SLOWREVERSE () {0x276;}' unless defined(&KEY_SLOWREVERSE);
    eval 'sub KEY_DATA () {0x277;}' unless defined(&KEY_DATA);
    eval 'sub KEY_ONSCREEN_KEYBOARD () {0x278;}' unless defined(&KEY_ONSCREEN_KEYBOARD);
    eval 'sub KEY_PRIVACY_SCREEN_TOGGLE () {0x279;}' unless defined(&KEY_PRIVACY_SCREEN_TOGGLE);
    eval 'sub KEY_SELECTIVE_SCREENSHOT () {0x27a;}' unless defined(&KEY_SELECTIVE_SCREENSHOT);
    eval 'sub KEY_NEXT_ELEMENT () {0x27b;}' unless defined(&KEY_NEXT_ELEMENT);
    eval 'sub KEY_PREVIOUS_ELEMENT () {0x27c;}' unless defined(&KEY_PREVIOUS_ELEMENT);
    eval 'sub KEY_AUTOPILOT_ENGAGE_TOGGLE () {0x27d;}' unless defined(&KEY_AUTOPILOT_ENGAGE_TOGGLE);
    eval 'sub KEY_MARK_WAYPOINT () {0x27e;}' unless defined(&KEY_MARK_WAYPOINT);
    eval 'sub KEY_SOS () {0x27f;}' unless defined(&KEY_SOS);
    eval 'sub KEY_NAV_CHART () {0x280;}' unless defined(&KEY_NAV_CHART);
    eval 'sub KEY_FISHING_CHART () {0x281;}' unless defined(&KEY_FISHING_CHART);
    eval 'sub KEY_SINGLE_RANGE_RADAR () {0x282;}' unless defined(&KEY_SINGLE_RANGE_RADAR);
    eval 'sub KEY_DUAL_RANGE_RADAR () {0x283;}' unless defined(&KEY_DUAL_RANGE_RADAR);
    eval 'sub KEY_RADAR_OVERLAY () {0x284;}' unless defined(&KEY_RADAR_OVERLAY);
    eval 'sub KEY_TRADITIONAL_SONAR () {0x285;}' unless defined(&KEY_TRADITIONAL_SONAR);
    eval 'sub KEY_CLEARVU_SONAR () {0x286;}' unless defined(&KEY_CLEARVU_SONAR);
    eval 'sub KEY_SIDEVU_SONAR () {0x287;}' unless defined(&KEY_SIDEVU_SONAR);
    eval 'sub KEY_NAV_INFO () {0x288;}' unless defined(&KEY_NAV_INFO);
    eval 'sub KEY_BRIGHTNESS_MENU () {0x289;}' unless defined(&KEY_BRIGHTNESS_MENU);
    eval 'sub KEY_MACRO1 () {0x290;}' unless defined(&KEY_MACRO1);
    eval 'sub KEY_MACRO2 () {0x291;}' unless defined(&KEY_MACRO2);
    eval 'sub KEY_MACRO3 () {0x292;}' unless defined(&KEY_MACRO3);
    eval 'sub KEY_MACRO4 () {0x293;}' unless defined(&KEY_MACRO4);
    eval 'sub KEY_MACRO5 () {0x294;}' unless defined(&KEY_MACRO5);
    eval 'sub KEY_MACRO6 () {0x295;}' unless defined(&KEY_MACRO6);
    eval 'sub KEY_MACRO7 () {0x296;}' unless defined(&KEY_MACRO7);
    eval 'sub KEY_MACRO8 () {0x297;}' unless defined(&KEY_MACRO8);
    eval 'sub KEY_MACRO9 () {0x298;}' unless defined(&KEY_MACRO9);
    eval 'sub KEY_MACRO10 () {0x299;}' unless defined(&KEY_MACRO10);
    eval 'sub KEY_MACRO11 () {0x29a;}' unless defined(&KEY_MACRO11);
    eval 'sub KEY_MACRO12 () {0x29b;}' unless defined(&KEY_MACRO12);
    eval 'sub KEY_MACRO13 () {0x29c;}' unless defined(&KEY_MACRO13);
    eval 'sub KEY_MACRO14 () {0x29d;}' unless defined(&KEY_MACRO14);
    eval 'sub KEY_MACRO15 () {0x29e;}' unless defined(&KEY_MACRO15);
    eval 'sub KEY_MACRO16 () {0x29f;}' unless defined(&KEY_MACRO16);
    eval 'sub KEY_MACRO17 () {0x2a0;}' unless defined(&KEY_MACRO17);
    eval 'sub KEY_MACRO18 () {0x2a1;}' unless defined(&KEY_MACRO18);
    eval 'sub KEY_MACRO19 () {0x2a2;}' unless defined(&KEY_MACRO19);
    eval 'sub KEY_MACRO20 () {0x2a3;}' unless defined(&KEY_MACRO20);
    eval 'sub KEY_MACRO21 () {0x2a4;}' unless defined(&KEY_MACRO21);
    eval 'sub KEY_MACRO22 () {0x2a5;}' unless defined(&KEY_MACRO22);
    eval 'sub KEY_MACRO23 () {0x2a6;}' unless defined(&KEY_MACRO23);
    eval 'sub KEY_MACRO24 () {0x2a7;}' unless defined(&KEY_MACRO24);
    eval 'sub KEY_MACRO25 () {0x2a8;}' unless defined(&KEY_MACRO25);
    eval 'sub KEY_MACRO26 () {0x2a9;}' unless defined(&KEY_MACRO26);
    eval 'sub KEY_MACRO27 () {0x2aa;}' unless defined(&KEY_MACRO27);
    eval 'sub KEY_MACRO28 () {0x2ab;}' unless defined(&KEY_MACRO28);
    eval 'sub KEY_MACRO29 () {0x2ac;}' unless defined(&KEY_MACRO29);
    eval 'sub KEY_MACRO30 () {0x2ad;}' unless defined(&KEY_MACRO30);
    eval 'sub KEY_MACRO_RECORD_START () {0x2b0;}' unless defined(&KEY_MACRO_RECORD_START);
    eval 'sub KEY_MACRO_RECORD_STOP () {0x2b1;}' unless defined(&KEY_MACRO_RECORD_STOP);
    eval 'sub KEY_MACRO_PRESET_CYCLE () {0x2b2;}' unless defined(&KEY_MACRO_PRESET_CYCLE);
    eval 'sub KEY_MACRO_PRESET1 () {0x2b3;}' unless defined(&KEY_MACRO_PRESET1);
    eval 'sub KEY_MACRO_PRESET2 () {0x2b4;}' unless defined(&KEY_MACRO_PRESET2);
    eval 'sub KEY_MACRO_PRESET3 () {0x2b5;}' unless defined(&KEY_MACRO_PRESET3);
    eval 'sub KEY_KBD_LCD_MENU1 () {0x2b8;}' unless defined(&KEY_KBD_LCD_MENU1);
    eval 'sub KEY_KBD_LCD_MENU2 () {0x2b9;}' unless defined(&KEY_KBD_LCD_MENU2);
    eval 'sub KEY_KBD_LCD_MENU3 () {0x2ba;}' unless defined(&KEY_KBD_LCD_MENU3);
    eval 'sub KEY_KBD_LCD_MENU4 () {0x2bb;}' unless defined(&KEY_KBD_LCD_MENU4);
    eval 'sub KEY_KBD_LCD_MENU5 () {0x2bc;}' unless defined(&KEY_KBD_LCD_MENU5);
    eval 'sub BTN_TRIGGER_HAPPY () {0x2c0;}' unless defined(&BTN_TRIGGER_HAPPY);
    eval 'sub BTN_TRIGGER_HAPPY1 () {0x2c0;}' unless defined(&BTN_TRIGGER_HAPPY1);
    eval 'sub BTN_TRIGGER_HAPPY2 () {0x2c1;}' unless defined(&BTN_TRIGGER_HAPPY2);
    eval 'sub BTN_TRIGGER_HAPPY3 () {0x2c2;}' unless defined(&BTN_TRIGGER_HAPPY3);
    eval 'sub BTN_TRIGGER_HAPPY4 () {0x2c3;}' unless defined(&BTN_TRIGGER_HAPPY4);
    eval 'sub BTN_TRIGGER_HAPPY5 () {0x2c4;}' unless defined(&BTN_TRIGGER_HAPPY5);
    eval 'sub BTN_TRIGGER_HAPPY6 () {0x2c5;}' unless defined(&BTN_TRIGGER_HAPPY6);
    eval 'sub BTN_TRIGGER_HAPPY7 () {0x2c6;}' unless defined(&BTN_TRIGGER_HAPPY7);
    eval 'sub BTN_TRIGGER_HAPPY8 () {0x2c7;}' unless defined(&BTN_TRIGGER_HAPPY8);
    eval 'sub BTN_TRIGGER_HAPPY9 () {0x2c8;}' unless defined(&BTN_TRIGGER_HAPPY9);
    eval 'sub BTN_TRIGGER_HAPPY10 () {0x2c9;}' unless defined(&BTN_TRIGGER_HAPPY10);
    eval 'sub BTN_TRIGGER_HAPPY11 () {0x2ca;}' unless defined(&BTN_TRIGGER_HAPPY11);
    eval 'sub BTN_TRIGGER_HAPPY12 () {0x2cb;}' unless defined(&BTN_TRIGGER_HAPPY12);
    eval 'sub BTN_TRIGGER_HAPPY13 () {0x2cc;}' unless defined(&BTN_TRIGGER_HAPPY13);
    eval 'sub BTN_TRIGGER_HAPPY14 () {0x2cd;}' unless defined(&BTN_TRIGGER_HAPPY14);
    eval 'sub BTN_TRIGGER_HAPPY15 () {0x2ce;}' unless defined(&BTN_TRIGGER_HAPPY15);
    eval 'sub BTN_TRIGGER_HAPPY16 () {0x2cf;}' unless defined(&BTN_TRIGGER_HAPPY16);
    eval 'sub BTN_TRIGGER_HAPPY17 () {0x2d0;}' unless defined(&BTN_TRIGGER_HAPPY17);
    eval 'sub BTN_TRIGGER_HAPPY18 () {0x2d1;}' unless defined(&BTN_TRIGGER_HAPPY18);
    eval 'sub BTN_TRIGGER_HAPPY19 () {0x2d2;}' unless defined(&BTN_TRIGGER_HAPPY19);
    eval 'sub BTN_TRIGGER_HAPPY20 () {0x2d3;}' unless defined(&BTN_TRIGGER_HAPPY20);
    eval 'sub BTN_TRIGGER_HAPPY21 () {0x2d4;}' unless defined(&BTN_TRIGGER_HAPPY21);
    eval 'sub BTN_TRIGGER_HAPPY22 () {0x2d5;}' unless defined(&BTN_TRIGGER_HAPPY22);
    eval 'sub BTN_TRIGGER_HAPPY23 () {0x2d6;}' unless defined(&BTN_TRIGGER_HAPPY23);
    eval 'sub BTN_TRIGGER_HAPPY24 () {0x2d7;}' unless defined(&BTN_TRIGGER_HAPPY24);
    eval 'sub BTN_TRIGGER_HAPPY25 () {0x2d8;}' unless defined(&BTN_TRIGGER_HAPPY25);
    eval 'sub BTN_TRIGGER_HAPPY26 () {0x2d9;}' unless defined(&BTN_TRIGGER_HAPPY26);
    eval 'sub BTN_TRIGGER_HAPPY27 () {0x2da;}' unless defined(&BTN_TRIGGER_HAPPY27);
    eval 'sub BTN_TRIGGER_HAPPY28 () {0x2db;}' unless defined(&BTN_TRIGGER_HAPPY28);
    eval 'sub BTN_TRIGGER_HAPPY29 () {0x2dc;}' unless defined(&BTN_TRIGGER_HAPPY29);
    eval 'sub BTN_TRIGGER_HAPPY30 () {0x2dd;}' unless defined(&BTN_TRIGGER_HAPPY30);
    eval 'sub BTN_TRIGGER_HAPPY31 () {0x2de;}' unless defined(&BTN_TRIGGER_HAPPY31);
    eval 'sub BTN_TRIGGER_HAPPY32 () {0x2df;}' unless defined(&BTN_TRIGGER_HAPPY32);
    eval 'sub BTN_TRIGGER_HAPPY33 () {0x2e0;}' unless defined(&BTN_TRIGGER_HAPPY33);
    eval 'sub BTN_TRIGGER_HAPPY34 () {0x2e1;}' unless defined(&BTN_TRIGGER_HAPPY34);
    eval 'sub BTN_TRIGGER_HAPPY35 () {0x2e2;}' unless defined(&BTN_TRIGGER_HAPPY35);
    eval 'sub BTN_TRIGGER_HAPPY36 () {0x2e3;}' unless defined(&BTN_TRIGGER_HAPPY36);
    eval 'sub BTN_TRIGGER_HAPPY37 () {0x2e4;}' unless defined(&BTN_TRIGGER_HAPPY37);
    eval 'sub BTN_TRIGGER_HAPPY38 () {0x2e5;}' unless defined(&BTN_TRIGGER_HAPPY38);
    eval 'sub BTN_TRIGGER_HAPPY39 () {0x2e6;}' unless defined(&BTN_TRIGGER_HAPPY39);
    eval 'sub BTN_TRIGGER_HAPPY40 () {0x2e7;}' unless defined(&BTN_TRIGGER_HAPPY40);
    eval 'sub KEY_MIN_INTERESTING () { &KEY_MUTE;}' unless defined(&KEY_MIN_INTERESTING);
    eval 'sub KEY_MAX () {0x2ff;}' unless defined(&KEY_MAX);
    eval 'sub KEY_CNT () {( &KEY_MAX+1);}' unless defined(&KEY_CNT);
    eval 'sub REL_X () {0x;}' unless defined(&REL_X);
    eval 'sub REL_Y () {0x1;}' unless defined(&REL_Y);
    eval 'sub REL_Z () {0x2;}' unless defined(&REL_Z);
    eval 'sub REL_RX () {0x3;}' unless defined(&REL_RX);
    eval 'sub REL_RY () {0x4;}' unless defined(&REL_RY);
    eval 'sub REL_RZ () {0x5;}' unless defined(&REL_RZ);
    eval 'sub REL_HWHEEL () {0x6;}' unless defined(&REL_HWHEEL);
    eval 'sub REL_DIAL () {0x7;}' unless defined(&REL_DIAL);
    eval 'sub REL_WHEEL () {0x8;}' unless defined(&REL_WHEEL);
    eval 'sub REL_MISC () {0x9;}' unless defined(&REL_MISC);
    eval 'sub REL_RESERVED () {0xa;}' unless defined(&REL_RESERVED);
    eval 'sub REL_WHEEL_HI_RES () {0xb;}' unless defined(&REL_WHEEL_HI_RES);
    eval 'sub REL_HWHEEL_HI_RES () {0xc;}' unless defined(&REL_HWHEEL_HI_RES);
    eval 'sub REL_MAX () {0xf;}' unless defined(&REL_MAX);
    eval 'sub REL_CNT () {( &REL_MAX+1);}' unless defined(&REL_CNT);
    eval 'sub ABS_X () {0x;}' unless defined(&ABS_X);
    eval 'sub ABS_Y () {0x1;}' unless defined(&ABS_Y);
    eval 'sub ABS_Z () {0x2;}' unless defined(&ABS_Z);
    eval 'sub ABS_RX () {0x3;}' unless defined(&ABS_RX);
    eval 'sub ABS_RY () {0x4;}' unless defined(&ABS_RY);
    eval 'sub ABS_RZ () {0x5;}' unless defined(&ABS_RZ);
    eval 'sub ABS_THROTTLE () {0x6;}' unless defined(&ABS_THROTTLE);
    eval 'sub ABS_RUDDER () {0x7;}' unless defined(&ABS_RUDDER);
    eval 'sub ABS_WHEEL () {0x8;}' unless defined(&ABS_WHEEL);
    eval 'sub ABS_GAS () {0x9;}' unless defined(&ABS_GAS);
    eval 'sub ABS_BRAKE () {0xa;}' unless defined(&ABS_BRAKE);
    eval 'sub ABS_HAT0X () {0x10;}' unless defined(&ABS_HAT0X);
    eval 'sub ABS_HAT0Y () {0x11;}' unless defined(&ABS_HAT0Y);
    eval 'sub ABS_HAT1X () {0x12;}' unless defined(&ABS_HAT1X);
    eval 'sub ABS_HAT1Y () {0x13;}' unless defined(&ABS_HAT1Y);
    eval 'sub ABS_HAT2X () {0x14;}' unless defined(&ABS_HAT2X);
    eval 'sub ABS_HAT2Y () {0x15;}' unless defined(&ABS_HAT2Y);
    eval 'sub ABS_HAT3X () {0x16;}' unless defined(&ABS_HAT3X);
    eval 'sub ABS_HAT3Y () {0x17;}' unless defined(&ABS_HAT3Y);
    eval 'sub ABS_PRESSURE () {0x18;}' unless defined(&ABS_PRESSURE);
    eval 'sub ABS_DISTANCE () {0x19;}' unless defined(&ABS_DISTANCE);
    eval 'sub ABS_TILT_X () {0x1a;}' unless defined(&ABS_TILT_X);
    eval 'sub ABS_TILT_Y () {0x1b;}' unless defined(&ABS_TILT_Y);
    eval 'sub ABS_TOOL_WIDTH () {0x1c;}' unless defined(&ABS_TOOL_WIDTH);
    eval 'sub ABS_VOLUME () {0x20;}' unless defined(&ABS_VOLUME);
    eval 'sub ABS_PROFILE () {0x21;}' unless defined(&ABS_PROFILE);
    eval 'sub ABS_MISC () {0x28;}' unless defined(&ABS_MISC);
    eval 'sub ABS_RESERVED () {0x2e;}' unless defined(&ABS_RESERVED);
    eval 'sub ABS_MT_SLOT () {0x2f;}' unless defined(&ABS_MT_SLOT);
    eval 'sub ABS_MT_TOUCH_MAJOR () {0x30;}' unless defined(&ABS_MT_TOUCH_MAJOR);
    eval 'sub ABS_MT_TOUCH_MINOR () {0x31;}' unless defined(&ABS_MT_TOUCH_MINOR);
    eval 'sub ABS_MT_WIDTH_MAJOR () {0x32;}' unless defined(&ABS_MT_WIDTH_MAJOR);
    eval 'sub ABS_MT_WIDTH_MINOR () {0x33;}' unless defined(&ABS_MT_WIDTH_MINOR);
    eval 'sub ABS_MT_ORIENTATION () {0x34;}' unless defined(&ABS_MT_ORIENTATION);
    eval 'sub ABS_MT_POSITION_X () {0x35;}' unless defined(&ABS_MT_POSITION_X);
    eval 'sub ABS_MT_POSITION_Y () {0x36;}' unless defined(&ABS_MT_POSITION_Y);
    eval 'sub ABS_MT_TOOL_TYPE () {0x37;}' unless defined(&ABS_MT_TOOL_TYPE);
    eval 'sub ABS_MT_BLOB_ID () {0x38;}' unless defined(&ABS_MT_BLOB_ID);
    eval 'sub ABS_MT_TRACKING_ID () {0x39;}' unless defined(&ABS_MT_TRACKING_ID);
    eval 'sub ABS_MT_PRESSURE () {0x3a;}' unless defined(&ABS_MT_PRESSURE);
    eval 'sub ABS_MT_DISTANCE () {0x3b;}' unless defined(&ABS_MT_DISTANCE);
    eval 'sub ABS_MT_TOOL_X () {0x3c;}' unless defined(&ABS_MT_TOOL_X);
    eval 'sub ABS_MT_TOOL_Y () {0x3d;}' unless defined(&ABS_MT_TOOL_Y);
    eval 'sub ABS_MAX () {0x3f;}' unless defined(&ABS_MAX);
    eval 'sub ABS_CNT () {( &ABS_MAX+1);}' unless defined(&ABS_CNT);
    eval 'sub SW_LID () {0x;}' unless defined(&SW_LID);
    eval 'sub SW_TABLET_MODE () {0x1;}' unless defined(&SW_TABLET_MODE);
    eval 'sub SW_HEADPHONE_INSERT () {0x2;}' unless defined(&SW_HEADPHONE_INSERT);
    eval 'sub SW_RFKILL_ALL () {0x3;}' unless defined(&SW_RFKILL_ALL);
    eval 'sub SW_RADIO () { &SW_RFKILL_ALL;}' unless defined(&SW_RADIO);
    eval 'sub SW_MICROPHONE_INSERT () {0x4;}' unless defined(&SW_MICROPHONE_INSERT);
    eval 'sub SW_DOCK () {0x5;}' unless defined(&SW_DOCK);
    eval 'sub SW_LINEOUT_INSERT () {0x6;}' unless defined(&SW_LINEOUT_INSERT);
    eval 'sub SW_JACK_PHYSICAL_INSERT () {0x7;}' unless defined(&SW_JACK_PHYSICAL_INSERT);
    eval 'sub SW_VIDEOOUT_INSERT () {0x8;}' unless defined(&SW_VIDEOOUT_INSERT);
    eval 'sub SW_CAMERA_LENS_COVER () {0x9;}' unless defined(&SW_CAMERA_LENS_COVER);
    eval 'sub SW_KEYPAD_SLIDE () {0xa;}' unless defined(&SW_KEYPAD_SLIDE);
    eval 'sub SW_FRONT_PROXIMITY () {0xb;}' unless defined(&SW_FRONT_PROXIMITY);
    eval 'sub SW_ROTATE_LOCK () {0xc;}' unless defined(&SW_ROTATE_LOCK);
    eval 'sub SW_LINEIN_INSERT () {0xd;}' unless defined(&SW_LINEIN_INSERT);
    eval 'sub SW_MUTE_DEVICE () {0xe;}' unless defined(&SW_MUTE_DEVICE);
    eval 'sub SW_PEN_INSERTED () {0xf;}' unless defined(&SW_PEN_INSERTED);
    eval 'sub SW_MACHINE_COVER () {0x10;}' unless defined(&SW_MACHINE_COVER);
    eval 'sub SW_MAX () {0x10;}' unless defined(&SW_MAX);
    eval 'sub SW_CNT () {( &SW_MAX+1);}' unless defined(&SW_CNT);
    eval 'sub MSC_SERIAL () {0x;}' unless defined(&MSC_SERIAL);
    eval 'sub MSC_PULSELED () {0x1;}' unless defined(&MSC_PULSELED);
    eval 'sub MSC_GESTURE () {0x2;}' unless defined(&MSC_GESTURE);
    eval 'sub MSC_RAW () {0x3;}' unless defined(&MSC_RAW);
    eval 'sub MSC_SCAN () {0x4;}' unless defined(&MSC_SCAN);
    eval 'sub MSC_TIMESTAMP () {0x5;}' unless defined(&MSC_TIMESTAMP);
    eval 'sub MSC_MAX () {0x7;}' unless defined(&MSC_MAX);
    eval 'sub MSC_CNT () {( &MSC_MAX+1);}' unless defined(&MSC_CNT);
    eval 'sub LED_NUML () {0x;}' unless defined(&LED_NUML);
    eval 'sub LED_CAPSL () {0x1;}' unless defined(&LED_CAPSL);
    eval 'sub LED_SCROLLL () {0x2;}' unless defined(&LED_SCROLLL);
    eval 'sub LED_COMPOSE () {0x3;}' unless defined(&LED_COMPOSE);
    eval 'sub LED_KANA () {0x4;}' unless defined(&LED_KANA);
    eval 'sub LED_SLEEP () {0x5;}' unless defined(&LED_SLEEP);
    eval 'sub LED_SUSPEND () {0x6;}' unless defined(&LED_SUSPEND);
    eval 'sub LED_MUTE () {0x7;}' unless defined(&LED_MUTE);
    eval 'sub LED_MISC () {0x8;}' unless defined(&LED_MISC);
    eval 'sub LED_MAIL () {0x9;}' unless defined(&LED_MAIL);
    eval 'sub LED_CHARGING () {0xa;}' unless defined(&LED_CHARGING);
    eval 'sub LED_MAX () {0xf;}' unless defined(&LED_MAX);
    eval 'sub LED_CNT () {( &LED_MAX+1);}' unless defined(&LED_CNT);
    eval 'sub REP_DELAY () {0x;}' unless defined(&REP_DELAY);
    eval 'sub REP_PERIOD () {0x1;}' unless defined(&REP_PERIOD);
    eval 'sub REP_MAX () {0x1;}' unless defined(&REP_MAX);
    eval 'sub REP_CNT () {( &REP_MAX+1);}' unless defined(&REP_CNT);
    eval 'sub SND_CLICK () {0x;}' unless defined(&SND_CLICK);
    eval 'sub SND_BELL () {0x1;}' unless defined(&SND_BELL);
    eval 'sub SND_TONE () {0x2;}' unless defined(&SND_TONE);
    eval 'sub SND_MAX () {0x7;}' unless defined(&SND_MAX);
    eval 'sub SND_CNT () {( &SND_MAX+1);}' unless defined(&SND_CNT);
}
1;
